uBlock Origin 1.13.4 - June 26, 2017
====================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/fccd80d7f81043dcb3365c7a4531c4274f01289c2443a22ed2206cbe32361b5f/https%3A//github.com/gorhill/uBlock/releases/tag/1.13.4>`__.
|  
| **Closed as fixed:**
|  

-  `Logger color too bright for cosmetic
   hiding <https://outgoing.prod.mozaws.net/v1/cb8f60a84426326853637e853eabecfaa1d508c5d32a889a0b0f547f44cc4034/https%3A//github.com/gorhill/uBlock/issues/2730>`__
   [color-blind mode]
-  `Inconvenient default hotkey mapping
   activation <https://outgoing.prod.mozaws.net/v1/c272d270bc5e06d3651c15c94c428487643e8e682715c9f91b057ab91589b61b/https%3A//github.com/gorhill/uBlock/issues/2723>`__

   -  You will have to assign yourself whatever keyboard shortcut you want,
      there are no longer default shortcuts.
   -  Open ``about:config`` and search for ``ublock0.shortcuts``. No value
      means no shortcut.
   -  See
      `modifiers <https://outgoing.prod.mozaws.net/v1/9f77096eae3d45e4cb311e4ee0efad092f8e0d087cffc809ae6822835db95302/https%3A//developer.mozilla.org/en-US/docs/Mozilla/Tech/XUL/Attribute/modifiers>`__
      for valid modifiers.
   -  Modifiers and key must be dash-separated (``-``), example:
      ``alt-shift-Z``.
   -  For reference, here are the shortcuts which were originally added (now
      removed):

      -  ``extensions.ublock0.shortcuts.launch-element-zapper``: ``alt-Z``
      -  ``extensions.ublock0.shortcuts.launch-element-picker``: ``alt-X``
      -  ``extensions.ublock0.shortcuts.launch-logger``: ``alt-L``

-  `Settings gear not displaying in
   1.13 <https://outgoing.prod.mozaws.net/v1/6e307bdf31bd0c89024c16580c120e19f3965b54c477bbd3490b0a62fa6847e2/https%3A//github.com/gorhill/uBlock/issues/2718>`__

| 
| `Commit history between 1.12.4 and
  1.13.4 <https://outgoing.prod.mozaws.net/v1/db31147d0ff80ed0c0ff6f0e4726dd4b599788401af60f322ed8b926261ca90a/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.13.4>`__.

uBlock Origin 1.13.3b3 - June 24, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.13.0 <https://outgoing.prod.mozaws.net/v1/747868839c4269994ed11ffac41f5c604e1ee262340e24178f27d89d617bf207/https%3A//github.com/gorhill/uBlock/releases/tag/1.13.0>`__
| Commit history since 1.13.0:
  `https://github.com/gorhill/uBlock/compare/1.13.0...1.13.3b3 <https://outgoing.prod.mozaws.net/v1/203253b6428c8b5cafd4802feb6344f8b976d6f046470b821af6430835b1ceae/https%3A//github.com/gorhill/uBlock/compare/1.13.0...1.13.3b3>`__

uBlock Origin 1.13.3b2 - June 23, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.13.0 <https://outgoing.prod.mozaws.net/v1/747868839c4269994ed11ffac41f5c604e1ee262340e24178f27d89d617bf207/https%3A//github.com/gorhill/uBlock/releases/tag/1.13.0>`__
| Commit history since 1.13.0:
  `https://github.com/gorhill/uBlock/compare/1.13.0...1.13.3b2 <https://outgoing.prod.mozaws.net/v1/4e00f99cb63337c6f275c55f2d8782e1ecfed6b6570511ea35e9fabcd83268e7/https%3A//github.com/gorhill/uBlock/compare/1.13.0...1.13.3b2>`__

uBlock Origin 1.13.3b1 - June 22, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.13.0 <https://outgoing.prod.mozaws.net/v1/747868839c4269994ed11ffac41f5c604e1ee262340e24178f27d89d617bf207/https%3A//github.com/gorhill/uBlock/releases/tag/1.13.0>`__
| Commit history since 1.13.0:
  `https://github.com/gorhill/uBlock/compare/1.13.0...1.13.3b1 <https://outgoing.prod.mozaws.net/v1/86cf90425fcf537643c7f3bbe7ce02c645ab3a70949526aa12ffceb5780a94b2/https%3A//github.com/gorhill/uBlock/compare/1.13.0...1.13.3b1>`__

uBlock Origin 1.13.0 - June 20, 2017
====================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/747868839c4269994ed11ffac41f5c604e1ee262340e24178f27d89d617bf207/https%3A//github.com/gorhill/uBlock/releases/tag/1.13.0>`__.
|  
| **New**
|  
| **New static network filter option: ``csp=``**
|  
| This new filter option allows to inject any Content Security Policy header in
  pages matching the filter. See
  `#1930 <https://outgoing.prod.mozaws.net/v1/2a4e5a907fdc490d40bbc904bcf919444fa90d4fdf3e25342bc441edd8270c8b/https%3A//github.com/gorhill/uBlock/issues/1930%23issuecomment-301052117>`__
  for discussion about the rationale behind this new filter option.
|  
| Some existing filters may be converted internally to ``csp=``-based filters
  by uBO. For example, a filter such as ``|blob:$script,[...]`` will be
  converted to
  ``*$csp=script-src 'self' * data: 'unsafe-inline' 'unsafe-eval',[...]``, in
  order to enforce the blocking of ``blob:``-based URIs for scripts, something
  otherwise not possible through the ``chrome.webRequest`` API.
|  
| **Element zapper**
|  
| Ability to zap DOM elements on the current page: the purpose is to quickly
  deal with the removal of nuisance elements on a page *without* having to
  create one or more filters: `see
  documentation <https://outgoing.prod.mozaws.net/v1/520f8023abbddacd68fceec36b18d1ddf1e623ecebce6c7bafb5cdc4231a936a/https%3A//github.com/gorhill/uBlock/wiki/Element-zapper>`__.
|  
| **Support for keyboard shortcuts**
|  
| Features which can be launched using a keyboard shortcut:
|  

-  Enter element zapper mode: default to <kbd>Alt</kbd>-<kbd>Z</kbd>.
-  Enter element picker mode: default to <kbd>Alt</kbd>-<kbd>X</kbd>.
-  Open logger: default to <kbd>Alt</kbd>-<kbd>L</kbd>

| 
| You can re-configure the default shortcuts for the above commands by opening
  ``about:config`` and filtering with ``extensions.ublock0``. The default
  shortcuts are built-in, if you want to re-defined or un-set them, you will
  have to create the entries:
|  

-  ``extensions.ublock0.shortcuts.launch-element-zapper``
-  ``extensions.ublock0.shortcuts.launch-element-picker``
-  ``extensions.ublock0.shortcuts.launch-logger``

| 
| To disable a built-in shortcut, set the value to ``-``.
|  
| To reset to a default shortcut, reset the corresponding entry in
  ``about:config``.
|  
| These ``about:config`` shortcut values are read only at launch time, so you
  will have to restart uBO for the changes to take effect.
|  
| **Changes**
|  
| **Some refactoring work of static filtering engine**
|  

-  to be more modular and hence make it easier to extent filter syntax.
-  to lessen overhead overall.
-  to address
   `#2598 <https://outgoing.prod.mozaws.net/v1/4ad940fcbc15aae51357f26cdc5d28ea8a29cf48ee6467153e345ff45f147624/https%3A//github.com/gorhill/uBlock/issues/2598>`__,
   `#2630 <https://outgoing.prod.mozaws.net/v1/2b9d13c8b2a23bfe1bf128ce3758fdaa07c35359eefdb672fe7265312b81dd0a/https%3A//github.com/gorhill/uBlock/issues/2630>`__.
-  to extend filter syntax to support ``csp=`` filter option.

| 
| This is an important refactoring. At first my intention was to add support
  for ``csp=`` filter syntax, but this required some refactoring, and while at
  it I decided to address a lot of other details regarding static filtering
  engine which I meant to address since a while, hence the extent of the
  changes to the code.
|  
| As a result, I have observed that baseline memory footprint of uBO itself is
  5-6 MB less with 1.13.0 compared to 1.12.4 on both Chromium and Firefox
  (Linux 64-bit, default uBO settings).
|  
| **Improved compatibility with Adguard's filter lists**
|  
| See
  `#2624 <https://outgoing.prod.mozaws.net/v1/f4345ec97f208d4250ba617eea1a50d71ccbc7652a9b83f9fd2fad054c7511cf/https%3A//github.com/gorhill/uBlock/issues/2624>`__.
  I do plan to add Adguard's English filter lists to uBO's stock filter lists
  for the next stable release.
|  
| Given that both Adguard and uBO support advanced filter syntax not supported
  by ABP (which advanced syntax benefit end users and make a filter list
  maintainer's life easier), and given that EasyList maintainers are limiting
  themselves to support no more than what ABP can support, enabling Adguard's
  filter lists as default list in their respective locale is something I am
  considering.
|  
| **Closed as fixed:**
|  

-  `uBO toolbar menu is too wide
   again <https://outgoing.prod.mozaws.net/v1/7a1d17abe5d536d705d5ade72147b140b206f144e5cc79b3be7e055cb3c22a4f/https%3A//github.com/gorhill/uBlock/issues/2709>`__
-  `Menu has too much space on the top and
   bottom <https://outgoing.prod.mozaws.net/v1/b561a4143fca5a74b0b41105c6a68e10bdf8455ee1dc458fa9486aa675c5e8af/https%3A//github.com/gorhill/uBlock/issues/2696>`__
-  ```||*tube.com^`` for youtube.com is not
   working <https://outgoing.prod.mozaws.net/v1/b050d2b4e98796a8c6afe6a44660f65328a0737fb03f88406be27af7f96daa86/https%3A//github.com/gorhill/uBlock/issues/2663>`__
-  `[Performance] tokenize URLs to numeric values instead of substring
   values <https://outgoing.prod.mozaws.net/v1/2b9d13c8b2a23bfe1bf128ce3758fdaa07c35359eefdb672fe7265312b81dd0a/https%3A//github.com/gorhill/uBlock/issues/2630>`__
-  `Support Adguard's ``[-ext-has="..."]`` syntax => convert to uBO's
   ``:if(...)`` <https://outgoing.prod.mozaws.net/v1/f4345ec97f208d4250ba617eea1a50d71ccbc7652a9b83f9fd2fad054c7511cf/https%3A//github.com/gorhill/uBlock/issues/2624>`__
-  `ABP Subscription Links Not
   Understood <https://outgoing.prod.mozaws.net/v1/16527eb1fce5fa80146eeaba9e16b5d5f4520a6cc720b039180ebc742b598177/https%3A//github.com/gorhill/uBlock/issues/2622>`__
-  `uBlock Origin for Google Chrome and
   apiBreaker <https://outgoing.prod.mozaws.net/v1/cc558f61957be4fbcefbf26caee5c99d865b78533cf94052340d499a201b0edd/https%3A//github.com/gorhill/uBlock/issues/2609>`__
-  `[Performance] Mind the potential negative consequences of
   String.slice() <https://outgoing.prod.mozaws.net/v1/4ad940fcbc15aae51357f26cdc5d28ea8a29cf48ee6467153e345ff45f147624/https%3A//github.com/gorhill/uBlock/issues/2598>`__
-  `Dynamic filtering allow-all still blocks ads, log shows images allowed
   workers
   blocked <https://outgoing.prod.mozaws.net/v1/bf5a93269ede72d07adc458048fe2e41692ec74d9d15a64f3b668c61b6c6a417/https%3A//github.com/gorhill/uBlock/issues/2556>`__
-  `Cannot set exemptions to strict
   blocks <https://outgoing.prod.mozaws.net/v1/a14f4cd5be9d5c7ae4a71b270bc5803e1eeafd51eea2b620d09ae3a8b6b96fe8/https%3A//github.com/gorhill/uBlock/issues/1754>`__

| 
| `Commit history between 1.12.4 and
  1.13.0 <https://outgoing.prod.mozaws.net/v1/7c5b39b3fd62f551815e5c4b97196c782df1caa2594a8055c2c8130b0f6ea58b/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.13.0>`__.

uBlock Origin 1.12.5rc5 - June 17, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5rc5 <https://outgoing.prod.mozaws.net/v1/ce98f83c679adf22a6b6b807f0ce5147f1d640677191add814928e4c61baa8f5/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5rc5>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5rc5 <https://outgoing.prod.mozaws.net/v1/6086eb33be89e2917b5e98af81d4d3877396976173c895b474a6300ae0fad776/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5rc5>`__

uBlock Origin 1.12.5rc4 - June 14, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5rc4 <https://outgoing.prod.mozaws.net/v1/00d65b8c7281844bd3ae2391db7f326b5705bb8852d5d5dc038e2a99742a4451/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5rc4>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5rc4 <https://outgoing.prod.mozaws.net/v1/169ddd796f63917f416c0a0954d12255cd625307da411bb51c90b3f70e97af80/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5rc4>`__

uBlock Origin 1.12.5rc3 - June 11, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5rc3 <https://outgoing.prod.mozaws.net/v1/ebc76e429626eb4ed025b250b49a7bb0f7669b9da0971872c762c10630681b8b/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5rc3>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5rc3 <https://outgoing.prod.mozaws.net/v1/ab839b4db760b88fe7b065a7cd454c752df5dd4202b9209cc30cc599d6b73614/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5rc3>`__

uBlock Origin 1.12.5rc2 - June 9, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5rc2 <https://outgoing.prod.mozaws.net/v1/d47f8e48e53a22059283369f03d3bab9c58f97de72666ab8b4e6e5d740c033d0/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5rc2>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5rc2 <https://outgoing.prod.mozaws.net/v1/ea17f09d1a2f8314d768d88087fc062baaa8b86364950b203114725a318b7684/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5rc2>`__

uBlock Origin 1.12.5rc1 - June 5, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5rc1 <https://outgoing.prod.mozaws.net/v1/c56fd7e880adc0fed157826cd79d1e50c032b78d0b2de2c88aa8ba13aa2d79e3/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5rc1>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5rc1 <https://outgoing.prod.mozaws.net/v1/538431d409fbb8b493cfaa0d2bd2cfafc2720395ecb00c3d33555173430e16d0/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5rc1>`__

uBlock Origin 1.12.5rc0 - June 2, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5rc0 <https://outgoing.prod.mozaws.net/v1/fc6f177c132b36b6bdd90984126f47e800d1e1b470d9fa1fe095df9f92cfda37/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5rc0>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5rc0 <https://outgoing.prod.mozaws.net/v1/9ae536e6f58ab9d24f408f360d36eb0dd097ab73776b1a9204be75fd650043e1/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5rc0>`__

uBlock Origin 1.12.5b20 - May 31, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b20 <https://outgoing.prod.mozaws.net/v1/9b72c60265243ee70d84e68ef6361ffde6491490a1ba6a6305359c43ba24f61b/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b20>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b20 <https://outgoing.prod.mozaws.net/v1/5871c751c77e16c60b93f7c1353f792d1e586911b04b7799231a41da27984d9f/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b20>`__

uBlock Origin 1.12.5b19 - May 31, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b19 <https://outgoing.prod.mozaws.net/v1/ce39c3679a31763e126e5d248b924819280b50734c93f9472423a9f6da153514/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b19>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b19 <https://outgoing.prod.mozaws.net/v1/44e986353858f8832b6728470e523d3b334384bf73de896ce746610bcf0bb7cb/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b19>`__

uBlock Origin 1.12.5b17 - May 29, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b17 <https://outgoing.prod.mozaws.net/v1/c80790ab66e4a1fb1e744f6ab55a3ad97765fe9dde05647de682a294d0b43ee0/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b17>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b17 <https://outgoing.prod.mozaws.net/v1/c3d0ce3c2b195e101683bdb52e2dbba5694f2081103977172c3c48e92944c41d/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b17>`__

uBlock Origin 1.12.5b16 - May 29, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b16 <https://outgoing.prod.mozaws.net/v1/832f7f809dd9635cbe14020c7d3ee27899db00307616cca0d7e046cd8f7fb05a/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b16>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b16 <https://outgoing.prod.mozaws.net/v1/04e74834808c78d64fdb6f19514eca4ff1657529c0161b5c29fc594d55456676/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b16>`__

uBlock Origin 1.12.5b15 - May 28, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b15 <https://outgoing.prod.mozaws.net/v1/1d6f9216d8358687e658b4700a0517774853ba14087f107380703beba9c99bf9/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b15>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b15 <https://outgoing.prod.mozaws.net/v1/245323e0b4786f659be1755e6439c14b6f512c3807422793f22aa5830ec33dcb/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b15>`__

uBlock Origin 1.12.5b14 - May 28, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b14 <https://outgoing.prod.mozaws.net/v1/f208f5787e40e199655bb9de4d940e769cd2ebca639d9acd5f0a7e2cc70cfbc5/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b14>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b14 <https://outgoing.prod.mozaws.net/v1/3660864959d25b3b7f45bf0ae61ca777cdb91093ce59d89aa6c2fb0de56fb640/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b14>`__

uBlock Origin 1.12.5b13 - May 28, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b13 <https://outgoing.prod.mozaws.net/v1/4fcefb562e90c3ac51e5a781b5d30285468205b2067824ebb487d694d1ee4d43/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b13>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b13 <https://outgoing.prod.mozaws.net/v1/a4866bfdedd87a117e4ed82af89b913bf2a1a2f9b9530284e4ed38729d34a424/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b13>`__

uBlock Origin 1.12.5b12 - May 27, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b12 <https://outgoing.prod.mozaws.net/v1/460a776b829355d746e2c73bda2c48a89abb469f71cfb0902bf0d3dd74762ba0/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b12>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b12 <https://outgoing.prod.mozaws.net/v1/d169b8738527112c6ee3ff4c375beeef60074e362f73736a5ffc844ae5a27b25/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b12>`__

uBlock Origin 1.12.5b10 - May 27, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b10 <https://outgoing.prod.mozaws.net/v1/cd6ebbe56dc731eb565796cc840c14e90bb85d4c7447415749cb72c5a6802e6e/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b10>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b10 <https://outgoing.prod.mozaws.net/v1/32dfe2dee5cb612a1ef1da4a2e1daef7a74a227832e8495acde167e657bbee16/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b10>`__

uBlock Origin 1.12.5b9 - May 26, 2017
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b9 <https://outgoing.prod.mozaws.net/v1/623fe1c9627ba91381a00f5fdeb551b0573180796c7201fa15b4907207661ff0/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b9>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b9 <https://outgoing.prod.mozaws.net/v1/52b6a7653014040c48774a78908f27c31f819f89ae2f369bdd6dd0582a8fa37c/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b9>`__

uBlock Origin 1.12.5b7 - May 20, 2017
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b7 <https://outgoing.prod.mozaws.net/v1/96157ce3d5ca85b59c60c37c20184052c302d131f0cb7971b12feba919d3dfb1/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b7>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b7 <https://outgoing.prod.mozaws.net/v1/2597e210a8032e12bfc97b4b3302ef16a96c76de9c2aaed161bc03421c0911b0/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b7>`__

uBlock Origin 1.12.5b6 - May 20, 2017
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b6 <https://outgoing.prod.mozaws.net/v1/951d95f4b23b758881e6ab46d069f032e74fec02ba1953f041309b7e311926a4/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b6>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b6 <https://outgoing.prod.mozaws.net/v1/cfce94d59eaa8d861f025fe6ad8421ad2dff14e8c0b7654e3b9f7acbcb8e5c12/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b6>`__

uBlock Origin 1.12.5b5 - May 20, 2017
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b5 <https://outgoing.prod.mozaws.net/v1/734d581788755ead56701fff6890981ea48c4c78873f45d2c81b1b9823225ea7/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b5>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b5 <https://outgoing.prod.mozaws.net/v1/ecb2c78a586ad53019492907e68e3cce34f72941b7f09d283a8851b7e001d358/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b5>`__

uBlock Origin 1.12.5b4 - May 19, 2017
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b4 <https://outgoing.prod.mozaws.net/v1/bddd5f21ae202ca6a9d29583f7009e0023454b6da81b285e85ad7089d1cfe11b/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b4>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b4 <https://outgoing.prod.mozaws.net/v1/79cc3ab4428e052e072cbe1f259f49f42810f7434582ebdc22d328fd6d9b574e/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b4>`__

uBlock Origin 1.12.5b3 - May 17, 2017
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b3 <https://outgoing.prod.mozaws.net/v1/fe7edf959760430f50b8d3c685d628cf31c17c5d3029141930ec83ad490588bf/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b3>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b3 <https://outgoing.prod.mozaws.net/v1/0886c5f2765edef63a16f59a07eeee3882e65a2cbd9d37a0495e2c233de583e3/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b3>`__

uBlock Origin 1.12.5b2 - May 17, 2017
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.5b2 <https://outgoing.prod.mozaws.net/v1/6a32f6ea7f3fadb609e049760951faf43a772ffb3b24ae1b892d600252cc0d52/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.5b2>`__
| Commit history since 1.12.4:
  `https://github.com/gorhill/uBlock/compare/1.12.4...1.12.5b2 <https://outgoing.prod.mozaws.net/v1/c1402412f005453beb676825f5b8c4ca750181f4cfc0aafc5228797aaf3805db/https%3A//github.com/gorhill/uBlock/compare/1.12.4...1.12.5b2>`__

uBlock Origin 1.12.4 - May 14, 2017
===================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/265d9815983f468c2ae86c0c48c2c185149b119981e65b1026a9e8994b9ed617/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.4>`__.
|  
| **Closed as fixed:**
|  

-  `Unable to access logger/dashboard from popup upon session
   restore <https://outgoing.prod.mozaws.net/v1/cd9fbfc29fce34bee572aa64f69dff505fe0a53eaba8daedf21d2c1de4fa5fd9/https%3A//github.com/gorhill/uBlock/issues/2558>`__
-  `Improperly punycoded hostname for hostname-anchored filters with Unicode
   characters <https://outgoing.prod.mozaws.net/v1/1329d3469be171f131b4101f71fa45038c9682a7c148d6d8dcbde290b7d3445c/https%3A//github.com/gorhill/uBlock/issues/2599>`__
-  `Request: some unused resources are spuriously
   updated <https://outgoing.prod.mozaws.net/v1/e2f6e1a694d0b2b85c83162d2c02264e45479827f59f4f6e695e69dc3e3b83d4/https%3A//github.com/gorhill/uBlock/issues/2594>`__
-  `Bad Fanboy server cache
   policy <https://outgoing.prod.mozaws.net/v1/ddd6c1fe025350be1a64c45ffca732c104be6b2b002270f6f6f9ffb475f8fb31/https%3A//github.com/gorhill/uBlock/issues/2592>`__

   -  This was causing uBO to use potentially severely obsolete filter lists
      hosted on ``fanboy.co.nz``, or more generally putting uBO users at the
      mercy of flawed server caching policies.

-  `Newly created filter through the element picker is ignored after
   quitting/launching
   uBO <https://outgoing.prod.mozaws.net/v1/92589b8eb3d0c353e3236fb438005f48aaecd78f4f730ab68e224dd0842b4bd6/https%3A//github.com/gorhill/uBlock/issues/2585>`__
-  `GUI "gear" Blocked by Temporary
   Elements <https://outgoing.prod.mozaws.net/v1/48eaee695eb6a591724cfc2e4849b55af1e199a865f3439ebad58a8ab08605b8/https%3A//github.com/gorhill/uBlock/issues/2559>`__
-  `Punycode phishing attack
   detection <https://outgoing.prod.mozaws.net/v1/623c80f34b0e8cad9d594d000e82c57b04d761b488e63aa2fd019fa2135ddfae/http%3A//github.com/gorhill/uBlock/issues/2550>`__

   -  Potentially ambiguous base domain names in the popup panel will be
      labelled <sup>Ж</sup> (a Cyrillic character), to inform the user that the
      domain name contains Cyrillic characters which could be confused with
      some ASCII characters.
   -  Further reading: `IDN homograph
      attack <https://outgoing.prod.mozaws.net/v1/d83f09d71da593eb2f6f090561d03f512da86ebaa28c8ecaba1268ebadc8cdf9/https%3A//en.wikipedia.org/wiki/IDN_homograph_attack>`__.

-  `More longer timeout
   time <https://outgoing.prod.mozaws.net/v1/158ca54972eb6933f44b9cb38db26d70a54b0aeab81d4e8466c5df4b9a792aeb/https%3A//github.com/gorhill/uBlock/issues/2526>`__

   -  Better handling of timeout conditions for slow connections when updating
      filter lists.

-  `Add adblock-iran filter list to regional
   lists <https://outgoing.prod.mozaws.net/v1/34d7bc8d29b4ebd01295591240ace3d9945acc5b7126b95677df83ba4ff48811/https%3A//github.com/gorhill/uBlock/pull/2081>`__

| 
| `Commit history between 1.12.1 and
  1.12.4 <https://outgoing.prod.mozaws.net/v1/5a6c0519caebab15390d52a4828e810863bd443e44fb3f8918f5901e0155be3f/https%3A//github.com/gorhill/uBlock/compare/1.12.1...1.12.4>`__.

uBlock Origin 1.12.3rc2 - May 9, 2017
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.3rc2 <https://outgoing.prod.mozaws.net/v1/9e59aa96a65701214e40ce2eea07aff5e2e649d2e11d2113b203f9f1a3d57dde/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.3rc2>`__
| Commit history since 1.12.1:
  `https://github.com/gorhill/uBlock/compare/1.12.1...1.12.3rc2 <https://outgoing.prod.mozaws.net/v1/8396bc5fa1171039682c04ef94a2de920ee9408cb7fe912ed085046c3a315131/https%3A//github.com/gorhill/uBlock/compare/1.12.1...1.12.3rc2>`__

uBlock Origin 1.12.3rc1 - May 8, 2017
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.3rc1 <https://outgoing.prod.mozaws.net/v1/c886e8a7a417351067dfad5ec648c2e9a87976b679927874e384e93fb04c9a99/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.3rc1>`__
| Commit history since 1.12.1:
  `https://github.com/gorhill/uBlock/compare/1.12.1...1.12.3rc1 <https://outgoing.prod.mozaws.net/v1/f9684ca920fa2cdad37166bb96da2494a741f2bd86f8c2ef22a713b3c2361758/https%3A//github.com/gorhill/uBlock/compare/1.12.1...1.12.3rc1>`__

uBlock Origin 1.12.3rc0 - May 6, 2017
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.3rc0 <https://outgoing.prod.mozaws.net/v1/c3b414dc3a00431079ccff5850b4c398b22f3cf6e8baeb0876e54fb2c32fa7a3/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.3rc0>`__
| Commit history since 1.12.1:
  `https://github.com/gorhill/uBlock/compare/1.12.1...1.12.3rc0 <https://outgoing.prod.mozaws.net/v1/d0078e4f547dfa6dab1175dfc610ea35cd8789979f6124a312d995b9f075870d/https%3A//github.com/gorhill/uBlock/compare/1.12.1...1.12.3rc0>`__

uBlock Origin 1.12.3b2 - May 2, 2017
====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.3b2 <https://outgoing.prod.mozaws.net/v1/ed49630a346a771d0eb2f856af4de68ba26edfbdf69b4e5b2aa755a21f40d278/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.3b2>`__
| Commit history since 1.12.1:
  `https://github.com/gorhill/uBlock/compare/1.12.1...1.12.3b2 <https://outgoing.prod.mozaws.net/v1/6c4cf3d700ee60c2da8f6760ad7ec7d519e2487d356ada3710c1c038567d8b27/https%3A//github.com/gorhill/uBlock/compare/1.12.1...1.12.3b2>`__

uBlock Origin 1.12.3b1 - April 27, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.3b1 <https://outgoing.prod.mozaws.net/v1/e7ed89dbe0c4e5be97534974b3165ce3155a7f34a65ee50ffc4068362c3a3002/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.3b1>`__
| Commit history since 1.12.1:
  `https://github.com/gorhill/uBlock/compare/1.12.1...1.12.3b1 <https://outgoing.prod.mozaws.net/v1/28039e61d35d96dfdabb7419fad3d7a53b79acd86707dd6f122419f4785fd6bb/https%3A//github.com/gorhill/uBlock/compare/1.12.1...1.12.3b1>`__

uBlock Origin 1.12.3b0 - April 24, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.12.3b0 <https://outgoing.prod.mozaws.net/v1/78791829e022149dcaf0ada9bca6328c96cb079a5ae0f1f49f8a182285ef8f57/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.3b0>`__
| Commit history since 1.12.1:
  `https://github.com/gorhill/uBlock/compare/1.12.1...1.12.3b0 <https://outgoing.prod.mozaws.net/v1/88c31cb2f33c78f58e2b4cd5fdbc7c6369c96021e9f0006eca203ad77ff58ad9/https%3A//github.com/gorhill/uBlock/compare/1.12.1...1.12.3b0>`__

uBlock Origin 1.12.1 - April 15, 2017
=====================================

| No code change, just a re-package with more recent filter lists to ensure
  uBlock Origin works *out of the box* with
  `EasyPrivacy <https://outgoing.prod.mozaws.net/v1/c61085ac24c07bea564d53675f4888cdf7c952ba21a85cc6ec57e053b85f4948/https%3A//easylist.to/>`__
  without breaking Facebook upload feature: a filter in EasyPrivacy was causing
  a false positive.
|  
| For existing installations, just force an update of EasyPrivacy.
|  
| I did not look into the details, but at first glance it seems the false
  positive appeared as a result of Facebook changing its code. It's unlikely
  sites such as Facebook (who would rather not encourage the use of blockers)
  would test their pages when using a blocker in order to ensure their site
  still works fine with a blocker.
|  
| Today I learned: a whole lot of users have no clue that most blockers work
  based on filter lists which can cause false positives. The Facebook issue
  would have happened with any blocker making use of EasyPrivacy.
|  
| False positives must be reported to filter list maintainers (not here), and
  often just `forcing an update of filter
  lists <https://outgoing.prod.mozaws.net/v1/120284469021f0a5f844581cc65928d86c64e43ea2c842da0226bbae1df115b7/https%3A//github.com/gorhill/uBlock/wiki/Dashboard%3A-3rd-party-filters%23purge-all-caches>`__
  may resolve an issue (because maybe somebody else reported the issue and it
  was fixed by maintainers).

uBlock Origin 1.12.0 - April 9, 2017
====================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/5ffb2ccf2af4ca994061e78e2c36a3f72d279869c55613d2da865b3f8128bdbb/https%3A//github.com/gorhill/uBlock/releases/tag/1.12.0>`__.
|  
| **Changes**
|  
| New static network filter option: ``badfilter``. Using this option will
  prevent another filter to be loaded in memory. See
  `https://github.com/uBlockOrigin/uAssets/issues/192 <https://outgoing.prod.mozaws.net/v1/7cb56cc180993301970dcdd3adc98b18fa1b0972098207041fc9835310e407bf/https%3A//github.com/uBlockOrigin/uAssets/issues/192>`__
  for rationale for having such a filter option.
|  
| **Firefox WebExtension**
|  
| Ability to support more request types from webRequest API: ``csp-report``,
  ``font``, ``media``, ``websocket``, and actually whatever is part of
  `webRequest.ResourceType <https://outgoing.prod.mozaws.net/v1/98505cb0e26da5b04994b54748dc90544c8ba4cd25996a9eecd8ee389e89bc68/https%3A//developer.mozilla.org/en-US/Add-ons/WebExtensions/API/webRequest/ResourceType>`__.
  This means uBO will be able to natively filter websocket connection attempts
  starting with Chromium 58.
|  
| **Firefox**
|  
| The webext version for Firefox has been converted into a `hybrid
  version <https://outgoing.prod.mozaws.net/v1/e01eadfde2d72189a54754fd53865270d9b2d2968cd921de4e7470a33df3e44d/https%3A//developer.mozilla.org/en-US/Add-ons/WebExtensions/Embedded_WebExtensions>`__,
  to allow seamless migration of uBO's settings/data from a legacy extension to
  webext extension. \*\*Update:\*\* due to `auto-update
  snafu <https://outgoing.prod.mozaws.net/v1/4fa662cff9809b974e05b875a28725811a68299d9bdd79db8dd4691923ec4bbc/https%3A//github.com/gorhill/uBlock/issues/2454>`__,
  the webext version of uBO has been given a different id than the official
  one, this will guarantee that auto-update won't cause issue (you will have to
  update manually if using the webext version).
|  
| Important: If you install the webext version of uBO (you need the most recent
  build of Nightly), this is what will happen:
|  
| When you launch uBO/webext for the first time, it will read all your
  settings/data from the old storage and migrate them to the new webext
  storage. This happens \*\*only\*\* if uBO/webext can find a `file named
  ``ublock0.sqlite`` <https://outgoing.prod.mozaws.net/v1/e44569a7341fbc85695ae08d649e474f2128a1be21c7d8ab608401ab54d088d6/https%3A//github.com/gorhill/uBlock/blob/master/dist/README.md%23firefox>`__.
  This will happens only once, the first time you install uBO/webext. Depending
  of how much data there is to migrate, this may cause your browser to work
  hard during that first launch and delay readiness.
|  
| Once the data from the uBO/legacy has been migrated to uBO/webext, each
  version of uBO will only see its own data, meaning no change in settings in
  one version will be seen by the other version. If you remove uBO/webext, this
  also removes the storage associated to it, meaning re-installing uBO/webext
  following removal will cause the storage migration code to kick in again.
|  
| **Closed as fixed:**
|  

-  `uBO broken on Firefox mozilla-central
   tip <https://outgoing.prod.mozaws.net/v1/f8e7a94dd73f33d5580ddfaa1932b81afaaf9b89277b873b2b7fa053e15a4b3f/https%3A//github.com/gorhill/uBlock/issues/2493>`__
   (fixed by @gijsk through pull request #2493)
-  `jpm sign
   fails <https://outgoing.prod.mozaws.net/v1/a0e85d114aafb95dd98faedfbdac0bc3107e1f4c13c39e275452f75bfa632b85/https%3A//github.com/gorhill/uBlock/issues/2433>`__
   (fixed by @andreicristianpetcu through pull request #2434)
-  `Webextensions under Firefox: No settings save dialog is
   displayed <https://outgoing.prod.mozaws.net/v1/ac52cb1a948a6902aa2f73e15b4a098b3d98e9571dea2fbf7a54ad3015a880f4/https%3A//github.com/gorhill/uBlock/issues/2477>`__
-  `Autogenerated filter breaks a web
   page <https://outgoing.prod.mozaws.net/v1/e7a20ee4c460f61813802601eaa741d4de506704dd1cadd859eaae8c3ae101ed/https%3A//github.com/gorhill/uBlock/issues/2519>`__
-  `Cosmetic filters containing pseudo-elements like ::before and ::after are
   ignored <https://outgoing.prod.mozaws.net/v1/e21945fe39231309beef6bd2d9309440b52138fb3ace8e16e285850e4ff79150/https%3A//github.com/gorhill/uBlock/issues/2448>`__
-  `Unable to remove/modify dynamic filter when using
   wildcard <https://outgoing.prod.mozaws.net/v1/ca52ac17f0a151b862d27fb364793be1e55bb49632bfbc8e1dc85c9f9ca4a88c/https%3A//github.com/gorhill/uBlock/issues/2447>`__
-  `Dynamic URL Filtering fails to take precedence over Dynamic Filtering for
   worker
   requests <https://outgoing.prod.mozaws.net/v1/0151a53c1e6df764e6826b812bebb17f9d07041dd9df7b371f9a31f6feb1ed94/https%3A//github.com/gorhill/uBlock/issues/2440>`__
-  `Enable users to create their own custom
   scriptlets <https://outgoing.prod.mozaws.net/v1/bcf840a19308176abdf8599f9fc37a78ae9d9b478fdc55bca2f9379078690ebd/https%3A//github.com/gorhill/uBlock/issues/2267>`__

   -  See `*"Advanced settings"
      * <https://outgoing.prod.mozaws.net/v1/7f721b7ddd5479edca7be67aeaf4c6abd732349ae52ba731a06f39953f9eb452/https%3A//github.com/gorhill/uBlock/wiki/Advanced-settings%23userresourceslocation>`__

   `*
   */``userResourcesLocation`` <https://outgoing.prod.mozaws.net/v1/7f721b7ddd5479edca7be67aeaf4c6abd732349ae52ba731a06f39953f9eb452/https%3A//github.com/gorhill/uBlock/wiki/Advanced-settings%23userresourceslocation>`__.

| 
| `Commit history between 1.11.4 and
  1.12.0 <https://outgoing.prod.mozaws.net/v1/04aeb94c1280bebd0e1c7ccabfa6f2faae021e3d1f80824180dd25075275bd07/https%3A//github.com/gorhill/uBlock/compare/1.11.4...1.12.0>`__.

uBlock Origin 1.11.5rc8 - April 4, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.5rc8 <https://outgoing.prod.mozaws.net/v1/7dca67154e509149515e0c15e3839e577909fee2121b500503adbfe21602c63f/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.5rc8>`__
| Commit history since 1.11.4:
  `https://github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc8 <https://outgoing.prod.mozaws.net/v1/a855f2c393e3a0d39d21cf56eb09089aa579abd7fd0c7d733619d8ec3805aa42/https%3A//github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc8>`__

uBlock Origin 1.11.5rc7 - April 3, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.5rc7 <https://outgoing.prod.mozaws.net/v1/60c6f4d9c4db17b5edaa98a198be1c7af43f9d62c50d67f88c2725b502c3ca20/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.5rc7>`__
| Commit history since 1.11.4:
  `https://github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc7 <https://outgoing.prod.mozaws.net/v1/964e1813bb6e1968a1daad73a210ba17cfcb4665826f76445348e88a5878f811/https%3A//github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc7>`__

uBlock Origin 1.11.5rc6 - April 1, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.5rc6 <https://outgoing.prod.mozaws.net/v1/7a27963ab4b2b53f1b5dbef2b0d0b2d18396b2962653548b907e46ffa6b95d91/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.5rc6>`__
| Commit history since 1.11.4:
  `https://github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc6 <https://outgoing.prod.mozaws.net/v1/15364f3d8a22b35546c28f5c8131497a8eba71f92f5dd1ac42791a50884d0795/https%3A//github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc6>`__

uBlock Origin 1.11.5rc4 - April 1, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.5rc4 <https://outgoing.prod.mozaws.net/v1/344ee6a308636d8baa222417fa47807fecf9a5b4f5cd6625750179afce83769a/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.5rc4>`__
| Commit history since 1.11.4:
  `https://github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc4 <https://outgoing.prod.mozaws.net/v1/6b397439234f6f70afddedee14b0a5f5a89d11e25414e4fdb5c84d2186f1640a/https%3A//github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc4>`__

uBlock Origin 1.11.5rc3 - April 1, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.5rc3 <https://outgoing.prod.mozaws.net/v1/f467c8e2eb2d55bfec53a09dad3a2c5078b337fea94bdc11bd6bb05784549d80/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.5rc3>`__
| Commit history since 1.11.4:
  `https://github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc3 <https://outgoing.prod.mozaws.net/v1/5503a253e746ed662cdb04af8bbca711057ff625f61411747d409aae8b22ab57/https%3A//github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc3>`__

uBlock Origin 1.11.5rc1 - March 25, 2017
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.5rc1 <https://outgoing.prod.mozaws.net/v1/17ef99a3f04cbdf85396a92ad62ec18032eafec5b3ff3179eac933ee33b111d0/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.5rc1>`__
| Commit history since 1.11.4:
  `https://github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc1 <https://outgoing.prod.mozaws.net/v1/2c4f7f3a4be47e3ec22d58a9dbb9a518965b343242308872f521711103666c38/https%3A//github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc1>`__

uBlock Origin 1.11.5rc0 - March 23, 2017
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.5rc0 <https://outgoing.prod.mozaws.net/v1/f70bf5aad8c759c6cbaa886003b023fcf885d6a69ed7820ae52ecee7150d80de/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.5rc0>`__
| Commit history since 1.11.4:
  `https://github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc0 <https://outgoing.prod.mozaws.net/v1/79ec06c873a0dfb1a4a81ef0b4e9cf0c09bfdebbe621cead437e2a557aae5071/https%3A//github.com/gorhill/uBlock/compare/1.11.4...1.11.5rc0>`__

uBlock Origin 1.11.5b2 - March 20, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.5b2 <https://outgoing.prod.mozaws.net/v1/0829ecba5f599e35bd11259aa34ebfea7c26b29b2a36ba32c9f14ffce04733f0/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.5b2>`__
| Commit history since 1.11.4:
  `https://github.com/gorhill/uBlock/compare/1.11.4...1.11.5b2 <https://outgoing.prod.mozaws.net/v1/45ea5f0470edb57f1aa2340e6f486f0616118efbb356670caffffcf6c2ac6904/https%3A//github.com/gorhill/uBlock/compare/1.11.4...1.11.5b2>`__

uBlock Origin 1.11.5b0 - March 13, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.5b0 <https://outgoing.prod.mozaws.net/v1/faa9dac0b9275d9efb232659c034b193c2de5857e278d6b5740601cc1f1064b9/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.5b0>`__
| Commit history since 1.11.4:
  `https://github.com/gorhill/uBlock/compare/1.11.4...1.11.5b0 <https://outgoing.prod.mozaws.net/v1/1ca54c8ed17393febc51e76e8d1a6693eb9e787b9f022cde9f1dc60de680d50a/https%3A//github.com/gorhill/uBlock/compare/1.11.4...1.11.5b0>`__

uBlock Origin 1.11.4 - March 13, 2017
=====================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/c6b4f3daccf5e11acff5aeba2e9cab9acb6967d5295576be9cf11f1029b6a196/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.4>`__.
|  
| **Closed as fixed:**
|  
| `adminSettings and
  filterLists <https://outgoing.prod.mozaws.net/v1/4c656422045db2d10d022b57c9b4bd864d7e06571b47fd61c023571436d4553b/https%3A//github.com/gorhill/uBlock/issues/2450>`__
|  
| `Commit history between 1.11.2 and
  1.11.4 <https://outgoing.prod.mozaws.net/v1/8b9ec379fb91dc00279a8784a44f7dce101041a209131c1c712c271ead5e6df5/https%3A//github.com/gorhill/uBlock/compare/1.11.2...1.11.4>`__.

uBlock Origin 1.11.3b2 - March 11, 2017
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.3b2 <https://outgoing.prod.mozaws.net/v1/179de0119e891a64b4cabbd663b4e4d88724fbbb01340dff54395c1948e914a0/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.3b2>`__
| Commit history since 1.11.2:
  `https://github.com/gorhill/uBlock/compare/1.11.2...1.11.3b2 <https://outgoing.prod.mozaws.net/v1/27d358a07f9c05857f6f9720f79febf8f2d92aade33338c322851b4eb31d297f/https%3A//github.com/gorhill/uBlock/compare/1.11.2...1.11.3b2>`__

uBlock Origin 1.11.3b0 - March 6, 2017
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.3b0 <https://outgoing.prod.mozaws.net/v1/5df00b7371edbd31d58257698210cf435ecb477093566eb81666273e5279e3d4/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.3b0>`__
| Commit history since 1.11.2:
  `https://github.com/gorhill/uBlock/compare/1.11.2...1.11.3b0 <https://outgoing.prod.mozaws.net/v1/52fd05b797a88ee2c33dd85ea433ab07630e53cbea99d8b67fcffd6a61658579/https%3A//github.com/gorhill/uBlock/compare/1.11.2...1.11.3b0>`__

uBlock Origin 1.11.2 - March 3, 2017
====================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/6e171e1eb8cd513ddd159c741688e27fcb381118e45b3d1896c73bc6f1b18b03/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.2>`__.
|  
| **Changes**
|  
| Better support for selecting broad cosmetic filters (Ctrl-click) in element
  picker (see
  `1c4347d6 <https://outgoing.prod.mozaws.net/v1/c8449b637e57b69aa6c6efcb20f4ef41d2bc20ae1c7e26364dcad6ef0f61b746/https%3A//github.com/gorhill/uBlock/commit/1c4347d69d540916b609835dd63c56a11ab7b2e5>`__).
|  
| **Closed as fixed**
|  

-  `DOM Inspector: Fallback to .childNodes when .children not
   present <https://outgoing.prod.mozaws.net/v1/400e94db7751a00aa9696d7aaa20fae6ad408a826f64388edef7e9ec21385ada/https%3A//github.com/gorhill/uBlock/pull/2242>`__
   (pull request from @nikrolls)
-  `uBO incompatible with
   InFormEnter <https://outgoing.prod.mozaws.net/v1/93b68d7b205da642d626d150cf3541e0016ba7b3dc238dc71621c6adb2ac39f4/https%3A//github.com/gorhill/uBlock/issues/2414>`__
-  `Missing text in da-dk
   localization <https://outgoing.prod.mozaws.net/v1/ee08232067d3a4ac31dc9d23dfdbf696791e092d0802c00affffd5f1bf84ae45/https%3A//github.com/gorhill/uBlock/issues/2388>`__
-  `SharedWorker
   [sibnet.ru] <https://outgoing.prod.mozaws.net/v1/6a912f79de11ec623fb33de44463ae0619e19ad97ec8edc95f7ef2ea1ae33bed/https%3A//github.com/gorhill/uBlock/issues/2360>`__

   -  Ability to block shared workers using \`\|blob:\`-based filters.

| 
| `Commit history between 1.11.0 and
  1.11.2 <https://outgoing.prod.mozaws.net/v1/344c1a7c275ee9e4cea5be27f0da577969b22a9fbcc641263a994b626914022d/https%3A//github.com/gorhill/uBlock/compare/1.11.0...1.11.2>`__.

uBlock Origin 1.11.1rc0 - February 18, 2017
===========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.1rc0 <https://outgoing.prod.mozaws.net/v1/fdb108779f0d9272611ee7359b754b1ab716d5a15b88050404593d1750b2432f/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.1rc0>`__
| Commit history since 1.11.0:
  `https://github.com/gorhill/uBlock/compare/1.11.0...1.11.1rc0 <https://outgoing.prod.mozaws.net/v1/fe3e37229fb1982cea638dc248c419eee15650e3e902034299e6c78232ac7974/https%3A//github.com/gorhill/uBlock/compare/1.11.0...1.11.1rc0>`__

uBlock Origin 1.11.1b1 - February 13, 2017
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.1b1 <https://outgoing.prod.mozaws.net/v1/a8d54118c1421460033ec2f05e7f2d9cfad8fe50b034fc3a9518c1b9d86905b1/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.1b1>`__
| Commit history since 1.11.0:
  `https://github.com/gorhill/uBlock/compare/1.11.0...1.11.1b1 <https://outgoing.prod.mozaws.net/v1/0f17a99a3ae989dccb0408926c866d8a364fd605aa67a397869103525f85801a/https%3A//github.com/gorhill/uBlock/compare/1.11.0...1.11.1b1>`__

uBlock Origin 1.11.1b0 - February 7, 2017
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.11.1b0 <https://outgoing.prod.mozaws.net/v1/1ef86dffae5124e35cb7844d72b4aa458ed06a6432ae4dc0eae8e3160e0831d9/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.1b0>`__
| Commit history since 1.11.0:
  `https://github.com/gorhill/uBlock/compare/1.11.0...1.11.1b0 <https://outgoing.prod.mozaws.net/v1/8b505774afe6de4b74f23366fbb0482a8249dec97a5d98c6e598096b0327594d/https%3A//github.com/gorhill/uBlock/compare/1.11.0...1.11.1b0>`__

uBlock Origin 1.11.0 - February 6, 2017
=======================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/44acf80953303e13ceb669c7862ac81a84376b3e3ca00248e6a0569f03612c6e/https%3A//github.com/gorhill/uBlock/releases/tag/1.11.0>`__.
|  
| **Changes**
|  
| Asset managements was refactored:
  `details <https://outgoing.prod.mozaws.net/v1/3959b68179d5d648bf5ef37e63c0a5e04acfcb96914c9b7c021338c2415d3deb/https%3A//github.com/gorhill/uBlock/pull/2314>`__.
|  
| The user interface of the *"3rd-party filters"* has been revisited:

-  To render better in devices with smaller screen.
-  Clicking *"Update now"* is no longer a blocking operation.
-  The home icon is a link to the support site for a given filter list.
-  The clock icon replaces the *"purge cache"* label.

   -  Click to mark a filter list as out-of-date.

-  The custom filter lists input field has been repurposed to *import* external
   filter lists, as opposed to *declare* external filter lists as was the case
   before.

   -  An imported filter list will have an "X" icon aside its name, to be used
      to remove the custom filter list.

-  You can now hide unused filter lists by clicking the global filter count at
   the top.

| 
| Procedural cosmetic filters can now be chained and recursive (`something
  which was
  planned <https://outgoing.prod.mozaws.net/v1/fb6ad8c232e06ab715cbd6f16e94f5c7afa6cb89c109540e1e0a37171db883eb/https%3A//github.com/gorhill/uBlock/issues/1930%23issuecomment-242053806>`__)
  .
|  
| New procedural cosmetic filter operators:

-  ``:has-text(argument)``: to filter elements according to whether they have a
   specific text string found in them. Use ``/.../`` to match a literal regular
   expression instead of plain text.
-  ``:if()``/``:if-not(argument)``: use to implement recursion, ``argument`` is
   itself a valid procedural cosmetic filter, but can also be a plain CSS
   selector.

| 
| The cost of parsing procedural cosmetic filters has been moved from content
  script-time to filter list compile-time, i.e. done only once when a filter
  list is updated.
|  
| `Documentation about procedural cosmetic
  filters <https://outgoing.prod.mozaws.net/v1/e0d0195070a22ac2a597b5fe10311d52d2be99d6d9f6307e2f9ed6e5a8fe7069/https%3A//github.com/gorhill/uBlock/wiki/Procedural-cosmetic-filters>`__
  has been updated.
|  
| The element picker supports all procedural cosmetic filters, i.e. it will
  also provide visual feedback as you enter manually such filters in the input
  field. Invalid filters, procedural or not, will be labelled with a bright red
  "E".
|  
| **Closed as fixed**
|  

-  `Chained unwanted popups not properly
   filtered <https://outgoing.prod.mozaws.net/v1/feaac2a836ad763dff48f4d8c7a1cb7d03b7179bb1f48b5e2bed4cb64f48b2de/https%3A//github.com/uBlockOrigin/uAssets/issues/255>`__
-  `Firefox Android configuration popup
   scrolling <https://outgoing.prod.mozaws.net/v1/3d2207428e2c50a8f9d3bb13aaa8ae88b27eeba83c13a9de3cbce88fb7e05d6b/https%3A//github.com/gorhill/uBlock/issues/2274>`__
-  `Please enable RU Adlist filter for ex-USSR/CIS
   locales <https://outgoing.prod.mozaws.net/v1/95ff721d30a7cdd31a1428badac3ddf335e5ef3418e3d289db3018f59f7e3369/https%3A//github.com/gorhill/uBlock/issues/2344>`__
-  `Assets management
   refactored <https://outgoing.prod.mozaws.net/v1/3959b68179d5d648bf5ef37e63c0a5e04acfcb96914c9b7c021338c2415d3deb/https%3A//github.com/gorhill/uBlock/pull/2314>`__
-  `Logger timestamps are incorrect when system time zone is not on hour
   boundary <https://outgoing.prod.mozaws.net/v1/8b48a3819d5bb1c53a0ef8ee7d7278fe8149a353caf59fbdad8932b704e4ed81/https%3A//github.com/gorhill/uBlock/pull/2301>`__
-  `Not blocked websockets
   (worker) <https://outgoing.prod.mozaws.net/v1/1ef52b939511f7d0a783a09a7bb5f27e1a8ed4150d173821261501a136e5035f/https%3A//github.com/gorhill/uBO-Extra/issues/19>`__
-  `Want to create a regex to whitelist all google but no
   luck <https://outgoing.prod.mozaws.net/v1/9aa26ddf91bbb95a84dfd705dd9190b2eb3cf53451e4ae045614fd2baeb4252a/https%3A//github.com/gorhill/uBlock/issues/2264>`__
-  `Ads are not blocked on bing.com web
   searches <https://outgoing.prod.mozaws.net/v1/28c5d1db253eb8b50e75bf6ca09ed996edc0697531b16fa2e62cc409a7f59cf0/https%3A//github.com/nikrolls/uBlock-Edge/issues/30>`__
   (issue filed for Edge, but also present on other platforms, those not
   supporting user styles or shadow DOM).

   -  The fix needs to be tested/confirmed for the Edge version.
   -  For Chromium-based browsers, use of shadow DOM has been removed in an
      attempt to simplify/unify generic implementation of the concept of user
      styles. (can be brought back if feedback shows it's needed).
   -  Most reliable and low overhead cosmetic filtering is on modern Firefox
      (38+), all other platforms (Chromium, Edge, legacy Firefox, Safari) not
      providing proper "user styles" API rely on same generic implementation.

-  `Duplicate filter
   lists <https://outgoing.prod.mozaws.net/v1/2cc481dd80623d3ea8b9c546116d03a5f8d4901f259cdb26a143a9a53ad6dd1b/https%3A//github.com/gorhill/uBlock/issues/1181>`__

| 
| `Commit history between 1.10.6 and
  1.11.0 <https://outgoing.prod.mozaws.net/v1/66224b50549318d468d2176451b14202b2ff9e0e2c160b94b1a39af86a344446/https%3A//github.com/gorhill/uBlock/compare/1.10.6...1.11.0>`__.

uBlock Origin 1.10.7rc4 - February 3, 2017
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.7rc4 <https://outgoing.prod.mozaws.net/v1/e0a322ac328a1b4e834512ddeebf99ff3f67ff6126a63b1406ed195fb6fa7f14/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.7rc4>`__
| Commit history since 1.10.6:
  `https://github.com/gorhill/uBlock/compare/1.10.6...1.10.7rc4 <https://outgoing.prod.mozaws.net/v1/9aabb4dbcf38d14a62787d6d3d767b79d87e38c75e0a7987ec4c93efda98748e/https%3A//github.com/gorhill/uBlock/compare/1.10.6...1.10.7rc4>`__

uBlock Origin 1.10.7rc3 - February 1, 2017
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.7rc3 <https://outgoing.prod.mozaws.net/v1/67905eecadd8f278574800c00d43f91cdecbafef361a9ceccb8cb23c0af09cdf/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.7rc3>`__
| Commit history since 1.10.6:
  `https://github.com/gorhill/uBlock/compare/1.10.6...1.10.7rc3 <https://outgoing.prod.mozaws.net/v1/83e38e4cbff4bf3ce75fcf3dd37ddf6e12ca379f54572c456a147ca34b38212d/https%3A//github.com/gorhill/uBlock/compare/1.10.6...1.10.7rc3>`__

uBlock Origin 1.10.7rc2 - January 27, 2017
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.7rc2 <https://outgoing.prod.mozaws.net/v1/5542b4509431a4f5e8ea947cc2d36f23074f2118d478a7ef77e9df7f3d09744a/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.7rc2>`__
| Commit history since 1.10.6:
  `https://github.com/gorhill/uBlock/compare/1.10.6...1.10.7rc2 <https://outgoing.prod.mozaws.net/v1/8dd09ce9c94b883bbe5a420872ac96e9fab447cefc8e49df0edf34179a340933/https%3A//github.com/gorhill/uBlock/compare/1.10.6...1.10.7rc2>`__

uBlock Origin 1.10.7rc1 - January 26, 2017
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.7rc1 <https://outgoing.prod.mozaws.net/v1/75539ec1784d6bdbbac843b559e49b2f4ea97c1fc44498a71906726187da98f8/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.7rc1>`__
| Commit history since 1.10.6:
  `https://github.com/gorhill/uBlock/compare/1.10.6...1.10.7rc1 <https://outgoing.prod.mozaws.net/v1/0d0d7bcbba75d01126641ea755b0393ff28f1b541e7040d38436d48196374fc3/https%3A//github.com/gorhill/uBlock/compare/1.10.6...1.10.7rc1>`__

uBlock Origin 1.10.7rc0 - January 25, 2017
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.7rc0 <https://outgoing.prod.mozaws.net/v1/641bc495bffb341a0ec4970fc97795c03922d90ff46da8287ed19aa650a136f5/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.7rc0>`__
| Commit history since 1.10.6:
  `https://github.com/gorhill/uBlock/compare/1.10.6...1.10.7rc0 <https://outgoing.prod.mozaws.net/v1/a34b630f55fa17e78b5eda6ea71c7f42fd7c0f3da8e81a23578abc0b573ae0b7/https%3A//github.com/gorhill/uBlock/compare/1.10.6...1.10.7rc0>`__

uBlock Origin 1.10.6 - January 25, 2017
=======================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/f24ba43c0889d5ea2bd63c8044ba2f2c5d1e037d94766547d1dafcb01124ddd0/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.6>`__.
|  
| **Closed as fixed**

-  `WebRTC local IP leakage prevention ineffective (Firefox
   51) <https://outgoing.prod.mozaws.net/v1/3382e0e050ea4b5bca3da15eb065f281584fcd3de4d0c087eb6713d5d8019340/https%3A//github.com/gorhill/uBlock/issues/2337>`__

| 
| `Commit history between 1.10.4 and
  1.10.6 <https://outgoing.prod.mozaws.net/v1/9e219883d20c524bf092dc31bde38e1f6b9e5fecb42fe528e4adee9d86e2b103/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.6>`__.

uBlock Origin 1.10.5rc1 - January 24, 2017
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5rc1 <https://outgoing.prod.mozaws.net/v1/30d124568973ddd4be0889bd5669cdd97daf4b54a50b7f7f67df333ecbe8da31/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5rc1>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5rc1 <https://outgoing.prod.mozaws.net/v1/49f8cec38cb7670be72e1c84e4a59f244787bb374008b4a6bfe5054bde6f5eeb/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5rc1>`__

uBlock Origin 1.10.5rc0 - January 23, 2017
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5rc0 <https://outgoing.prod.mozaws.net/v1/9d35c33cfacdfeaca7c446ef46a13a78facbe14959c227ec46fa7541e24bf0a0/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5rc0>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5rc0 <https://outgoing.prod.mozaws.net/v1/55e1f05c31b717d8a40a459c03b3366d5ee8f6675c532de0d760c11b98836400/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5rc0>`__

uBlock Origin 1.10.5b14 - January 22, 2017
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5b14 <https://outgoing.prod.mozaws.net/v1/01037ea166644114fc5b9dce28d97b645f398c1c633acd97a50a57533c6aebb3/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5b14>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5b14 <https://outgoing.prod.mozaws.net/v1/f3af4e295cdd1919b79cfa7513f973326c9cf8115f4f9ffc7f9c192d558118e9/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5b14>`__

uBlock Origin 1.10.5b13 - January 20, 2017
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5b13 <https://outgoing.prod.mozaws.net/v1/0a95c4c140b5418ee0a4846107133f9efc7b6f4d5d845d48266da71ecb76b804/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5b13>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5b13 <https://outgoing.prod.mozaws.net/v1/d0b10ce8b47d5887b61e561e1714d289028f48acffb018d04a7c0093d6083eee/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5b13>`__

uBlock Origin 1.10.5b9 - January 9, 2017
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5b9 <https://outgoing.prod.mozaws.net/v1/b569b7d07f9d649cfd80c05873a3909fda9b2600de0989ea8300d79f032c03fa/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5b9>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5b9 <https://outgoing.prod.mozaws.net/v1/61c8db1c2344139add3d0e8dfb12821e51bad4852e559d28e1cf2cd8180bf5e8/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5b9>`__

uBlock Origin 1.10.5b8 - January 8, 2017
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5b8 <https://outgoing.prod.mozaws.net/v1/09e90df4af87cbdbe206c79fcae57a6398f91ed3f7eb09dbbc530576948a6623/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5b8>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5b8 <https://outgoing.prod.mozaws.net/v1/02b6d321732a34f2bae3cb02f7f3bd938df9009f8627c34eab9a88042be42594/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5b8>`__

uBlock Origin 1.10.5b7 - January 8, 2017
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5b7 <https://outgoing.prod.mozaws.net/v1/c4e95826be1339fde844748f1cff067996ae379e4982226ffef3224b6281aca4/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5b7>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5b7 <https://outgoing.prod.mozaws.net/v1/2edddaba630027f3ba142c7b4347e3edd3a632390680ed8c7c3e4371ccdf5487/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5b7>`__

uBlock Origin 1.10.5b6 - January 6, 2017
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5b6 <https://outgoing.prod.mozaws.net/v1/1953a0433255fe4daab9acc707cf9b89d54def533ba544cce2f319318c0fbd50/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5b6>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5b6 <https://outgoing.prod.mozaws.net/v1/9af3734b0c8c7e67321eb53991897f9f881bf788208ef1ff7a767692f1aee075/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5b6>`__

uBlock Origin 1.10.5b5 - December 30, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5b5 <https://outgoing.prod.mozaws.net/v1/a5ea045d660f347b10a7e0475e0179c0c10e70d2560531fb00918ad37e8f2459/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5b5>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5b5 <https://outgoing.prod.mozaws.net/v1/bc946eb83e313333af8f629d18f66ca3968c242499093baa88ae4c5913f25276/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5b5>`__

uBlock Origin 1.10.5b4 - December 29, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5b4 <https://outgoing.prod.mozaws.net/v1/f894031ef9d85f9916f7f30612ad1e127f9f3568080e16bfa9f666b410b1d809/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5b4>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5b4 <https://outgoing.prod.mozaws.net/v1/e8cbe870aa5b9df1aaa09f471c0a7d90fa9ea4afc644681e5197fc0f82151b82/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5b4>`__

uBlock Origin 1.10.5b3 - December 29, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5b3 <https://outgoing.prod.mozaws.net/v1/2d691633f1d6a3a0a7b41d56979e4069d8ec1f004c3efad0a0a23ba16128e1aa/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5b3>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5b3 <https://outgoing.prod.mozaws.net/v1/4ab9832f455cd1a0f5e3af0086731b5e68df68703fe68025934821ae060f0fa1/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5b3>`__

uBlock Origin 1.10.5b2 - December 26, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5b2 <https://outgoing.prod.mozaws.net/v1/6f957a234d2204ecd6228962f5bec52d3ca9fafc5491c5f0e86f415aad4bc21c/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5b2>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5b2 <https://outgoing.prod.mozaws.net/v1/1c4abdce063a5b1d73d0775acd45d2a1f2072e47e2236f2df8bf0a3dc5ee058c/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5b2>`__

uBlock Origin 1.10.5b1 - December 25, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5b1 <https://outgoing.prod.mozaws.net/v1/71874e4839f15942a5986ac81037d1674bc944867318142983f35d74fc084d31/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5b1>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5b1 <https://outgoing.prod.mozaws.net/v1/85b55c756c2a5c14249158888b2ccacb3c3be3853b59ec67621545d554739264/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5b1>`__

uBlock Origin 1.10.5b0 - December 19, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.5b0 <https://outgoing.prod.mozaws.net/v1/c4a5ad26a002ed080c00c74ea0d199c881a800965b3f4c3c4fc63a1692b075f0/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.5b0>`__
| Commit history since 1.10.4:
  `https://github.com/gorhill/uBlock/compare/1.10.4...1.10.5b0 <https://outgoing.prod.mozaws.net/v1/a84d79c0e2cf458a4dd422ae42bbe75b8e51e90dcace5e2d191bad226a1fbb0a/https%3A//github.com/gorhill/uBlock/compare/1.10.4...1.10.5b0>`__

uBlock Origin 1.10.4 - December 19, 2016
========================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/cf3be889f4f96315514fb47943b209f988863adb8043b26589ff6179fd5e242d/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.4>`__.
|  
| **Closed as fixed**

-  `Untokenizable static filters not properly
   enforced <https://outgoing.prod.mozaws.net/v1/e96906398df8740618e99fcf2337a8c65c547937d6531177e5f920cb393b5690/https%3A//github.com/gorhill/uBlock/issues/2249>`__

| 
| `Commit history between 1.10.2 and
  1.10.4 <https://outgoing.prod.mozaws.net/v1/52f155141f6b8ef074c612d659555908d715dc53d386115f5f8b7a146fbe5921/https%3A//github.com/gorhill/uBlock/compare/1.10.2...1.10.4>`__.

uBlock Origin 1.10.2 - December 14, 2016
========================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/a3e1c2f5eb9adb7ece159a5ab413b39f7b5fe7f2abdffdb3fa482a5c5a521fb2/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.2>`__.
|  
| **Changes**
|  
| Implementation of cosmetic filter operator ``:matches-css`` has been revised
  according to the discussion at
  `https://github.com/gorhill/uBlock/issues/1930#issuecomment-241997548 <https://outgoing.prod.mozaws.net/v1/e33d47c772e051558b95b081bee9c3d3af5b71a1b7fd4bf13e0d4ffd7a281d0d/https%3A//github.com/gorhill/uBlock/issues/1930%23issuecomment-241997548>`__
  and request in
  `https://github.com/uBlockOrigin/uAssets/issues/212: <https://outgoing.prod.mozaws.net/v1/1d73eef7faaf12ab326305f98daf47546a8307e51b0d0ebb57e08e7071a311b6/https%3A//github.com/uBlockOrigin/uAssets/issues/212%3A>`__

-  ``:matches-css`` now accept no more than one single style property. If more
   than one style property must be matched on the same node, you will need to
   chain them (i.e. ``div##matches-css(...):matches-css(...)`` -- ability to
   chain is coming for next release). Since there is only one style property,
   do not use trailing ``;``.
-  ``:matches-css-before()`` and ``:matches-css-after()`` are now also
   available to specifically match style property for the pseudo elements
   ``:before`` and ``:after`` on a node.
-  Support the use of regexes for property matching: if the first and last
   character of the value to match is ``/``, the value will be deemed to be a
   literal regular expression which must be matched.

| 
| The last dashboard's pane you visited will be automatically opened next time
  you open the dashboard (`issue
  #2206 <https://outgoing.prod.mozaws.net/v1/9a6316e57f12fe436d677f2cae7933c10bb8f03a6be8c55d36c97a3feb219b1f/https%3A//github.com/gorhill/uBlock/issues/2206>`__).
|  
| **Closed as fixed**

-  `Incompatibility between ABP and uBO over FETCH
   (json) <https://outgoing.prod.mozaws.net/v1/d21859ab47550d243eae1055ea8f47a27f1dcd0f8953d52d7018caec1a36a69a/https%3A//github.com/gorhill/uBlock/issues/2226>`__
-  `$generichide sometimes does not
   work <https://outgoing.prod.mozaws.net/v1/72732a165d9280634a8186e822ad0f4d05c7210d684ffa2851010f80fd57baa2/https%3A//github.com/gorhill/uBlock/issues/2225>`__
   (regression from d62059ccc74074e8621c870720aa7501112cadc1)
-  `Select last visited pane when re-opening the
   dashboard <https://outgoing.prod.mozaws.net/v1/9a6316e57f12fe436d677f2cae7933c10bb8f03a6be8c55d36c97a3feb219b1f/https%3A//github.com/gorhill/uBlock/issues/2206>`__

| 
| `Commit history between 1.10.0 and
  1.10.2 <https://outgoing.prod.mozaws.net/v1/2d7779d9b9ba45e6da004ed8e0663b9d5b447ebe7f837392ea97745d9d9ded72/https%3A//github.com/gorhill/uBlock/compare/1.10.0...1.10.2>`__.

uBlock Origin 1.10.1rc1 - December 8, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.1rc1 <https://outgoing.prod.mozaws.net/v1/29c1906d86499cce64d31a655fbe581a74c1ca6db6620c961fb8e4d2182afaff/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.1rc1>`__
| Commit history since 1.10.0:
  `https://github.com/gorhill/uBlock/compare/1.10.0...1.10.1rc1 <https://outgoing.prod.mozaws.net/v1/efa603ecf412bd6c35eee37680ff7e432b23560af93347a97aa46e16323fa1ba/https%3A//github.com/gorhill/uBlock/compare/1.10.0...1.10.1rc1>`__

uBlock Origin 1.10.1rc0 - December 8, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.1rc0 <https://outgoing.prod.mozaws.net/v1/2a83a8f7828b7fa3375e4cb4e7486f107e402224456290e866c6bcc181e7d9bb/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.1rc0>`__
| Commit history since 1.10.0:
  `https://github.com/gorhill/uBlock/compare/1.10.0...1.10.1rc0 <https://outgoing.prod.mozaws.net/v1/398cb2034ab6c80be10092e93cd1bd6c7ab078ecfeabf5930b9ab54f3d45e610/https%3A//github.com/gorhill/uBlock/compare/1.10.0...1.10.1rc0>`__

uBlock Origin 1.10.1b0 - December 2, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.10.1b0 <https://outgoing.prod.mozaws.net/v1/bdd20b0da7cc8074c4dcd6dc2eea17f02407f74e23a775c1f339d7ce484406f4/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.1b0>`__
| Commit history since 1.10.0:
  `https://github.com/gorhill/uBlock/compare/1.10.0...1.10.1b0 <https://outgoing.prod.mozaws.net/v1/925117bc52ad6dd3676dff3c4cc29d0ebccdb8c1d00ed0451740b62f3151e7c7/https%3A//github.com/gorhill/uBlock/compare/1.10.0...1.10.1b0>`__

uBlock Origin 1.10.0 - November 29, 2016
========================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/cd1034de09379f442b0dc55cfc879f166938a715dab96e3e61bcea9e013bf599/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.0>`__.
|  
| **Changes**
|  
| **Dynamic filtering pane**
|  
| The dynamic filtering pane in the popup panel is now available in read-only
  mode to users who did not enable *"I am an advanced user"* in *Settings*.
|  
| The rationale for this change is explained in `issue
  2010 <https://outgoing.prod.mozaws.net/v1/21124a961707af24939ecd0e403e859151fcf0f15751af6d373324df79bf5a16/https%3A//github.com/gorhill/uBlock/issues/2010>`__.
  It still is collapsed by default, but can be brought up by clicking the
  *"requests blocked"* or *"domains connected"* fields in the main area.
|  
| **Template-based scriptlets**
|  
| In order to promote the reuse of `injectable
  scriplets <https://outgoing.prod.mozaws.net/v1/7a87d5f4a72188408f72b9372e0d80454f9a33cb3a8f84563ca679d1cca08696/https%3A//github.com/gorhill/uBlock/wiki/Static-filter-syntax%23scriptinject>`__
  across different sites, it is now possible for a scriptlet to accept
  arguments. The arguments are comma-separated and appear after the token (for
  example `a real
  case <https://outgoing.prod.mozaws.net/v1/cf928b63556c74e09710a0efa2bd336fdc8bab3165d3a0479b7460b9121ae9f8/https%3A//github.com/uBlockOrigin/uAssets/issues/184>`__).
|  
| In the example above, the scriplet ``abort-on-property-write.js`` contains a
  placeholder for one argument, which placeholder will be replaced with the
  argument ``_sp_``. Placeholders for scriplets which accept arguments will
  *always* be for string values (reminder that injectable scriplets are `part
  of the
  project <https://outgoing.prod.mozaws.net/v1/572add35fa16e6130cd5e27a456d7b2b16336ff4d542bcc75964b0a6a98cf8b4/https%3A//github.com/uBlockOrigin/uAssets/blob/master/filters/resources.txt>`__,
  never from an external party).
|  
| **Advanced settings**
|  
| A new `*"Advanced settings"*
  pane <https://outgoing.prod.mozaws.net/v1/1b4a3c386425fdb9427acb1f9eacd7838e5dfcd0093be8c52e243bbd20cb5313/https%3A//github.com/gorhill/uBlock/wiki/Advanced-settings>`__,
  available only to advanced users. It contains settings which are
  experimental, or which are of interest to advanced users who want more
  control over how uBO behaves internally. I do not want to bloat the
  *Settings* pane in the dashboard with settings which are of interest only to
  a minority of users or which are experimental: this is where the new
  *"Advanced settings"* pane is useful.
|  
| When you enabled *"Advanced users"* in the *Settings* pane, a *cogs* icon
  will appear next to that setting. Click this *cogs* icon to access those
  "hidden" advanced settings.
|  
| The UI of the advanced settings page is purposefully stern. Keep in mind that
  whatever settings you see in there may be experimental and could be removed
  at any time in the future.
|  
| Experimental advanced setting of interest: ``suspendTabsUntilReady`` (default
  to ``false``), to prevent uBO from establishing any remote connection at
  launch before all filter lists/settings have been fully loaded (`related
  issue
  #1327 <https://outgoing.prod.mozaws.net/v1/1a98fd0360addb169330a26894ea3646d8beddcd399804d9c79ef714270d94ea/https%3A//github.com/gorhill/uBlock/issues/1327>`__).
  How well it works will have to be evaluated by users.
|  
| **WebExtensions**
|  
| From now on, there will be a Firefox's WebExtension version of uBO (see
  ``uBlock0.webext.zip`` in `Release
  notes <https://outgoing.prod.mozaws.net/v1/cd1034de09379f442b0dc55cfc879f166938a715dab96e3e61bcea9e013bf599/https%3A//github.com/gorhill/uBlock/releases/tag/1.10.0>`__,
  see `*"Temporary Installation in
  Firefox"* <https://outgoing.prod.mozaws.net/v1/7e451bfc27ee05a52e5c88955461de18f1b556d541d6a416649889a45789ba89/https%3A//developer.mozilla.org/en-US/Add-ons/WebExtensions/Temporary_Installation_in_Firefox>`__
  on how to install on Firefox). Do not bother trying it out if you do not have
  Nightly 52.0a1 (2016-10-29) or later installed. Also, do not open issues for
  the WebExtension version of uBO -- it is still at an experimental stage and
  there are things which are known to be missing in the API for uBO to fully
  function: see `bugzilla
  13099260 <https://outgoing.prod.mozaws.net/v1/796152d22110057fcb4b951cb117a9c83b599953ba570dc17a2770f610eac220/https%3A//bugzilla.mozilla.org/show_bug.cgi%3Fid=1309926>`__.
|  
| **Closed as fixed:**
|  

-  Fix to work around `Firefox issue
   1317173 <https://outgoing.prod.mozaws.net/v1/420fbc3b31514e7ed777e0c8c04a49ee8aaa73290d219cecceb800dfe2ce2598/https%3A//bugzilla.mozilla.org/show_bug.cgi%3Fid=1317173>`__:
   "[non-e10s] Pop-ups opened in Private Browsing mode stay in history"
-  `ublock origin "blocks" webtoepub addon on firefox (not on
   chromium) <https://outgoing.prod.mozaws.net/v1/457e354010c3f884d6f22cff9d95a38a880aa36c630ef5fc625a90f9ad3013b5/https%3A//github.com/gorhill/uBlock/issues/2100>`__
    - Added ``moz-extension-scheme`` to default whitelist directives.
-  `Support passing arguments to injected
   scriplets <https://outgoing.prod.mozaws.net/v1/f7c83ca193f68d1b5f3cc333cc18e688c7b7aac19b6222e045c69dd6746a5638/https%3A//github.com/gorhill/uBlock/issues/2132>`__
-  `Weird logger
   issue <https://outgoing.prod.mozaws.net/v1/62f134287ecfd86cf7d9c9efab6e77501d759803b5dc2d51e3855991313e8519/https%3A//github.com/gorhill/uBlock/issues/2106>`__
   (regression)
-  `Dynamic filtering pane issue in
   v1.9.16 <https://outgoing.prod.mozaws.net/v1/3d3cc8f1d8fe01b31d5103b435f3bc36fc6fd674d2362dedc05ade2a70905dbf/https%3A//github.com/gorhill/uBlock/issues/2105>`__
   (regression)
-  `$elemhide cannot be disabled via a counter filter
   flag <https://outgoing.prod.mozaws.net/v1/fe01753572cdac3bc74e423d4ea04fb8d6776cb1b165396ec391ec4ea1015466/https%3A//github.com/gorhill/uBlock/issues/2103>`__
-  `Why is redirect clause ignored in static
   filter? <https://outgoing.prod.mozaws.net/v1/eff171a4f1fa36d9e4b16e22e5844a5290de04215cff1e63e6abb285320a9235/https%3A//github.com/gorhill/uBlock/issues/2099>`__
-  `Fonts on left side of advanced mode popup are too
   big <https://outgoing.prod.mozaws.net/v1/6b7c6820237beacefa89692804ed7b88e1bec6e84e8d0c794c675810b9454046/https%3A//github.com/gorhill/uBlock/issues/2086>`__
-  `Allow dynamic filtering pane to be visible (simplified, read-only) for
   non-advanced
   users <https://outgoing.prod.mozaws.net/v1/21124a961707af24939ecd0e403e859151fcf0f15751af6d373324df79bf5a16/https%3A//github.com/gorhill/uBlock/issues/2010>`__
-  `For certain rules logger does not show from which list(s) it
   originates <https://outgoing.prod.mozaws.net/v1/c17e94b8ba8a813422c09fc1726bbe7b3c1c650ab317dfa0dcfc77b0cc60c726/https%3A//github.com/gorhill/uBlock/issues/1691>`__
   (regression)
-  ```###\5f`` filters not read by
   uBlock <https://outgoing.prod.mozaws.net/v1/ca3e216b997596cfa6e27ab6ab1ead2f3e1826a8bb66f5c4a0dc087cc415f30a/https%3A//github.com/gorhill/uBlock/issues/1668>`__
-  `Feature Request: Whitelist wildcard IP
   addresses <https://outgoing.prod.mozaws.net/v1/5bb908c4571d4aa0ebcc18c3d7a9efbada0efffb5611752f0cb0e444d10e96b1/https%3A//github.com/gorhill/uBlock/issues/1578>`__
-  `Ignoring ping
   filters <https://outgoing.prod.mozaws.net/v1/b7f7b19208e4fc642fc0f311dfc69e2775ca1f1bd53c1a99e1f82d7a3fd2bfdc/https%3A//github.com/gorhill/uBlock/issues/1493>`__
-  `Blocking "early" requests is not
   possible <https://outgoing.prod.mozaws.net/v1/1a98fd0360addb169330a26894ea3646d8beddcd399804d9c79ef714270d94ea/https%3A//github.com/gorhill/uBlock/issues/1327>`__
   (experimental fix)

| 
| `Commit history between 1.9.16 and
  1.10.0 <https://outgoing.prod.mozaws.net/v1/94723841bd38bf1302732e2ccc942bcb006d10e92eddbc06d2bc66cf3b0d02eb/https%3A//github.com/gorhill/uBlock/compare/1.9.16...1.10.0>`__.

uBlock Origin 1.9.17rc0 - November 23, 2016
===========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.17rc0 <https://outgoing.prod.mozaws.net/v1/b270f79f0ed26bdc69d6e61fe8048a8aba5e977fc8b0e6266ef3984622b3fbbb/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.17rc0>`__
| Commit history since 1.9.16:
  `https://github.com/gorhill/uBlock/compare/1.9.16...1.9.17rc0 <https://outgoing.prod.mozaws.net/v1/ee8b65d237d98807f13ea0c72732b15f55211f9b49c23b44c83d1203bd56df6e/https%3A//github.com/gorhill/uBlock/compare/1.9.16...1.9.17rc0>`__

uBlock Origin 1.9.17b10 - November 17, 2016
===========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.17b10 <https://outgoing.prod.mozaws.net/v1/84cc1fb4afd81fc00ad71eee227fccda45beebcb4f5102a00c738053d4e7cad0/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.17b10>`__
| Commit history since 1.9.16:
  `https://github.com/gorhill/uBlock/compare/1.9.16...1.9.17b10 <https://outgoing.prod.mozaws.net/v1/ca5d5c04a36d4bc377e87eb3a054e2c0a65e00486756a11f04b5f9adcd12472e/https%3A//github.com/gorhill/uBlock/compare/1.9.16...1.9.17b10>`__

uBlock Origin 1.9.17b8 - November 12, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.17b8 <https://outgoing.prod.mozaws.net/v1/e66693977948625195d95688de28a6185f3d22cd932c22329b27ce940fdf1232/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.17b8>`__
| Commit history since 1.9.16:
  `https://github.com/gorhill/uBlock/compare/1.9.16...1.9.17b8 <https://outgoing.prod.mozaws.net/v1/a5bf37330726993ac1919d05d0809efb96da7cc311a9d3a3a786c161fe242ab8/https%3A//github.com/gorhill/uBlock/compare/1.9.16...1.9.17b8>`__

uBlock Origin 1.9.17b6 - November 6, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.17b6 <https://outgoing.prod.mozaws.net/v1/6478021df815030b84af07d05cad7dd62ab89eb78cf8821e1b147d09226d8055/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.17b6>`__
| Commit history since 1.9.16:
  `https://github.com/gorhill/uBlock/compare/1.9.16...1.9.17b6 <https://outgoing.prod.mozaws.net/v1/26c0c333a802fa8cc61cfc57c3e916f5e2f1a16e83e5f7f86797559b15dc6c49/https%3A//github.com/gorhill/uBlock/compare/1.9.16...1.9.17b6>`__

uBlock Origin 1.9.17b5 - November 5, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.17b5 <https://outgoing.prod.mozaws.net/v1/903343017cbf4b08cecdf35f745e3aa66bff0735160cce70e73a11a42b3bc705/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.17b5>`__
| Commit history since 1.9.16:
  `https://github.com/gorhill/uBlock/compare/1.9.16...1.9.17b5 <https://outgoing.prod.mozaws.net/v1/b6e578c4ba0f5b087729fd721e3b73900c4c1a684ab6bed5e0660ed36dce3fdf/https%3A//github.com/gorhill/uBlock/compare/1.9.16...1.9.17b5>`__

uBlock Origin 1.9.17b4 - November 4, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.17b4 <https://outgoing.prod.mozaws.net/v1/57518f3be5c69a6520f2e15cccabce5591548e04c00d7873077acb750a14d1e2/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.17b4>`__
| Commit history since 1.9.16:
  `https://github.com/gorhill/uBlock/compare/1.9.16...1.9.17b4 <https://outgoing.prod.mozaws.net/v1/b8482fb34544c6950495ab4ea43028f1916d86fac53d2c3215aede3725230ecd/https%3A//github.com/gorhill/uBlock/compare/1.9.16...1.9.17b4>`__

uBlock Origin 1.9.17b3 - November 4, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.17b3 <https://outgoing.prod.mozaws.net/v1/d630094e967ecc7909ac354d5d46164701085f02728d227453271899225dd16a/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.17b3>`__
| Commit history since 1.9.16:
  `https://github.com/gorhill/uBlock/compare/1.9.16...1.9.17b3 <https://outgoing.prod.mozaws.net/v1/a2f982633e504b721a2fa171eece89323abe6c1fc1f43cb81d2c14ff9294eeb2/https%3A//github.com/gorhill/uBlock/compare/1.9.16...1.9.17b3>`__

uBlock Origin 1.9.17b2 - November 2, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.17b2 <https://outgoing.prod.mozaws.net/v1/447227c4d6634c3c09cc81e4691b1e444d9963dd0f2b3b3f0c0a1e14721f6ac2/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.17b2>`__
| Commit history since 1.9.16:
  `https://github.com/gorhill/uBlock/compare/1.9.16...1.9.17b2 <https://outgoing.prod.mozaws.net/v1/1f2381607c37c4ba5c69704a646a40ec308f039af1a5e772447a8faea922ec42/https%3A//github.com/gorhill/uBlock/compare/1.9.16...1.9.17b2>`__

uBlock Origin 1.9.17b1 - October 31, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.17b1 <https://outgoing.prod.mozaws.net/v1/c5fc84e0f3063c87ee11b5fcfcf417db66085306dfbe418b90f5da3119122da6/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.17b1>`__
| Commit history since 1.9.16:
  `https://github.com/gorhill/uBlock/compare/1.9.16...1.9.17b1 <https://outgoing.prod.mozaws.net/v1/78a3df4c0a51e2b7cb94856a42c9605fbe222238f37408cd39635d69963c7582/https%3A//github.com/gorhill/uBlock/compare/1.9.16...1.9.17b1>`__

uBlock Origin 1.9.17b0 - October 29, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.17b0 <https://outgoing.prod.mozaws.net/v1/b67874c97a6ccac1f2e46d650e6e38be84964fdda630dc7b356d59ae3b3b6102/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.17b0>`__
| Commit history since 1.9.16:
  `https://github.com/gorhill/uBlock/compare/1.9.16...1.9.17b0 <https://outgoing.prod.mozaws.net/v1/88ed064564c41d9ef92acee6ba1d7e6b82e0b8339fe435c0b2293032bc9afe6b/https%3A//github.com/gorhill/uBlock/compare/1.9.16...1.9.17b0>`__

uBlock Origin 1.9.16 - October 25, 2016
=======================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/068d5cf2b102f779dbdda4a538e5039ffac069258ab89144e19427f61faf98fe/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.16>`__.
|  
| **Changes**
|  
| Some work has been done on the element picker:

-  can now handle procedural cosmetic filters (``:has``, ``matches-css``,
   ``:xpath``), and also the special operator ``:style`` -- matching elements
   of such filters will be highlighted like normal CSS selector-based filters.
-  an invalid filter in the input field will now trigger a visual cue: the
   background of the input field will be reddish.
-  the number of elements on the current page matching the filter in the input
   field is now displayed in the bottom right corner of the input field.
-  the preview mode is now sticky, i.e. you can modify the filter in the input
   field without being kicked out of preview mode. Convenient when creating
   ``:style``-based cosmetic filters.

| 
| The *Privacy* setting *"Disable hyperlink auditing/beacon"* has been changed
  to *"Disable hyperlink auditing"*, and network requests of type ``beacon``
  are no longer blanket-blocked. The network requests of type ``beacon`` will
  now be filtered just like any other network requests, according to the
  current filters/rules.
|  
| Network requests of type ``csp_report`` will be blocked regardless of
  filters/rules when there is a probability they are fired as a result of uBO
  internally redirecting one or more network requests to neutered resources. In
  such case, uBO considers these ``csp_report`` network requests as "spurious"
  and blocks them. An example of such spurious CSP reports being fired as a
  result of uBO redirecting resources is ``https://medium.com/`` (see dev
  console when loading a page from that site), where a CSP report is fired by
  the browser as a result of uBO redirecting Google Analytics script to uBO's
  neutered version.
|  
| **Closed as fixed:**
|  

-  `[security] Translations can inject JavaScript code into the
   extension <https://outgoing.prod.mozaws.net/v1/ff62bbcda719048ecb150c1a6993d39a3ae3357a01a9ed948c81a13b15892402/https%3A//github.com/gorhill/uBlock/issues/2084>`__
-  ```##iframe[id][style]`` hides element
   picker <https://outgoing.prod.mozaws.net/v1/441a1c6bc5abe8325a6784a2bcff8e8a8f9ad5a1048db8edbc8a06366165dc12/https%3A//github.com/gorhill/uBlock/issues/2060>`__
-  `Websocket filters of the form ``*$websocket`` are still applied for
   whitelisted
   sites <https://outgoing.prod.mozaws.net/v1/0d38640b66798fcbd3425ad29a7f3ceb530d9f49e456600f9f75aee6a6906af6/https%3A//github.com/gorhill/uBlock/issues/2050>`__
-  `Hard Mode Issue When Toggling to Medium
   Mode <https://outgoing.prod.mozaws.net/v1/984cffbbabed739cce0c0725f9c479b75cfc90bc37dc1f9dff26142f18bbd1c7/https%3A//github.com/gorhill/uBlock/issues/2033>`__
-  `Generic cosmetic filters abruptly not
   applied <https://outgoing.prod.mozaws.net/v1/f0f963e267eaccca31cfec8ff84ea073589f7ee3a5aaf2dafc7f235cc76c38d9/https%3A//github.com/gorhill/uBlock/issues/2011>`__
-  `Automatically lookup site-specific
   scriptlets <https://outgoing.prod.mozaws.net/v1/63281c04c8bcc3d2b96e931dc25dae191243f1d39be9aba72ed42ef2c93cdc68/https%3A//github.com/gorhill/uBlock/issues/1954>`__:
   support for entity-based filters was left out, this has been added.
-  `Revisit the setting "Disable hyperlink
   auditing/beacon" <https://outgoing.prod.mozaws.net/v1/d8480513791951c98552e9baa8b9641f9f573d84e00ea3bd2e7f236a09600fad/https%3A//github.com/gorhill/uBlock/issues/1884>`__
-  `Element picker and :has()
   operator <https://outgoing.prod.mozaws.net/v1/0257922fa3094a6f8f9d89363bf1e870c036b97f95f3f75b30ad10be63ab6288/https%3A//github.com/gorhill/uBlock/issues/1772>`__
-  `filters that start with \|\| and end with
   \| <https://outgoing.prod.mozaws.net/v1/57b38231e1ca14a24f1975f90249b2f20964c25514de0f2132507f1737561e6a/https%3A//github.com/gorhill/uBlock/issues/1669>`__
-  `Export in YYYY-MM-DD format for easier folder
   navigation <https://outgoing.prod.mozaws.net/v1/6fa0e2a2726fa4b2a9b52cd56e7ad13da5a691048f2ee4e9d00172adb0752079/https%3A//github.com/gorhill/uBlock/issues/1641>`__

| 
| `Commit history between 1.9.12 and
  1.9.16 <https://outgoing.prod.mozaws.net/v1/3a80651635cfb37a57a2aa6d9bb4f744789e2b26af7cb2bbb5c33616e65cc6d4/https%3A//github.com/gorhill/uBlock/compare/1.9.12...1.9.16>`__.

uBlock Origin 1.9.15rc1 - October 19, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.15rc1 <https://outgoing.prod.mozaws.net/v1/209a8c5e5c2ec20c82e3e1a2360f5d459139fbdbc8c6cf9bfbf46514d1d90719/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.15rc1>`__
| Commit history since 1.9.12:
  `https://github.com/gorhill/uBlock/compare/1.9.12...1.9.15rc1 <https://outgoing.prod.mozaws.net/v1/9116379c9d4987acf0e4104292348a28892b4bff8c33c04383614f92871fead6/https%3A//github.com/gorhill/uBlock/compare/1.9.12...1.9.15rc1>`__

uBlock Origin 1.9.15rc0 - October 17, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.15rc0 <https://outgoing.prod.mozaws.net/v1/fc4cb397c466c1f1a66c13592686b1a45d679a07ba7738a540bd4f873f89f49c/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.15rc0>`__
| Commit history since 1.9.12:
  `https://github.com/gorhill/uBlock/compare/1.9.12...1.9.15rc0 <https://outgoing.prod.mozaws.net/v1/b5476a1e2316e1684f239a2ea1da75f1cbef0da286d0770132c5d570dd9cae61/https%3A//github.com/gorhill/uBlock/compare/1.9.12...1.9.15rc0>`__

uBlock Origin 1.9.15b3 - October 15, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.15b3 <https://outgoing.prod.mozaws.net/v1/307a96de0d7a3275ebb9b7e1d9c0ce541d9fd0429a21ec97554d01e9fb3c2441/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.15b3>`__
| Commit history since 1.9.12:
  `https://github.com/gorhill/uBlock/compare/1.9.12...1.9.15b3 <https://outgoing.prod.mozaws.net/v1/98a57d32d3e79bbc91a43b636d2eb1932accfcd4d513b1dc296adeb74628d118/https%3A//github.com/gorhill/uBlock/compare/1.9.12...1.9.15b3>`__

uBlock Origin 1.9.15b2 - October 12, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.15b2 <https://outgoing.prod.mozaws.net/v1/13564195758f858aed571d8b8d89bee6c42c556c1b12ad2a8928a9c2db1427ce/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.15b2>`__
| Commit history since 1.9.12:
  `https://github.com/gorhill/uBlock/compare/1.9.12...1.9.15b2 <https://outgoing.prod.mozaws.net/v1/c2bd2b15bc33c16de011b3d30e1c9a04e9b25dce8ca13c547adfe400c2ebdf42/https%3A//github.com/gorhill/uBlock/compare/1.9.12...1.9.15b2>`__

uBlock Origin 1.9.15b1 - October 8, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.15b1 <https://outgoing.prod.mozaws.net/v1/baf9e95082b4cd454bf2693491cdaf18698f9bf0a86f8a84c310963dfa91f91d/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.15b1>`__
| Commit history since 1.9.12:
  `https://github.com/gorhill/uBlock/compare/1.9.12...1.9.15b1 <https://outgoing.prod.mozaws.net/v1/ae1dacc3538d9e9b680b0e462b1059e8f8c9a98a77802a418a3e2979e794657b/https%3A//github.com/gorhill/uBlock/compare/1.9.12...1.9.15b1>`__

uBlock Origin 1.9.15b0 - October 6, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.15b0 <https://outgoing.prod.mozaws.net/v1/71abde0b1ecb8d06b7d1123ca22123169bca6b4f6ad35b06f8c5da0181e8e5e5/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.15b0>`__
| Commit history since 1.9.12:
  `https://github.com/gorhill/uBlock/compare/1.9.12...1.9.15b0 <https://outgoing.prod.mozaws.net/v1/90d601444134ea94f02b00cd071d7231fb27e0a4bde8694b36d9c312d5e4704a/https%3A//github.com/gorhill/uBlock/compare/1.9.12...1.9.15b0>`__

uBlock Origin 1.9.13b0 - October 2, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.13b0 <https://outgoing.prod.mozaws.net/v1/421b84c9197a847fad9d022637aa031346efa5ca8b9aec75674deed50ec2191f/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.13b0>`__
| Commit history since 1.9.12:
  `https://github.com/gorhill/uBlock/compare/1.9.12...1.9.13b0 <https://outgoing.prod.mozaws.net/v1/e2ec65298566cfa3bfa5c56e9304ffb207fb0be7b9c49cd786a304ea802cabfb/https%3A//github.com/gorhill/uBlock/compare/1.9.12...1.9.13b0>`__

uBlock Origin 1.9.12 - October 2, 2016
======================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/6fa7ef145eed7958f0a04a7bac2b07da74457dac1bf9c579d33774bfc5bb101e/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.12>`__.
|  
| **Closed as fixed**

-  `Move script tag filtering data into content process
   side <https://outgoing.prod.mozaws.net/v1/6564d6518b1ccf97f3879c9680c5555d8b2f4d1270465dde1e086ba5c5188117/https%3A//github.com/gorhill/uBlock/issues/2014>`__:
   benefit mostly multiprocess Firefox.
-  `:xpath doesn't hide this
   element <https://outgoing.prod.mozaws.net/v1/d8bf64b93c4e5543bafe47ecfc890f0f48cb7ecaaef178728b1edda01b0f71d4/https%3A//github.com/gorhill/uBlock/issues/1912>`__:
   procedural cosmetic filters (':has', ':matches-css', ':xpath') are now more
   sturdily enforced (true for Firefox versions 38 and above)

| 
| `Commit history between 1.9.10 and
  1.9.12 <https://outgoing.prod.mozaws.net/v1/d8a2c710eaeb3971108e6a978c6c7a8e979853ba5a0e3df65d197ac5fedd99a4/https%3A//github.com/gorhill/uBlock/compare/1.9.10...1.9.12>`__.

uBlock Origin 1.9.11rc2 - October 1, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.11rc2 <https://outgoing.prod.mozaws.net/v1/5ae0cafd28fd5750696da9e81b140745cc95b41ce271542f11eaa5254563464f/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.11rc2>`__
| Commit history since 1.9.10:
  `https://github.com/gorhill/uBlock/compare/1.9.10...1.9.11rc2 <https://outgoing.prod.mozaws.net/v1/8c02752a5bb4bcfec286594c3edd1d0f3dc567e71ec745f9473b2c62a3ec2060/https%3A//github.com/gorhill/uBlock/compare/1.9.10...1.9.11rc2>`__

uBlock Origin 1.9.11rc1 - September 26, 2016
============================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.11rc1 <https://outgoing.prod.mozaws.net/v1/baa8aa79c1b2465a40d027d4688462b619c572b0526aed8f5fb9107ebceb5510/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.11rc1>`__
| Commit history since 1.9.10:
  `https://github.com/gorhill/uBlock/compare/1.9.10...1.9.11rc1 <https://outgoing.prod.mozaws.net/v1/e4ded8494975c69ce91f6a5900912c7782abdc5938a97c69e2d0b23b42b34a75/https%3A//github.com/gorhill/uBlock/compare/1.9.10...1.9.11rc1>`__

uBlock Origin 1.9.11rc0 - September 25, 2016
============================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.11rc0 <https://outgoing.prod.mozaws.net/v1/9a864dc444ad8e115a13d57d18e9409cba363e341e9409f0a8ce43795921a06f/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.11rc0>`__
| Commit history since 1.9.10:
  `https://github.com/gorhill/uBlock/compare/1.9.10...1.9.11rc0 <https://outgoing.prod.mozaws.net/v1/433c6b2364e104693845cd701a74452ed7dbc751bb4f986d517310ed6fadc2e4/https%3A//github.com/gorhill/uBlock/compare/1.9.10...1.9.11rc0>`__

uBlock Origin 1.9.11b0 - September 25, 2016
===========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.11b0 <https://outgoing.prod.mozaws.net/v1/2461fb9644ba3ed5bbe6142468ecdb437d53942128eb030cb33e89ea8a63c5a0/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.11b0>`__
| Commit history since 1.9.10:
  `https://github.com/gorhill/uBlock/compare/1.9.10...1.9.11b0 <https://outgoing.prod.mozaws.net/v1/57329ca2a25f21d272b6ebd609572505e6398b25113972512e20bf5474ebac48/https%3A//github.com/gorhill/uBlock/compare/1.9.10...1.9.11b0>`__

uBlock Origin 1.9.10 - September 24, 2016
=========================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/3efb805adb618bf12a0745f2f9ccee943cdea2db544eb30daed4d56290cf6112/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.10>`__.
|  
| **Closed as fixed\ **
  ****

-  `Some connections from whitelist are
   blocked <https://outgoing.prod.mozaws.net/v1/685d7b586f07ae0a67bdaea8ef2f7e8233e54e9e7db1c6d48bd5694e962ffca6/https%3A//github.com/gorhill/uBlock/issues/2025>`__
   (Regression bug from
   `a7fe367 <https://outgoing.prod.mozaws.net/v1/c4039a519e8b115f8104c8f76652b9e086cb705c5946eff9b4c9ff194b75824a/https%3A//github.com/gorhill/uBlock/commit/a7fe367eecf2af16d07e8ec69743638cd2b05adf>`__).

| 
| `Commit history between 1.9.8 and
  1.9.10 <https://outgoing.prod.mozaws.net/v1/cc5680ef802724fe09d7346d4fc99a4043aed106bd3cfb7428e5c41ba022909f/https%3A//github.com/gorhill/uBlock/compare/1.9.8...1.9.10>`__.

uBlock Origin 1.9.8 - September 22, 2016
========================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/1491c01e1fa721e25c9049d19a6a8963bfbd4fd5e885db38c8deeec34b00e47f/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.8>`__.
|  
| **Changes**
|  
| Core code related to static and cosmetic engines has been refactored to take
  advantage of ES6
  `Set <https://outgoing.prod.mozaws.net/v1/e482cd3ff0f62ef83bde38beebc58308ef369564480089c9e73bd61bd56a2d9c/https%3A//developer.mozilla.org/en/docs/Web/JavaScript/Reference/Global_Objects/Set>`__/`Map <https://outgoing.prod.mozaws.net/v1/ec6ab8ee8360a624afd03982aacef81e439758da42497149c8e43bcfe891aa13/https%3A//developer.mozilla.org/en/docs/Web/JavaScript/Reference/Global_Objects/Map>`__
  (related issue:
  `#1070 <https://outgoing.prod.mozaws.net/v1/d546117302e8ab2e8579c2865e17ac0a7795db00934cfc8e9495755dc20942dc/https%3A//github.com/gorhill/uBlock/issues/1070>`__).
  Polyfilled versions of Set/Map are provided for compatibility with pre-ES6
  browser versions. While at it, I also revisited some of the inner-most loops
  executed at load time to remove other observed overheads in profiling
  results.
|  
| `Benchmarks
  shows <https://outgoing.prod.mozaws.net/v1/7f65a677bda71b42d6d71f50a27ccc04d4aa75d78da440ebb90df2f9c64796f6/https%3A//gorhill.github.io/obj-vs-set-vs-map/>`__
  that there are good gains to be had in performance and memory efficiency when
  using ES6 Set/Map. The performance gains are especially true when dealing
  with collections with a lot of *misses*, which is typical of the static and
  cosmetic filtering engines ni uBO.
|  
| Following the above refactoring, profiling Chromium/Firefox, I observed:

-  Non-selfie case: uBO will roughly load in about half the time, because:

   -  Using ES6 \`Set\` and \`Map\` instead of \`Object\`
   -  No longer using \`String.split\` to split lines into fields = less memory
      allocations = less work for garbage collector

-  Selfie-case: there is a marginal performance improvement at most in boot
   time -- make sense since a selfie is just a no-parsing-at-all load mechanism
   regardless of how the data is represented internally.

| 
| **Closed as fixed\ **
  ****

-  `Automatically lookup site-specific
   scriptlets <https://outgoing.prod.mozaws.net/v1/63281c04c8bcc3d2b96e931dc25dae191243f1d39be9aba72ed42ef2c93cdc68/https%3A//github.com/gorhill/uBlock/issues/1954>`__
-  `How to disable \`script:inject\`
   filters? <https://outgoing.prod.mozaws.net/v1/1f84f6dce6a0c877e0dd751023cb1a319a8b0147f58f95b4df398719fa191baa/https%3A//github.com/uBlockOrigin/uAssets/issues/23>`__
-  `Popups with \`data:text/html...\` URL can't be
   blocked <https://outgoing.prod.mozaws.net/v1/371fcd7ed9dee00615887a0b1f086f9dcec28a7ad93127631f118c2fe5d02189/https%3A//github.com/gorhill/uBlock/issues/1735>`__

| 
| `Commit history between 1.9.6 and
  1.9.8 <https://outgoing.prod.mozaws.net/v1/65a12b813ad8ed5bf5e6d8fb3c7404dd94c26ac3319fabe40b1612bbc872581c/https%3A//github.com/gorhill/uBlock/compare/1.9.6...1.9.8>`__.

uBlock Origin 1.9.7rc0 - September 19, 2016
===========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.7rc0 <https://outgoing.prod.mozaws.net/v1/a20db5f9b61ccadffecdf8c3ccc047c1aea38f7b5c7d34a273445841db3bc3e9/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.7rc0>`__
| Commit history since 1.9.6:
  `https://github.com/gorhill/uBlock/compare/1.9.6...1.9.7rc0 <https://outgoing.prod.mozaws.net/v1/45333ebdefac7d6a3d354f2945d4be492cd8d7befa28dafbdf62f6cbfcfffdc1/https%3A//github.com/gorhill/uBlock/compare/1.9.6...1.9.7rc0>`__

uBlock Origin 1.9.7b4 - September 16, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.7b4 <https://outgoing.prod.mozaws.net/v1/677c2b3b27336d45da850090f97eea03db99f3c82aa7ae6cfe3cdbe707a95031/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.7b4>`__
| Commit history since 1.9.6:
  `https://github.com/gorhill/uBlock/compare/1.9.6...1.9.7b4 <https://outgoing.prod.mozaws.net/v1/ac36d27362b5deb442949c7e6df634a284d8cb4b45bfd2af4d7727e9af4f7bda/https%3A//github.com/gorhill/uBlock/compare/1.9.6...1.9.7b4>`__

uBlock Origin 1.9.7b3 - September 13, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.7b3 <https://outgoing.prod.mozaws.net/v1/a71770f67d90e5d588c2fd71f47ead1dab2e773ab800cf80984265ea3135ffff/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.7b3>`__
| Commit history since 1.9.6:
  `https://github.com/gorhill/uBlock/compare/1.9.6...1.9.7b3 <https://outgoing.prod.mozaws.net/v1/756f7ce43ab19a1440596948aed8a61a6055466e7af0be235109a4b970a5e6ff/https%3A//github.com/gorhill/uBlock/compare/1.9.6...1.9.7b3>`__

uBlock Origin 1.9.7b2 - September 13, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.7b2 <https://outgoing.prod.mozaws.net/v1/12ee5269362a8ab853b72691d28219e65208fe595856c8c2c548d6dc422ab888/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.7b2>`__
| Commit history since 1.9.6:
  `https://github.com/gorhill/uBlock/compare/1.9.6...1.9.7b2 <https://outgoing.prod.mozaws.net/v1/942f5990602f1c9ce27a14e2c2660697c5e9306ea46dd7ace075c4d0089beff1/https%3A//github.com/gorhill/uBlock/compare/1.9.6...1.9.7b2>`__

uBlock Origin 1.9.7b1 - September 12, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.7b1 <https://outgoing.prod.mozaws.net/v1/5edaa62f3317c7c20702918d908a52c1a7560e00ae93eac5fa56eeb21f0398f4/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.7b1>`__
| Commit history since 1.9.6:
  `https://github.com/gorhill/uBlock/compare/1.9.6...1.9.7b1 <https://outgoing.prod.mozaws.net/v1/956b0ab9ee13157417e266c71771a4bdc8b0465a2834297087467b3b7638783e/https%3A//github.com/gorhill/uBlock/compare/1.9.6...1.9.7b1>`__

uBlock Origin 1.9.6 - September 9, 2016
=======================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/bafd9d7d5981bd16369ddf4f63983feac4046f623d0ca9d8904459d93f5868c0/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.6>`__.
|  
| **Changes**
|  
| When uBO encounters the filter option "other", it will internally add the
  filter option "websocket" to the filter. This is to keep compatibility with
  filter lists which are meant to be compatible with ABP, which categorizes
  websocket requests as "other". Reference: `websocket blocked when easylist
  match <https://outgoing.prod.mozaws.net/v1/775e75fc39cd5b5daec744a083211de9380b427f408b2b78af07e7af8cef7535/https%3A//github.com/gorhill/uBlock/issues/1943%23issuecomment-243188946>`__.
|  
| **Fixed**
|  

-  [Firefox] `Use nsIDOMWindowUtils.loadSheetUsingURIString() to harden
   declarative cosmetic
   filters <https://outgoing.prod.mozaws.net/v1/733ac07b226950a40ec33fbcf416e7e16b60eefc5230e16d41c8db0d7d720f12/https%3A//github.com/gorhill/uBlock/issues/1952>`__
-  `Empty ad boxes via adchoices showing up on
   msn.com <https://outgoing.prod.mozaws.net/v1/0a5b2f4502028eea222b64254554d89b483c58d61907c7e5d0164e85386592ae/https%3A//github.com/gorhill/uBlock/issues/1955>`__
-  `Filter option "other" should not trigger strict
   blocking <https://outgoing.prod.mozaws.net/v1/eae03f762254f1657eaec3c5e67a2eeaa77fd42b6b712cb6b3a022e174a0e473/https%3A//github.com/uBlockOrigin/uAssets/issues/123%23issuecomment-243602934>`__

| 
| `Commit history between 1.9.4 and
  1.9.6 <https://outgoing.prod.mozaws.net/v1/10675a613266955fe89afa377930f2cb8135836e72d61d69fd4167d954d909c8/https%3A//github.com/gorhill/uBlock/compare/1.9.4...1.9.6>`__.

uBlock Origin 1.9.5rc0 - September 5, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.5rc0 <https://outgoing.prod.mozaws.net/v1/45cf2c7a6b4299c860c14275dc232963279b54e9240ad0ae219f0d621b6b5249/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.5rc0>`__
| Commit history since 1.9.4:
  `https://github.com/gorhill/uBlock/compare/1.9.4...1.9.5rc0 <https://outgoing.prod.mozaws.net/v1/3b97460918ecb02990bba1b88bbdb398ec9331f4e530616ad4669cd642856bd8/https%3A//github.com/gorhill/uBlock/compare/1.9.4...1.9.5rc0>`__

uBlock Origin 1.9.5b4 - September 1, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.5b4 <https://outgoing.prod.mozaws.net/v1/abc4f7849b6dbf60e779e93f5ed9c58c90102dd90f0e07c496c7bbd1cca8d7a3/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.5b4>`__
| Commit history since 1.9.4:
  `https://github.com/gorhill/uBlock/compare/1.9.4...1.9.5b4 <https://outgoing.prod.mozaws.net/v1/0860a2cf56ba894f4dc5f072d3e56f0c136533f28cfa729a22109d12749a9e4a/https%3A//github.com/gorhill/uBlock/compare/1.9.4...1.9.5b4>`__

uBlock Origin 1.9.5b3 - September 1, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.5b3 <https://outgoing.prod.mozaws.net/v1/e089594fd9cf975de8775f372bdff21c98e2b4ec77a2b8e2eaa48aeecf08eb0c/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.5b3>`__
| Commit history since 1.9.4:
  `https://github.com/gorhill/uBlock/compare/1.9.4...1.9.5b3 <https://outgoing.prod.mozaws.net/v1/88dbb95997f558e5aeab5caa1d8da7055e68e568cf48a764d1ac84b028b311a4/https%3A//github.com/gorhill/uBlock/compare/1.9.4...1.9.5b3>`__

uBlock Origin 1.9.5b2 - August 31, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.5b2 <https://outgoing.prod.mozaws.net/v1/e14481fba32d51c0bc5e8b70bd2212e1919dbc221b3854406843434d21b52b5b/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.5b2>`__
| Commit history since 1.9.4:
  `https://github.com/gorhill/uBlock/compare/1.9.4...1.9.5b2 <https://outgoing.prod.mozaws.net/v1/4b1b14ca8f3c24575b562ed8faa901a5010079041eebb45ee36e74db58896b6b/https%3A//github.com/gorhill/uBlock/compare/1.9.4...1.9.5b2>`__

uBlock Origin 1.9.5b1 - August 31, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.5b1 <https://outgoing.prod.mozaws.net/v1/b0281665cb9da15326ec5ae96b4ea2368f71b9059bdaa6d07b74c247f5b01980/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.5b1>`__
| Commit history since 1.9.4:
  `https://github.com/gorhill/uBlock/compare/1.9.4...1.9.5b1 <https://outgoing.prod.mozaws.net/v1/96c827b09b6c5b161d1e3b9ddc1f59d334e70c4c4ff883e8da4621b204a0bbab/https%3A//github.com/gorhill/uBlock/compare/1.9.4...1.9.5b1>`__

uBlock Origin 1.9.5b0 - August 29, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.9.5b0 <https://outgoing.prod.mozaws.net/v1/2ec9040555f2509bddfd0d417591281900e053c801ac39a3399604807df95d2d/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.5b0>`__
| Commit history since 1.9.4:
  `https://github.com/gorhill/uBlock/compare/1.9.4...1.9.5b0 <https://outgoing.prod.mozaws.net/v1/35133484f26468211e4fc47605a8ba47336697a2fee11ecbf9867f67129cc631/https%3A//github.com/gorhill/uBlock/compare/1.9.4...1.9.5b0>`__

uBlock Origin 1.9.4 - August 29, 2016
=====================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/3666cb23218e9f6db3bd07b400ff5ec8fcdae479e947389b50caf2ec2fe1849d/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.4>`__.
|  
| **Fixed:**
|  

-  `Websocket blocked when easylist
   match <https://outgoing.prod.mozaws.net/v1/2c8c666bfb6fbc095c5ba0781c26b8d06ceac5f1792a79764e032a22cd8f2920/https%3A//github.com/gorhill/uBlock/issues/1943>`__

| 
| `Commit history between 1.9.2 and
  1.9.4 <https://outgoing.prod.mozaws.net/v1/b224cf8e59a84d8824844aa88fe38880952c5232bb1c840b72e3e2b5695dd2c1/https%3A//github.com/gorhill/uBlock/compare/1.9.2...1.9.4>`__.

uBlock Origin 1.9.2 - August 28, 2016
=====================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/ca30651a8a0733bc31d23f5f265ec7caca27aa97c91f5511da190801752a40b1/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.2>`__.
|  
| **Fixed:**
|  

-  `Fixed websocket-blocking quirk reported in comment of issue
   1936 <https://outgoing.prod.mozaws.net/v1/e0c11159deffd10ce1071b562afa3f6345b8a65b6510fbe7789a3eb72b5e682a/https%3A//github.com/gorhill/uBlock/issues/1936%23issuecomment-242964554>`__

   -  The Content Security Policy expression causing WebSocket connections to
      be blocked for a page should not be also applied to embedded frames on
      the page (unless of course there is a filter to block WebSocket
      connections for the frame's origin).

| 
| `Commit history between 1.9.0 and
  1.9.2 <https://outgoing.prod.mozaws.net/v1/bdcbd74966e0a40c4886e5a4347c3735a986211aa058be7a517402acfb8ca979/https%3A//github.com/gorhill/uBlock/compare/1.9.0...1.9.2>`__.

uBlock Origin 1.9.0 - August 28, 2016
=====================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/f2435e8113db7fa6e063e8da7b2eb96e35ec9662d7e0318f0d65eacb05a58004/https%3A//github.com/gorhill/uBlock/releases/tag/1.9.0>`__.
|  
| **New:**
|  
| Cosmetic filtering operator \`matches-css()\`, to remove any DOM element
  which matches specific CSS properties (see `issue
  84 <https://outgoing.prod.mozaws.net/v1/48bec4993187677f35ca9c96fce684aad352add93b072bc92fc90f9244f487f3/https%3A//github.com/uBlockOrigin/uAssets/issues/84>`__).
|  
| It is now possible to tell uBO to ignore all generic cosmetic filters from
  loaded filter lists (see `issue
  1892 <https://outgoing.prod.mozaws.net/v1/b4191d3f50a5487733e32f13db64f7efcd6b485d658815310c365a8093fb9c61/https%3A//github.com/gorhill/uBlock/issues/1892>`__).
|  
| **Fixed:**
|  

-  [Firefox] `Bug 1232354 - uBlock Origin makes the loading of a long page hang
   the content
   process <https://outgoing.prod.mozaws.net/v1/75c2307715afd2a7936f73ac96a0c7091e9fdc6e3dc6555634a60944a849b718/https%3A//bugzilla.mozilla.org/show_bug.cgi%3Fid=1232354>`__
-  `Hostname anchor matching
   behavior <https://outgoing.prod.mozaws.net/v1/2d42534c1fbef33704e9d87e217a73cc5a921e143829bae321919f714d7e8466/https%3A//github.com/gorhill/uBlock/issues/1929>`__
-  `Browser hangs with uBlock + uMatrix + disabled
   javascript <https://outgoing.prod.mozaws.net/v1/852e7066289df434af9d5f5789d124b46e3aee0f6c001227e03d647f2e8171b3/https%3A//github.com/gorhill/uBlock/issues/1927>`__
-  `uBO fails to disable inline script execution on
   aranzulla.it <https://outgoing.prod.mozaws.net/v1/14fda1712c2f03a04d5b68b6ec376f5c433b9e240a2335d40d6c0d4ae54b5fa8/https%3A//github.com/gorhill/uBlock/issues/1909>`__
-  `Popup filter closes a page as
   popunder <https://outgoing.prod.mozaws.net/v1/4e3559c2d1e81819ad43fb0b9ac04c60d9d6ca9c44ebc688d6d69666678d2ffc/https%3A//github.com/gorhill/uBlock/issues/1903>`__
-  `Element picker has a problem with creating rules with specific
   unicode/HTML-code <https://outgoing.prod.mozaws.net/v1/0e2c9b7570ae07a9bed3f602693d7bcd1b9a9a138a76f1f68a0eb56da2b494e6/https%3A//github.com/gorhill/uBlock/issues/1901>`__
-  `NSFW - wrong pornhub filter proposed by element
   picker <https://outgoing.prod.mozaws.net/v1/a616a893957a47928bb9f1f1c623f69873805d6f3f591c46aecdeceb965368b2/https%3A//github.com/gorhill/uBlock/issues/1897>`__
-  `Add "Ignore generic cosmetic filters" option in the "3rd-party filters"
   pane <https://outgoing.prod.mozaws.net/v1/b4191d3f50a5487733e32f13db64f7efcd6b485d658815310c365a8093fb9c61/https%3A//github.com/gorhill/uBlock/issues/1892>`__
-  `\`script:inject\` filters are discarded when disabling the parsing of
   cosmetic
   filters <https://outgoing.prod.mozaws.net/v1/b5875e9d8526ab895b4bda783024e8f0922e7cb2cc5386c832b3833209907658/https%3A//github.com/gorhill/uBlock/issues/1891>`__
-  `Optimize SVG
   icons <https://outgoing.prod.mozaws.net/v1/481eb57af567685f7cb4ac9a27961ca21601105c13a1d38d3c7b41b84d6a5e7c/https%3A//github.com/gorhill/uBlock/pull/1860>`__
   [fixed by @asamuzaK]
-  `Cosmetically filtered DOM elements in embedded frames are not
   counted <https://outgoing.prod.mozaws.net/v1/4152a152384f46ba8be1f72e89d11b3b6bb68c1e8deef20ea547eabce37fbfc5/https%3A//github.com/gorhill/uBlock/issues/1856>`__

| 
| `Commit history between 1.8.4 and
  1.9.0 <https://outgoing.prod.mozaws.net/v1/26a310bd2292167c2b1b996fff4359d706b7591f08eb39c239d0131dc8107a4e/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.9.0>`__.

uBlock Origin 1.8.5rc4 - August 27, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5rc4 <https://outgoing.prod.mozaws.net/v1/665bd85fafd976e41e741eecda8f8701f9f6ea368e8a3b5e01f4e809cec35fdf/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5rc4>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5rc4 <https://outgoing.prod.mozaws.net/v1/37399a04b6e6b4a43f680622a073d51cd0de3950588a48c74205d4f1d47f3ce6/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5rc4>`__

uBlock Origin 1.8.5rc3 - August 25, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5rc3 <https://outgoing.prod.mozaws.net/v1/34e3e7cae2a045b442ea9661260e98acabface194223543e319dfbc7f82666c0/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5rc3>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5rc3 <https://outgoing.prod.mozaws.net/v1/8159749fbfb1273cf703ef490b28097979d5761999731f736efdd20a78f3dc33/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5rc3>`__

uBlock Origin 1.8.5rc2 - August 23, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5rc2 <https://outgoing.prod.mozaws.net/v1/91b1617cdf1ccf4d4c68e9823b3530ff0aa892f0f242605e0603b8d99934ddea/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5rc2>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5rc2 <https://outgoing.prod.mozaws.net/v1/01c04d7099083c56bebd73df248a8df6d4d61063670060d5a3fe0316808c0edc/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5rc2>`__

uBlock Origin 1.8.5rc1 - August 22, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5rc1 <https://outgoing.prod.mozaws.net/v1/2dae76035a4866dab67a8b7800b7f7439f58b54b704d1d6c14c8a76daabb6917/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5rc1>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5rc1 <https://outgoing.prod.mozaws.net/v1/cb9995876a55afe27218e4c42bec616fcaeb955b6b0469a34088b21487f42bca/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5rc1>`__

uBlock Origin 1.8.5rc0 - August 18, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5rc0 <https://outgoing.prod.mozaws.net/v1/6fa6f26e65d6785ae7753ec00b4ef68ca8bf75b413a1fd4ac82de0628c6904ab/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5rc0>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5rc0 <https://outgoing.prod.mozaws.net/v1/3804891a9dc92bcd986112718e69785dbd8dd61135740496d1a63910f077fd90/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5rc0>`__

uBlock Origin 1.8.5b7 - August 17, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5b7 <https://outgoing.prod.mozaws.net/v1/8d76bf2855efdd591d6c4cc2b94178af96991493c730cf8b0ff58fc3e2f191a7/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5b7>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5b7 <https://outgoing.prod.mozaws.net/v1/dd38c48a20a06a6fb5d01cabb32c4d318a877a87a4f5935f405a364d5a2b342e/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5b7>`__

uBlock Origin 1.8.5b6 - August 16, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5b6 <https://outgoing.prod.mozaws.net/v1/193e3d5ef0b4140bc11aae4c73ada072d1056b6fd45014c6fe106a9776813741/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5b6>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5b6 <https://outgoing.prod.mozaws.net/v1/4f05f359f005a2306c2ec108a2317f540cebc263160edb6193c34f2f1c16b0a3/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5b6>`__

uBlock Origin 1.8.5b5 - August 14, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5b5 <https://outgoing.prod.mozaws.net/v1/161e582f8b188cb6fea2c191d8a7725670b110fa8d800473e59c81d14e7470a7/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5b5>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5b5 <https://outgoing.prod.mozaws.net/v1/5d828ff420e75f7e3ac9bc3f12a5680606f635cdbacfdb5c4d01100db0d7ccf3/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5b5>`__

uBlock Origin 1.8.5b4 - August 14, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5b4 <https://outgoing.prod.mozaws.net/v1/339caaba497f7536897ffdd1987dacab0cea997efa1c13025e7f6c9e4ec4919c/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5b4>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5b4 <https://outgoing.prod.mozaws.net/v1/6a49c2d9999d60b86269a274555c86a854ffcaaa016e417cafdb61c563704bf8/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5b4>`__

uBlock Origin 1.8.5b3 - August 13, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5b3 <https://outgoing.prod.mozaws.net/v1/6a73b4d3a47ff8bb046871be0a2364951a7d75e2b8f1f092b70139e6d2d8676a/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5b3>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5b3 <https://outgoing.prod.mozaws.net/v1/bac1b21136f171aecaf8d05cebc3d82fb81a020fbece4e5de2d1b956f59ec381/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5b3>`__

uBlock Origin 1.8.5b2 - August 8, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5b2 <https://outgoing.prod.mozaws.net/v1/de1b7bc301c96db1fe10008d382598b4b79365bf8aeacdb6fc865b37c4246ee7/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5b2>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5b2 <https://outgoing.prod.mozaws.net/v1/0a4a49e9eddc21ef35adc3bbde9b8c84d8947b48bac0ff332aea762c650362b8/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5b2>`__

uBlock Origin 1.8.5b1 - August 8, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5b1 <https://outgoing.prod.mozaws.net/v1/ff482535dfdcc9470aa7962a977302f60d557070c895fcf4b365108f15046e9e/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5b1>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5b1 <https://outgoing.prod.mozaws.net/v1/3bcfc9c324e471fdb18e67fae7b07b1436eabbf3b4e523c67e99bd9a9167ed68/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5b1>`__

uBlock Origin 1.8.5b0 - August 7, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.5b0 <https://outgoing.prod.mozaws.net/v1/f2b72f97ede35b24cf46230e7bac53b17ba45308ab61b5f93e1e960271716ae6/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.5b0>`__
| Commit history since 1.8.4:
  `https://github.com/gorhill/uBlock/compare/1.8.4...1.8.5b0 <https://outgoing.prod.mozaws.net/v1/41db095969c17369cb28257a4adf625f5bbcfd052799b777dc5e7551890716d9/https%3A//github.com/gorhill/uBlock/compare/1.8.4...1.8.5b0>`__

uBlock Origin 1.8.4 - August 7, 2016
====================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/24186af94d2d28cabd4f4c22036614261dc118d34882b249fb8df19455c47f23/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.4>`__.
|  
| **Fixed**
|  
| - `Unspecified element
  removed <https://outgoing.prod.mozaws.net/v1/d112c3019c882cb7a7ff78884324bd0d103c929f0f3af57af8ecedf09c72f2a7/https%3A//github.com/gorhill/uBlock/issues/1873>`__:
  regression introduced in 1.8.0 when cosmetic filtering was refactored. Some
  classes of exception cosmetic filters were disregarded.
|  
| `Commit history between 1.8.2 and
  1.8.4 <https://outgoing.prod.mozaws.net/v1/dfe848ea754115dacff841904263746a7583cce2e9409b83849ba70009a3e454/https%3A//github.com/gorhill/uBlock/compare/1.8.2...1.8.4>`__.

uBlock Origin 1.8.3b2 - August 6, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.3b2 <https://outgoing.prod.mozaws.net/v1/cecfe39efd66c4291d2b15aae233508ca16c6297e397975d5f0c9582cc6d8b3c/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.3b2>`__
| Commit history since 1.8.2:
  `https://github.com/gorhill/uBlock/compare/1.8.2...1.8.3b2 <https://outgoing.prod.mozaws.net/v1/8e6e423538dc953ff3a3ad5e62aa62dedf47d5c59343621bc873bd0e5b59174d/https%3A//github.com/gorhill/uBlock/compare/1.8.2...1.8.3b2>`__

uBlock Origin 1.8.3b1 - August 6, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.3b1 <https://outgoing.prod.mozaws.net/v1/39f80e0be6b010f3611901e1d7f42574341d0fab8a52660d01797f21cbc05e27/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.3b1>`__
| Commit history since 1.8.2:
  `https://github.com/gorhill/uBlock/compare/1.8.2...1.8.3b1 <https://outgoing.prod.mozaws.net/v1/87b06c787c59acfc233a450fd8d5b97b13410b6e885b8d9f2dfcae44a6cd161d/https%3A//github.com/gorhill/uBlock/compare/1.8.2...1.8.3b1>`__

uBlock Origin 1.8.3b0 - August 6, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.3b0 <https://outgoing.prod.mozaws.net/v1/098ae4287717c6c32333d5e17e1562864360941604b0853bac80bb5e5f5d7730/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.3b0>`__
| Commit history since 1.8.2:
  `https://github.com/gorhill/uBlock/compare/1.8.2...1.8.3b0 <https://outgoing.prod.mozaws.net/v1/979ecb468f92fecbb595c1194da08b82f0dbdd9c601b0195c95f54e52209cb3b/https%3A//github.com/gorhill/uBlock/compare/1.8.2...1.8.3b0>`__

uBlock Origin 1.8.2 - August 5, 2016
====================================

| See `release
  notes <https://outgoing.prod.mozaws.net/v1/704e146ccb89bff5fedf74e930eb8219cdd9220b58314ab7dc1cddf3b31beb8d/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.2>`__.
|  
| **Fixed**
|  
| A regression bug, which caused a non-catched exception to be thrown when
  creating a filter using the element picker. This bug was `introduced in fix
  to issue
  1786 <https://outgoing.prod.mozaws.net/v1/f13257cf53bd65326bcca02565a89f0daf5a7075c14ad248b28a9b0bb1a5fe2a/https%3A//github.com/gorhill/uBlock/issues/1786>`__.
|  
| `Commit history between 1.8.0 and
  1.8.2 <https://outgoing.prod.mozaws.net/v1/5b0d352320d7ad14692c55b797a799d1cb442ca9474a9e604e60814a3a53b05d/https%3A//github.com/gorhill/uBlock/compare/1.8.0...1.8.2>`__.

uBlock Origin 1.8.1b0 - August 3, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.8.1b0 <https://outgoing.prod.mozaws.net/v1/a6f2a5d01755c47211b19d2d666c4c3b59875e0c1124f993c3af3b67de6bc559/https%3A//github.com/gorhill/uBlock/releases/tag/1.8.1b0>`__
| Commit history since 1.8.0:
  `https://github.com/gorhill/uBlock/compare/1.8.0...1.8.1b0 <https://outgoing.prod.mozaws.net/v1/5bfea67464d2e1bb7723b52391467b098da6e0d90962f74926dfd3cb93285c2c/https%3A//github.com/gorhill/uBlock/compare/1.8.0...1.8.1b0>`__

uBlock Origin 1.8.0 - August 2, 2016
====================================

| **New**
|  
| New cosmetic filtering operators: ':has()', ':xpath()', ':style()'. See
  detailed documentation at `*"Static filter
  syntax"* <https://outgoing.prod.mozaws.net/v1/3aaceb9b56b3c535b7f69aa9079c6088981adc527a4ecb22dd4a1c3b3c88c36e/https%3A//github.com/gorhill/uBlock/wiki/Static-filter-syntax>`__.
|  
| These new operators are to be used only for cosmetic filtering cases which
  are hard to crack -- more and more of these are surfacing (for example DOM
  elements with random class or id values).
|  
| When it comes to cosmetic filtering, preferably, always favor a plain old
  CSS3-based cosmetic filter, since they can be used in a declarative way,
  inside a 'style' tag. But there are cases where no CSS3-based expression will
  work, and in such case consider these new ':has' and ':xpath' operators.
|  
| Note that unlike ':has', ':xpath' is not a valid CSS4 expression, so they
  will always be enforced in a non-declarative way (in other word, javascript
  is doing the filtering, through
  `'document.evaluate' <https://outgoing.prod.mozaws.net/v1/b5f98e52015e90142b865562bd75aa6c7bbeb0f62b710a14d508825c3ed8e9fa/https%3A//developer.mozilla.org/en/docs/Web/API/Document/evaluate>`__.
|  
| These new cosmetic filtering operators can be "excepted" like any other
  standard CSS3-based cosmetic filter using the usual '#@#' prompt. Such
  exception cosmetic filters do not have to be *specific* however, i.e. you do
  not have to associate them to a specific hostname/entity.
|  
| **Changes**
|  
| The content script code responsible to implement cosmetic filtering has been
  re-factored:
|  

-  To harden against sites which tries to work around uBO's cosmetic filtering.
-  To improve general performance and memory usage.
-  To support the new cosmetic filters.

| 
| **Closed as fixed**
|  

-  [Firefox] uMatrix's fix to `issue
   #540 <https://outgoing.prod.mozaws.net/v1/00b166e232c21eddb6eb0fe32e8f7b319a807aa367ad5e3c6a60feb5f3865210/https%3A//github.com/gorhill/uMatrix/issues/540>`__
   has been imported into uBO.
-  [SeaMonkey] `Toolbar icon gone in private browsing
   window <https://outgoing.prod.mozaws.net/v1/544075d7f07ee545e8872970b641aaf53e87e47a2cad20278e173e7c49802520/https%3A//github.com/gorhill/uMatrix/issues/586>`__.
-  `"Can't properly upload attachments to any XenForo-based
   sites" <https://outgoing.prod.mozaws.net/v1/d2b31fa229a77fa41243b4cf2a514b74654f43c9db179441a643f629bf449525/https%3A//forums.lanik.us/viewtopic.php%3Ff=64&t=31522>`__.
-  `Own static filter not immediately
   available?! <https://outgoing.prod.mozaws.net/v1/f13257cf53bd65326bcca02565a89f0daf5a7075c14ad248b28a9b0bb1a5fe2a/https%3A//github.com/gorhill/uBlock/issues/1786>`__.
-  `Logger visual
   issue <https://outgoing.prod.mozaws.net/v1/20ad5cbfec9ef219707de256f7f2fcbfb73708f8ea0bfa6c6d75bf32ecf29c9c/https%3A//github.com/gorhill/uBlock/issues/1779>`__.
-  `Domain-anchored filters that can't be tokenized, are
   rejected <https://outgoing.prod.mozaws.net/v1/0df00ca5bd5d639bc4a543f53efad85ffe91a9f70f4e8f55fe3570a109d9bb8c/https%3A//github.com/gorhill/uBlock/issues/1765>`__.
-  Fixed a static filtering issue `reported in EasyList
   forum <https://outgoing.prod.mozaws.net/v1/eba9001d293174d783e82c7b66dcd02a3c56ad94af87325845fec1a9f868b5b8/https%3A//forums.lanik.us/viewtopic.php%3Ff=23&t=31223%23p97204>`__.
-  `Separator '^' is being stripped off
   filters <https://outgoing.prod.mozaws.net/v1/bf52b0a7499fd52172f965e7f26694ed292316ad8f05b2692e8664a16e468136/https%3A//github.com/gorhill/uBlock/issues/1757>`__.
-  `Support cosmetic filters with explicit style
   properties <https://outgoing.prod.mozaws.net/v1/9243aadddc74b774122e57040bcc379fa8477377e748ddd0bc9e5ddaffe1c632/https%3A//github.com/gorhill/uBlock/issues/781>`__.

uBlock Origin 1.7.7rc0 - July 26, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7rc0 <https://outgoing.prod.mozaws.net/v1/83fd5a85b0608896b1fa417e25552191684fd2aa56a3021257e16c39391705fd/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7rc0>`__
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7rc0 <https://outgoing.prod.mozaws.net/v1/6e09493702a4ac4396415d1053bb9b60399a479f7cb8de8cb59cd3e6a5082337/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7rc0>`__

uBlock Origin 1.7.7b15 - July 20, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b15 <https://outgoing.prod.mozaws.net/v1/07b9c933b43a082a1670e8b26884d28505fe89f4ac0405c6bc7da6d5f519e4c9/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b15>`__
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b15 <https://outgoing.prod.mozaws.net/v1/5ea1afd58edb9f812c7ac4bbb399cfc19ef88f8513bc20825924c33e93d7ad3f/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b15>`__

uBlock Origin 1.7.7b14 - July 16, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b14 <https://outgoing.prod.mozaws.net/v1/746475ca06a5e8d658131375ffbb67272dceb56b56eae87ce2df792bf1b21a91/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b14>`__
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b14 <https://outgoing.prod.mozaws.net/v1/775bf162c542912111a154cc7a783670e98d7b7b6d19121bfcdaf81048258646/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b14>`__

uBlock Origin 1.7.7b13 - July 15, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b13 <https://outgoing.prod.mozaws.net/v1/4f0ca2a345fcf670b33f9f5d5daf45c7bcf19b64dae577e837fef9fe29b9ca90/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b13>`__
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b13 <https://outgoing.prod.mozaws.net/v1/f1c7dd38119099a40b87e746e32e25d0c059fa34035af10d30b7ac4d11616533/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b13>`__

uBlock Origin 1.7.7b12 - July 12, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b12 <https://outgoing.prod.mozaws.net/v1/5fca48031a5361aa7d59fae1fbc0b5363146fa6068e44fcac7d159698d2cabe2/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b12>`__
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b12 <https://outgoing.prod.mozaws.net/v1/0b9dca3248908f9ef7ae8194055b9f2f2a4571c55bbe9f4849f2d4b36a53845a/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b12>`__

uBlock Origin 1.7.7b11 - July 10, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b11 <https://outgoing.prod.mozaws.net/v1/eeb953b15303f50def18fad8ed5f73cc38985f61ff8e25feed214585c38fe922/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b11>`__
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b11 <https://outgoing.prod.mozaws.net/v1/c28939703f61dee61a95a074acdd905027ee9cb042bae6d86b9f50d501e24fb4/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b11>`__

uBlock Origin 1.7.7b10 - July 3, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b10 <https://outgoing.prod.mozaws.net/v1/ac81d694fd7524eb74f624ec1f962b8e2918da4f5fc5b427225277f237191da0/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b10>`__
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b10 <https://outgoing.prod.mozaws.net/v1/65d1b6fd16201ce85b5bdf99473ac68c77cf848ab67559f171ae5c6db8125bda/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b10>`__

uBlock Origin 1.7.7b9 - July 2, 2016
====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b9 <https://outgoing.prod.mozaws.net/v1/9f928f4828de044e96b09a3d1e27262e619aae8ad13bf4fec518d917b6648e4e/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b9>`__
|  
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b9 <https://outgoing.prod.mozaws.net/v1/6fd6ee32dea55198c1f6affb26a33740ce5d4322864a7c8d9e6c23018b3ec32c/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b9>`__

uBlock Origin 1.7.7b8 - July 1, 2016
====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b8 <https://outgoing.prod.mozaws.net/v1/4f85d6ba6ffcd5ea5b7ba8ef8852d2a987627ec37ad4742d59742159b44b89f5/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b8>`__
|  
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b8 <https://outgoing.prod.mozaws.net/v1/6ef6405853d8b299e40c109dfcd154494971a1a03043097bf1010162cfc56b28/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b8>`__

uBlock Origin 1.7.7b7 - July 1, 2016
====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b7 <https://outgoing.prod.mozaws.net/v1/987e4833431b9981c9e916eb312f4ee682cc909dba057d45dc578b8d7b5cc8e3/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b7>`__
|  
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b7 <https://outgoing.prod.mozaws.net/v1/300c157102fe8a5c235773321f2dc5d88824492d763045d62662277f44064864/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b7>`__

uBlock Origin 1.7.7b6 - June 30, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b6 <https://outgoing.prod.mozaws.net/v1/ecba4232717c65ad70531cb1a9c8c5c977ec5af6b45ed5b6cad0b8746cfc5ebf/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b6>`__
|  
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b6 <https://outgoing.prod.mozaws.net/v1/97ecec04c5d6101c11520122ed56490340d514ceee2d8b6bf4fd91c285d5669f/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b6>`__

uBlock Origin 1.7.7b5 - June 29, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b5 <https://outgoing.prod.mozaws.net/v1/78ed73d392a2b78880684b8fd44cf49d4d1ba38e2c1e5b1e8275d5fd06a3e9e6/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b5>`__
|  
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b5 <https://outgoing.prod.mozaws.net/v1/c7f8842e582f25cd1a78bd22e566e3b1738ab85e80f3f63176e4026575dc41e3/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b5>`__

uBlock Origin 1.7.7b4 - June 29, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b4 <https://outgoing.prod.mozaws.net/v1/9ddb16c98a8b90052591f42818e525740086a822836abb2856e22d3591ee9160/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b4>`__
|  
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b4 <https://outgoing.prod.mozaws.net/v1/6918788f2b7dbfd522d1938960d50afd258bd19b22a42d643b2e2a010fddb52b/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b4>`__

uBlock Origin 1.7.7b3 - June 29, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b3 <https://outgoing.prod.mozaws.net/v1/71d10eb8b3d985578fd5a82ced1626dbfe533e681cf1a2ccf32a6f2f902cdd9b/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b3>`__
|  
| Commit history since 1.7.6:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b3 <https://outgoing.prod.mozaws.net/v1/ba98cdc6b9d9738a653323c311dacce4cd9443a832d8ccb36836e001339afc25/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b3>`__

uBlock Origin 1.7.7b2 - June 29, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b2 <https://outgoing.prod.mozaws.net/v1/53d727467b3c757d858da779d99509918517f321d822d89f2ae0aab42df79d34/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b2>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b2 <https://outgoing.prod.mozaws.net/v1/bf0da6dde7e061524a9cea747a8ddcd78618b3a28b1bccff97cc62917cc43c3f/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b2>`__

uBlock Origin 1.7.7b1 - June 29, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b1 <https://outgoing.prod.mozaws.net/v1/8944f51fdaed4afa9cee4bb58066746504317195dc79d24284c732e6709771ed/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b1>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b1 <https://outgoing.prod.mozaws.net/v1/6f6fba517e39949ca618dcb934baafd1e0013e7fbbad7eabb131d7a697e1a3ad/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b1>`__

uBlock Origin 1.7.7b0 - June 28, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.7b0 <https://outgoing.prod.mozaws.net/v1/46537569ef32dfd6e08bfbfa94ce9cbad587296a18dccba63c0e9052977493a0/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.7b0>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.6...1.7.7b0 <https://outgoing.prod.mozaws.net/v1/4055b1c6797f50763b65620ece6a84561a2f9a632dbfe0f55d56e3b44f54ea4c/https%3A//github.com/gorhill/uBlock/compare/1.7.6...1.7.7b0>`__

uBlock Origin 1.7.6 - June 22, 2016
===================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/486d74e9400673adb9b7507e07e15bdda8605a9e6ae20e910371d4d7bc229876/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.6>`__:
|  
| **Closed as fixed:**
|  

-  [Firefox] `Disable DNS prefetching when pre-fetching is disabled in
   settings <https://outgoing.prod.mozaws.net/v1/89d10047deee9e860e7d8ac4f6eb0dd555149d9aae5a67085d2dccee3e11e37c/https%3A//github.com/gorhill/uBlock/issues/1716>`__
-  [Firefox] `NoScript + uMatrix = cookie
   leak <https://outgoing.prod.mozaws.net/v1/efb3be0fbd40d2761752dedf6400b6488f1ca4fb5dd19cbc8b75f4b16ae89e6d/https%3A//github.com/gorhill/uMatrix/issues/554>`__

   -  uBO was not suffering from the specific reported issue, but was
      theoretically suffering from the root cause at the source of
      incompatiblity between uMatrix and NoScript.

-  [Tor browser] `Addons do not work
   randomly <https://outgoing.prod.mozaws.net/v1/d7288d720e0dd6138d91f7e82791143b4bd5f6f884771c3e282fb6977df5c74f/https%3A//trac.torproject.org/projects/tor/ticket/19438>`__
-  [Core] `Element picker: blocking \`data:\` URI-based resources does not
   work <https://outgoing.prod.mozaws.net/v1/2429d364b0acf2cefbd5ccfcb9e83547528e418dc751a57c059a8c3d79d4e42b/https%3A//github.com/gorhill/uBlock/issues/1725>`__
-  [Core] `For certain rules logger does not show from which list(s) it
   originates <https://outgoing.prod.mozaws.net/v1/c17e94b8ba8a813422c09fc1726bbe7b3c1c650ab317dfa0dcfc77b0cc60c726/https%3A//github.com/gorhill/uBlock/issues/1691>`__
-  [Core] `Dynamic filtering
   problem <https://outgoing.prod.mozaws.net/v1/61758996b5b4ce8dbdd2b1128f988406e523765b48e068f84500fe0d2fc981fe/https%3A//github.com/gorhill/uBlock/issues/1662>`__
-  [Core] `Regex-based filters should not be case sensitive by
   default <https://outgoing.prod.mozaws.net/v1/930d03e9e3f32e3db0dffdf3045db95073e4c450c6022cc2f9dc5bf23450bfa4/https%3A//github.com/gorhill/uBlock/issues/1660>`__
-  [Core] `Preview "##iframe" in element picker, hides element
   picker <https://outgoing.prod.mozaws.net/v1/7db909f69cebab341512b24f2c99444163434a9c8f39b5e3b54a1f628202bac2/https%3A//github.com/gorhill/uBlock/issues/1629>`__
-  [Core] `Logger unduly discarding events in edge
   cases <https://outgoing.prod.mozaws.net/v1/88428b848aa709a1bab597f825405c7105a1d9054c2f64de2f1a2fc1da8d4b11/https%3A//github.com/gorhill/uBlock/issues/1613%23issuecomment-217643661>`__
-  [Core] `Complex whitelist rules never catch on
   localhost <https://outgoing.prod.mozaws.net/v1/f3c6707c841539094aee8371bf6095734753597bdd10a7c71047fb6d84cb3f3c/https%3A//github.com/gorhill/uBlock/issues/1607>`__

| 
| `Commit history between 1.7.0 and
  1.7.6 <https://outgoing.prod.mozaws.net/v1/96deef089d53d52332f18f51cc444422d96dd37e3c12b297037dbbb0bae983dc/https%3A//github.com/gorhill/uBlock/compare/1.7.0...1.7.6>`__

uBlock Origin 1.7.5rc7 - June 19, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.5rc7 <https://outgoing.prod.mozaws.net/v1/e70bc072ee22940e705551e0b68296cc984d4390f52addb22ad61b2844afdeb3/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.5rc7>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc7 <https://outgoing.prod.mozaws.net/v1/39aa51d9a69eec1cbaccae1fba977f37d4afea8f1d9c2e3bd8aff3c8dcc97506/https%3A//github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc7>`__

uBlock Origin 1.7.5rc6 - June 16, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.5rc6 <https://outgoing.prod.mozaws.net/v1/c6256a75f264e6d0ceae2c5c49845e1e5626026ebac83a4d48cd7127de5fea68/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.5rc6>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc6 <https://outgoing.prod.mozaws.net/v1/250048a4d215d732310939db08a02f9bfa2249efbfb89a3705f14bd1d9a2ca21/https%3A//github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc6>`__

uBlock Origin 1.7.5rc5 - June 16, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.5rc5 <https://outgoing.prod.mozaws.net/v1/ce26118a9e62fe9397b8fbfc8ec2e92c46322fc2992c942534afe3e8952f9d3b/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.5rc5>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc5 <https://outgoing.prod.mozaws.net/v1/56a5c152322ff6b748735efe4482c0ff3b5b0096ff4f417faaf6f4e5d3e5e2ff/https%3A//github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc5>`__

uBlock Origin 1.7.5rc4 - June 12, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.5rc4 <https://outgoing.prod.mozaws.net/v1/c2f02b4cd88a794604b5fee992f312f370912e222ad9bae01c6c09a96df126fe/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.5rc4>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc4 <https://outgoing.prod.mozaws.net/v1/e17f24ae78de1460b721abed08d4b775becd77def8e7a4d33341b9a65ea29020/https%3A//github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc4>`__

uBlock Origin 1.7.5rc3 - June 10, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.5rc3 <https://outgoing.prod.mozaws.net/v1/b6b3deaf23bcced0efacfc98ba9466bd238cc33529b1cc31c69161bfed7d9289/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.5rc3>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc3 <https://outgoing.prod.mozaws.net/v1/38347f28ee1a156a8466a2f80453f72991c7c04be3635434530f607bc42ed02f/https%3A//github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc3>`__

uBlock Origin 1.7.5rc2 - June 6, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.5rc2 <https://outgoing.prod.mozaws.net/v1/3462287ee53231dc3a23f0f2dba04d5c007b2998e50b7345b99dee009dae609b/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.5rc2>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc2 <https://outgoing.prod.mozaws.net/v1/e6a734ac2e190c36c009635fd8d3dba593085909f9a8c4c329ab61a89a405804/https%3A//github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc2>`__

uBlock Origin 1.7.5rc1 - June 3, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.5rc1 <https://outgoing.prod.mozaws.net/v1/f8a4ee70b87c23e67cf647a6b91e9f5891c81d41c1d59521e38f0432b39d42a5/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.5rc1>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc1 <https://outgoing.prod.mozaws.net/v1/ac063683d3286b8488dcf377ff25c5f28561dc363ca90cbc572d9a9624e6fb59/https%3A//github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc1>`__

uBlock Origin 1.7.5rc0 - May 28, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.5rc0 <https://outgoing.prod.mozaws.net/v1/e7f9c34eece7cecdc4ff951d7ce0547e0b19a5219b3b62997aa8f19082590959/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.5rc0>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc0 <https://outgoing.prod.mozaws.net/v1/1d096be6094263840ed24e8edb544b976c92100576429ba76009740449ec9646/https%3A//github.com/gorhill/uBlock/compare/1.7.0...1.7.5rc0>`__

uBlock Origin 1.7.5b2 - May 15, 2016
====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.5b2 <https://outgoing.prod.mozaws.net/v1/fb3237636b8a6004010a8a2b2cf03d1ad80e5c38536d3d68ea80a3b5fcbc0651/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.5b2>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.0...1.7.5b2 <https://outgoing.prod.mozaws.net/v1/5ae4ecf2bf4d95c428a2afcd198cde37455d57cc48055d1bbb5c162c493e4bc7/https%3A//github.com/gorhill/uBlock/compare/1.7.0...1.7.5b2>`__

uBlock Origin 1.7.5b1 - May 7, 2016
===================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.5b1 <https://outgoing.prod.mozaws.net/v1/33c4a3509de6b01f766ab1d5c7f479a807394aa7028a3decd73aee5f07f57a4b/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.5b1>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.0...1.7.5b1 <https://outgoing.prod.mozaws.net/v1/d851a273f8c67cfd3b5dea67c77486f5e3e45d501f748019f9d4b2193c59816a/https%3A//github.com/gorhill/uBlock/compare/1.7.0...1.7.5b1>`__

uBlock Origin 1.7.5b0 - May 3, 2016
===================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.7.5b0 <https://outgoing.prod.mozaws.net/v1/0cc414e22a2e86ed34fe7e68dd38dd4fd856790f8854d15a8b8062099fe3c449/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.5b0>`__
|  
| Commit history since 1.7.0:
  `https://github.com/gorhill/uBlock/compare/1.7.0...1.7.5b0 <https://outgoing.prod.mozaws.net/v1/908d6ce0cc556571178c389701d50fa63497faf37ac852e438e2e5db7af22f95/https%3A//github.com/gorhill/uBlock/compare/1.7.0...1.7.5b0>`__

uBlock Origin 1.7.0 - May 1, 2016
=================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/4f2eb8e03556562709016fd8cba7f2c13d3b68fe5e00856a0b16a204f8c802ac/https%3A//github.com/gorhill/uBlock/releases/tag/1.7.0>`__:
|  
| **Changes:**
|  
| The element picker has been beefed-up:

-  It will now offer as filter choice background images, if any.
   (`#1202 <https://outgoing.prod.mozaws.net/v1/ec0816691e46472cd660a4a5d66ebc219026160a94054c3b68c489b5d593d05e/https%3A//github.com/gorhill/uBlock/issues/1202>`__)
-  When you click on an element on the page, it will report all elements found
   under the mouse. (Previously, the picker would report filters only for the
   element clicked and its ancestors.)
-  Filters for media elements will now be offered, if any.
   (`#1545 <https://outgoing.prod.mozaws.net/v1/38ab9bb8f9660a46bdf4d97155d1ae3e1217e940f70fa3395412e459797b2db4/https%3A//github.com/gorhill/uBlock/issues/1545>`__)
-  You can now preview the effect of the selected filter on the page.
   (`#650 <https://outgoing.prod.mozaws.net/v1/4dd398af7f561ceaace43b944976666b366a2c1d5ce42238867d02ad59abb31f/https%3A//github.com/gorhill/uBlock/issues/650>`__)

| 
| **Closed as fixed:**
|  

-  `Preferring document over popup
   filters <https://outgoing.prod.mozaws.net/v1/8034b46823685c2c5c53f7ddf40fab0990890a3618d4ab4c691e80bab4218599/https%3A//github.com/gorhill/uBlock/issues/1598>`__
-  `Redirection fails for filters having ":" in the host
   part <https://outgoing.prod.mozaws.net/v1/4f569397ebc40ba09e30146ea67b80d31691b41530be43c6e6c92e372815d26b/https%3A//github.com/gorhill/uBlock/issues/1597>`__
-  `uBO can cause FF 45 "Exit" to not terminate
   correctly <https://outgoing.prod.mozaws.net/v1/29eebfbecb2e6a75a7ec479ed1a243ebb7e1b8d56a7e3ec7754a8ec071009d98/https%3A//github.com/gorhill/uBlock/issues/1573>`__
-  `Element picker does not offer a filter to block the clicked video
   element <https://outgoing.prod.mozaws.net/v1/38ab9bb8f9660a46bdf4d97155d1ae3e1217e940f70fa3395412e459797b2db4/https%3A//github.com/gorhill/uBlock/issues/1545>`__
-  `A "no-popups: \* true" rule will block new tabs opened from
   "chrome://extensions/" <https://outgoing.prod.mozaws.net/v1/8ee54dbc56643de4ff7b06c954121071f65b4dbde053145b48c9cb2e8cfec887/https%3A//github.com/gorhill/uBlock/issues/1538>`__
-  `[Request] Block Background
   Ads <https://outgoing.prod.mozaws.net/v1/ec0816691e46472cd660a4a5d66ebc219026160a94054c3b68c489b5d593d05e/https%3A//github.com/gorhill/uBlock/issues/1202>`__
-  `[Suggestion] Preview element picker
   filters <https://outgoing.prod.mozaws.net/v1/4dd398af7f561ceaace43b944976666b366a2c1d5ce42238867d02ad59abb31f/https%3A//github.com/gorhill/uBlock/issues/650>`__

| 
| `Commit history between 1.6.8 and
  1.7.0 <https://outgoing.prod.mozaws.net/v1/fad651190be7ba36f264943e30a3780cecaac86992d260e31ef0556bc75aea60/https%3A//github.com/gorhill/uBlock/compare/1.6.8...1.7.0>`__

uBlock Origin 1.6.9rc1 - April 26, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.9rc1 <https://outgoing.prod.mozaws.net/v1/e7af0b09e7600e4f13d4eeca9a1f74822e2a444124b3f9f3f32fbb7d3ca47e7e/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.9rc1>`__
|  
| Commit history since 1.6.8:
  `https://github.com/gorhill/uBlock/compare/1.6.8...1.6.9rc1 <https://outgoing.prod.mozaws.net/v1/520ab9b4ed80914770dad3ba07f7ac46ba08f6cd7b9e4deab565328a4572aae0/https%3A//github.com/gorhill/uBlock/compare/1.6.8...1.6.9rc1>`__

uBlock Origin 1.6.9b4 - April 21, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.9b4 <https://outgoing.prod.mozaws.net/v1/546d9334b4d878c9e6a2024fd1f3fdad99760b7149a0ba9deabb73728df56888/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.9b4>`__
|  
| Commit history since 1.6.8:
  `https://github.com/gorhill/uBlock/compare/1.6.8...1.6.9b4 <https://outgoing.prod.mozaws.net/v1/1559e93318408a0ae7425508789b46c08d1c5a9a8900ebeafdd9356504087d96/https%3A//github.com/gorhill/uBlock/compare/1.6.8...1.6.9b4>`__

uBlock Origin 1.6.9rc0 - April 20, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.9rc0 <https://outgoing.prod.mozaws.net/v1/4e7ccf1598ba0c829243217a3540d396813be49ae108f93d07241000176a8f6e/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.9rc0>`__
|  
| Commit history since 1.6.8:
  `https://github.com/gorhill/uBlock/compare/1.6.8...1.6.9rc0 <https://outgoing.prod.mozaws.net/v1/caac54955dd79c88eef7f1f4f6f4198e2caf5898241efb51d90a0047aca5ac59/https%3A//github.com/gorhill/uBlock/compare/1.6.8...1.6.9rc0>`__

uBlock Origin 1.6.9b2 - April 18, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.9b2 <https://outgoing.prod.mozaws.net/v1/8353f861ab6b3367def66cb6b2021b71cb1af4b53bbb78cde88163be6353ae7a/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.9b2>`__
|  
| Commit history since 1.6.8:
  `https://github.com/gorhill/uBlock/compare/1.6.8...1.6.9b2 <https://outgoing.prod.mozaws.net/v1/c14ca08bf7d4f1c7eaa9d930235f640250f5b524c2130988d30af60113c64448/https%3A//github.com/gorhill/uBlock/compare/1.6.8...1.6.9b2>`__

uBlock Origin 1.6.9b1 - April 16, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.9b1 <https://outgoing.prod.mozaws.net/v1/9efa6072f01ffdc042372568b25c410166d3eff0a408c1ec705faa193cad01ab/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.9b1>`__
|  
| Commit history since 1.6.8:
  `https://github.com/gorhill/uBlock/compare/1.6.8...1.6.9b1 <https://outgoing.prod.mozaws.net/v1/17b45a504bc4738d6302b19a1b5ccb9bd08145104d2dd4e9c6b9f0d3c4d118e1/https%3A//github.com/gorhill/uBlock/compare/1.6.8...1.6.9b1>`__

uBlock Origin 1.6.9b0 - April 7, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.9b0 <https://outgoing.prod.mozaws.net/v1/098bc43d54ccffa9d1eab9ca0fdaba8e603ca44067ee774f8abd14efc09320ed/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.9b0>`__
|  
| Commit history since 1.6.8:
  `https://github.com/gorhill/uBlock/compare/1.6.8...1.6.9b0 <https://outgoing.prod.mozaws.net/v1/994f05a7fdfeae02b6a191ba0f474d0e9f8d0891ef4fff81bac5ae7344aba26d/https%3A//github.com/gorhill/uBlock/compare/1.6.8...1.6.9b0>`__

uBlock Origin 1.6.8 - April 5, 2016
===================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/25863ecbadf128e39060692004caffa5f00e80efae3b53efc4f8a5754c691394/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.8>`__:
|  
| **Changes:**
|  
| From now on, uBlock Origin will pull assets (filter lists, scriptlets) from a
  project dedicated strictly for the purpose of maintaining those resources:
  `uBlockOrigin/uAssets <https://outgoing.prod.mozaws.net/v1/3d22d958a8bec9042d88dc1805c36e205ec65894a40dd89d9de011f7dd56d956/https%3A//github.com/uBlockOrigin/uAssets>`__.
  Notice that this project is owned by *uBlockOrigin*, an organization I
  created to maintain all things related to uBlock Origin, uMatrix. For now
  uAssets is the first project to be held under that organization.
|  
| The goal of
  `uBlockOrigin/uAssets <https://outgoing.prod.mozaws.net/v1/3d22d958a8bec9042d88dc1805c36e205ec65894a40dd89d9de011f7dd56d956/https%3A//github.com/uBlockOrigin/uAssets>`__
  is to receive all the reports for the need of new filters, or reports of web
  pages broken by existing filters, and will be open for people to contribute
  (i.e. given write permissions on the project). Ideally I wish there will be
  eventually a small army of volunteers dedicated to deal with filter issues.
|  
| **Closed as fixed:**
|  

-  `uBlock Origin ignores changed
   tld <https://outgoing.prod.mozaws.net/v1/344484abe12d6fdda2ef0a31633418015466871cd312952e6968a9078c6ca5f3/https%3A//github.com/gorhill/uBlock/issues/1514>`__
-  `I can't filter this
   elements <https://outgoing.prod.mozaws.net/v1/6bb77411ed88e52de0feac9459da3c49f13be78aea6ff29e6d95fea4f844220a/https%3A//github.com/gorhill/uBlock/issues/1529>`__
-  `Too long URLs in dropdown selector causes desktop
   glitch <https://outgoing.prod.mozaws.net/v1/1a62d027beb845ebd45629409e0524f1179b435b69fcb952be7e5d563dd51488/https%3A//github.com/gorhill/uBlock/issues/1511>`__

| 
| `Commit history between 1.6.6 and
  1.6.8 <https://outgoing.prod.mozaws.net/v1/84ed202c9d7e9eb5c16843e45125b304eea7b05f97ae963d3ced5ed62611da42/https%3A//github.com/gorhill/uBlock/compare/1.6.6...1.6.8>`__

uBlock Origin 1.6.7rc2 - April 3, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.7rc2 <https://outgoing.prod.mozaws.net/v1/28cbff70ec0f85e07947245d978f38255b3aca358fe8af46887b478a77a68bc9/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.7rc2>`__
|  
| Commit history since 1.6.6:
  `https://github.com/gorhill/uBlock/compare/1.6.6...1.6.7rc2 <https://outgoing.prod.mozaws.net/v1/2b79797bcd1def29f09d35c37ee604f04bcd79a90b203397520c315d52634b93/https%3A//github.com/gorhill/uBlock/compare/1.6.6...1.6.7rc2>`__

uBlock Origin 1.6.7rc1 - April 3, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.7rc1 <https://outgoing.prod.mozaws.net/v1/aef12fb9f93f7273319b9660d5ec7be233eb3a3a081e03225cef8808c3ab7cf7/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.7rc1>`__
|  
| Commit history since 1.6.6:
  `https://github.com/gorhill/uBlock/compare/1.6.6...1.6.7rc1 <https://outgoing.prod.mozaws.net/v1/790a7996cf1163d61e96194d8ce8168d2162188ba6bccc58c1a9cb5115ed77e9/https%3A//github.com/gorhill/uBlock/compare/1.6.6...1.6.7rc1>`__

uBlock Origin 1.6.7rc0 - April 2, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.7rc0 <https://outgoing.prod.mozaws.net/v1/fd0b8bb1cc0ef877e907139d88005c1976fa1355ed9355a1fb41990f3b9d74be/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.7rc0>`__
|  
| Commit history since 1.6.6:
  `https://github.com/gorhill/uBlock/compare/1.6.6...1.6.7rc0 <https://outgoing.prod.mozaws.net/v1/69af3b1f0ff989626387e2f4bd42704bea380c3b904084314d059df168f35f45/https%3A//github.com/gorhill/uBlock/compare/1.6.6...1.6.7rc0>`__

uBlock Origin 1.6.7b0 - March 29, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.6 <https://outgoing.prod.mozaws.net/v1/013878933285ce56210380d0d3ab8eb75e0958edbf665d2210a302eee3d69e34/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.6>`__
|  
| Commit history since 1.6.6:
  `https://github.com/gorhill/uBlock/compare/1.6.6...1.6.7b0 <https://outgoing.prod.mozaws.net/v1/88eb1d9cf6d214839f055abed9f264efd34247553bdad4dc4a61302ee3f119d9/https%3A//github.com/gorhill/uBlock/compare/1.6.6...1.6.7b0>`__

uBlock Origin 1.6.6 - March 26, 2016
====================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/013878933285ce56210380d0d3ab8eb75e0958edbf665d2210a302eee3d69e34/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.6>`__:
|  
| **Closed as fixed:**
|  
| **Firefox:**
|  

-  `Showing incorrect context for github
   websockets <https://outgoing.prod.mozaws.net/v1/77d54a7ef19f10778a63173f06b8f6d84caba541d90286f8bbc9f2fc26e2b576/https%3A//github.com/gorhill/uBlock/issues/1459>`__

| 
| **Core:**
|  

-  `uBO doesn't count discarded cosmetic filters with 'Parse and enforce
   cosmetic filters'
   disabled <https://outgoing.prod.mozaws.net/v1/0cc2ee53bb5fface22295cc764f0e754eb12560a90195fe9993acbc3c4e97fc8/https%3A//github.com/gorhill/uBlock/issues/1484>`__
-  `Misinterpreting filters with
   elemhide <https://outgoing.prod.mozaws.net/v1/ee27d6716fd6bedc991bdb0c720aca2834a661ad0621ac21f94411a113d42be8/https%3A//github.com/gorhill/uBlock/issues/1477>`__
-  `Closing legit tabs as
   popunders <https://outgoing.prod.mozaws.net/v1/1e86e2cae118ab4e1bc0f37a82783819f49b6e4d5a1f2fc226fccb3f2cc84469/https%3A//github.com/gorhill/uBlock/issues/1471>`__
-  `HOSTS file filtering also blocking domains with a different
   ccTLD <https://outgoing.prod.mozaws.net/v1/21fa0728980600cb988bfba5bc5799ae9fcd230c91065c0ad38ead3b62ff11df/https%3A//github.com/gorhill/uBlock/issues/1468>`__
-  `In logger, exceptions rules with "elemhide" are
   "red" <https://outgoing.prod.mozaws.net/v1/61016716012924e309f661a9ccc6002995e076775554f35fa1a3d7c4ba3210fc/https%3A//github.com/gorhill/uBlock/issues/370>`__

| 
| `Commit history between 1.6.4 and
  1.6.6 <https://outgoing.prod.mozaws.net/v1/9b8677c4496f48f5ab5c899da8cf6a90f467104bbe729ad6f41d27e22dc555d0/https%3A//github.com/gorhill/uBlock/compare/1.6.4...1.6.6>`__

uBlock Origin 1.6.5rc4 - March 22, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.4 <https://outgoing.prod.mozaws.net/v1/c92b1d7df64d6bb8246f8822290ef7b56603eadf96f40f5f0bd51a690608f0f4/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4>`__
|  
| Commit history since 1.6.4:
  `https://github.com/gorhill/uBlock/compare/1.6.4...1.6.5rc4 <https://outgoing.prod.mozaws.net/v1/2753f8188f34aaa418d3a5d0fc9caee4fcde8a5e9508ad7a309519f4ff4d9d1c/https%3A//github.com/gorhill/uBlock/compare/1.6.4...1.6.5rc4>`__

uBlock Origin 1.6.5rc3 - March 17, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.4 <https://outgoing.prod.mozaws.net/v1/c92b1d7df64d6bb8246f8822290ef7b56603eadf96f40f5f0bd51a690608f0f4/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4>`__
|  
| Commit history since 1.6.4:
  `https://github.com/gorhill/uBlock/compare/1.6.4...1.6.5rc3 <https://outgoing.prod.mozaws.net/v1/d213f89637cebe90ed220431fce56c877f0bec8ca60e0e28fc62a40c522f99be/https%3A//github.com/gorhill/uBlock/compare/1.6.4...1.6.5rc3>`__

uBlock Origin 1.6.5rc2 - March 16, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.4 <https://outgoing.prod.mozaws.net/v1/c92b1d7df64d6bb8246f8822290ef7b56603eadf96f40f5f0bd51a690608f0f4/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4>`__
|  
| Commit history since 1.6.4:
  `https://github.com/gorhill/uBlock/compare/1.6.4...1.6.5rc2 <https://outgoing.prod.mozaws.net/v1/4360cdbd34dedcd938c7c6d5369a02bb7f37ee42c3ee2bb2a84d2930da8789d1/https%3A//github.com/gorhill/uBlock/compare/1.6.4...1.6.5rc2>`__

uBlock Origin 1.6.5rc1 - March 15, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.4 <https://outgoing.prod.mozaws.net/v1/c92b1d7df64d6bb8246f8822290ef7b56603eadf96f40f5f0bd51a690608f0f4/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4>`__
|  
| Commit history since 1.6.4:
  `https://github.com/gorhill/uBlock/compare/1.6.4...1.6.5rc1 <https://outgoing.prod.mozaws.net/v1/c31dbd303fbfd48f0c1b1620b35cf87acb0de5a8b094be7a8de9dafb434eece2/https%3A//github.com/gorhill/uBlock/compare/1.6.4...1.6.5rc1>`__

uBlock Origin 1.6.5rc0 - March 12, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.4 <https://outgoing.prod.mozaws.net/v1/c92b1d7df64d6bb8246f8822290ef7b56603eadf96f40f5f0bd51a690608f0f4/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4>`__
|  
| Commit history since 1.6.4:
  `https://github.com/gorhill/uBlock/compare/1.6.4...1.6.5rc0 <https://outgoing.prod.mozaws.net/v1/cc5d2dbc0dcbe364007a30b9fd77dc6bea4d30f555044ec1c8a208b5a3ca252b/https%3A//github.com/gorhill/uBlock/compare/1.6.4...1.6.5rc0>`__

uBlock Origin 1.6.5b2 - March 12, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.4 <https://outgoing.prod.mozaws.net/v1/c92b1d7df64d6bb8246f8822290ef7b56603eadf96f40f5f0bd51a690608f0f4/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4>`__
|  
| Commit history since 1.6.4:
  `https://github.com/gorhill/uBlock/compare/1.6.4...1.6.5b2 <https://outgoing.prod.mozaws.net/v1/9a8df5f0137c92135e5671fd57f14ef4ae5e1aeb06b73dc0adb0a7d6393c9acf/https%3A//github.com/gorhill/uBlock/compare/1.6.4...1.6.5b2>`__

uBlock Origin 1.6.5b1 - March 10, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.4 <https://outgoing.prod.mozaws.net/v1/c92b1d7df64d6bb8246f8822290ef7b56603eadf96f40f5f0bd51a690608f0f4/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4>`__
|  
| Commit history since 1.6.4:
  `https://github.com/gorhill/uBlock/compare/1.6.4...1.6.5b1 <https://outgoing.prod.mozaws.net/v1/0236237e2c9fee418bb1686c1d458342d0c709f8e1d193969539677d621abe2a/https%3A//github.com/gorhill/uBlock/compare/1.6.4...1.6.5b1>`__

uBlock Origin 1.6.5b0 - March 9, 2016
=====================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.4 <https://outgoing.prod.mozaws.net/v1/c92b1d7df64d6bb8246f8822290ef7b56603eadf96f40f5f0bd51a690608f0f4/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4>`__
|  
| Commit history since 1.6.4:
  `https://github.com/gorhill/uBlock/compare/1.6.4...1.6.5b0 <https://outgoing.prod.mozaws.net/v1/fe2a7271e4950eabf30cd2d255077c320e883906b9eb1857bc2d88b8b23267bb/https%3A//github.com/gorhill/uBlock/compare/1.6.4...1.6.5b0>`__

uBlock Origin 1.6.4 - March 6, 2016
===================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/c92b1d7df64d6bb8246f8822290ef7b56603eadf96f40f5f0bd51a690608f0f4/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4>`__:
|  
| **Changes:**
|  
| Changes:
|  
| Popup filters can also be used to filter popunders. This was the case in the
  original implementation of popunder filtering, however this was removed
  eventually as this was causing too many false positives for popunders,
  causing legitimate tabs to be closed (`issue
  1010 <https://outgoing.prod.mozaws.net/v1/6fb67389a30fb28c4917bc390044dc0bed01affdf16f0174ac024f6cad3a95ce/https%3A//github.com/gorhill/uBlock/issues/1010>`__).
  The new solution is to still filter popunders according to existing popup
  filters, but to disregard popup filters which are too broad. Cases for which
  a popunder cannot be taken care by an existing popup filter, an explicit
  ``popunder`` filter should be used.
|  
| **Closed as fixed:**
|  
| **Firefox 31 and less, Pale Moon:**

-  `A minor bug with the "Block media elements"
   function <https://outgoing.prod.mozaws.net/v1/967664a9934ca5a2b44eeb8026ad9839296897b4b347b8b58f3b77084585940a/https%3A//github.com/gorhill/uBlock/issues/1448>`__
-  `UO (when used with uMatrix) displays old connected
   domains <https://outgoing.prod.mozaws.net/v1/8e679b1193a6b3fb10775b2a915cb430039ddbbf77a8044b0478109918041caa/https%3A//github.com/gorhill/uBlock/issues/1444>`__

| 
| **Core:**

-  `Empty domain line (cell) - how can this
   be? <https://outgoing.prod.mozaws.net/v1/8631736d69a29a2306c8d2fdd34b247ef59f69d0aa7cd3facbf0a62620195b5d/https%3A//github.com/gorhill/uBlock/issues/1403>`__
-  `Logger doesn't show not blocked
   popups <https://outgoing.prod.mozaws.net/v1/d28a9a3d4a1aefa8f21f2db8d3c981f2e4497a01201dec09d912db2dd4257a1d/https%3A//github.com/gorhill/uBlock/issues/1339>`__
-  `dev version has problems when opening \_blank target
   links <https://outgoing.prod.mozaws.net/v1/6fb67389a30fb28c4917bc390044dc0bed01affdf16f0174ac024f6cad3a95ce/https%3A//github.com/gorhill/uBlock/issues/1010>`__
   (issue was re-opened, and a new fix created).

| 
| `Commit history between 1.6.2 and
  1.6.4 <https://outgoing.prod.mozaws.net/v1/d2a583cc4969b63cc9aee94b405e9f832d6bbda311302babeb28853f4a46b0da/https%3A//github.com/gorhill/uBlock/compare/1.6.2...1.6.4>`__

uBlock Origin 1.6.4rc2 - March 5, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.4rc2 <https://outgoing.prod.mozaws.net/v1/39b21440220ae5e32ea3c665e2233c06a02e6397484dd7712528a302038c708b/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4rc2>`__
|  
| Commit history since 1.6.2:
  `https://github.com/gorhill/uBlock/compare/1.6.2...1.6.4rc2 <https://outgoing.prod.mozaws.net/v1/f568ffa73f1f24a667b7c3bfb44ef5e3324c077f5f8bd5da1b6d4cecb2a0eeb9/https%3A//github.com/gorhill/uBlock/compare/1.6.2...1.6.4rc2>`__

uBlock Origin 1.6.4rc1 - March 5, 2016
======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.4rc1 <https://outgoing.prod.mozaws.net/v1/cf4d50d6eaae4b4b521a35993fd033259a75229d999a035bf163100499f6fdbb/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4rc1>`__
|  
| Commit history since 1.6.2:
  `https://github.com/gorhill/uBlock/compare/1.6.2...1.6.4rc1 <https://outgoing.prod.mozaws.net/v1/9d0d5da1ee21f8ab0ac49b0e985f40589ecfa0a71cdfab63eecdb2653c8aabd1/https%3A//github.com/gorhill/uBlock/compare/1.6.2...1.6.4rc1>`__

uBlock Origin 1.6.4b1 - February 27, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.4b1 <https://outgoing.prod.mozaws.net/v1/741a207bdf7af601f7fbd3758e3bd6cb6b98aa0f4954ec7d6dfe4a60cea6a619/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4b1>`__
|  
| Commit history since 1.6.2:
  `https://github.com/gorhill/uBlock/compare/1.6.2...1.6.4b1 <https://outgoing.prod.mozaws.net/v1/401eebaf930e022e5bbc3610474e8046271b806cc5e0e5e9671d6a814c744d9d/https%3A//github.com/gorhill/uBlock/compare/1.6.2...1.6.4b1>`__

uBlock Origin 1.6.4b0 - February 26, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.4b0 <https://outgoing.prod.mozaws.net/v1/2810fcced78af85be25d3a18e51243c5e2e69a54b8cb3e9bf4c5ecfb95b5630e/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.4b0>`__
|  
| Commit history since 1.6.2:
  `https://github.com/gorhill/uBlock/compare/1.6.2...1.6.4b0 <https://outgoing.prod.mozaws.net/v1/7b0f7ab855dad7e12d755991129624bab76bea395287479d73d4b05938be3d9b/https%3A//github.com/gorhill/uBlock/compare/1.6.2...1.6.4b0>`__

uBlock Origin 1.6.2 - February 22, 2016
=======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/56933389aa7cd690ac98761fd3238a3515580647f8f3df185b8a0ff9e27ab984/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.2>`__:
|  
| **Closed as fixed:**
|  
| **Core:**

-  `uBlock is not able to apply ONLY my cosmetic
   filters <https://outgoing.prod.mozaws.net/v1/acf9a0bc2efc7817f225b0584378b9759ab8cec1417c88ca1db50c95e655297b/https%3A//github.com/gorhill/uBlock/issues/1395>`__
-  `Logger displays wrong source for some
   filters <https://outgoing.prod.mozaws.net/v1/328e73f039652804b2e5b2745f1a113d7723dff59a38c2f6e05709fb2c64efa5/https%3A//github.com/gorhill/uBlock/issues/1392>`__

| 
| `Commit history between 1.6.1 and
  1.6.2 <https://outgoing.prod.mozaws.net/v1/0062a7ef4cdf5febd8529ce16215d6c5bbe06c1c618c276c248f86ca42af155f/https%3A//github.com/gorhill/uBlock/compare/1.6.1...1.6.2>`__

uBlock Origin 1.6.2b0 - February 17, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.2b0 <https://outgoing.prod.mozaws.net/v1/3c1955f61fda5934eb14e875ddc266557745fac971e1ad5b2df6d417656f2092/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.2b0>`__
|  
| Commit history since 1.6.1:
  `https://github.com/gorhill/uBlock/compare/1.6.1...1.6.2b0 <https://outgoing.prod.mozaws.net/v1/06f532e729118fa4bcdefbbfb19396c404a26c36c02f613e7fcfcd8d28a80621/https%3A//github.com/gorhill/uBlock/compare/1.6.1...1.6.2b0>`__

uBlock Origin 1.6.1 - February 14, 2016
=======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/df2bb4790e3c1febd3a14235a76d3ffb0aff9662218aaf52bfbed7ea37b8a83f/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.1>`__:
|  
| **Closed as fixed:**
|  
| **Core:**

-  `Popups with "no popups" switch enabled on
   uploadrocket <https://outgoing.prod.mozaws.net/v1/5fa97c674e01105af084bf7ebbd16f5fbc200631077374feb88fb5b8ecbee1f1/https%3A//github.com/gorhill/uBlock/issues/1378>`__

| 
| `Commit history between 1.6.0 and
  1.6.1 <https://outgoing.prod.mozaws.net/v1/538c105cc9afa38e379ad98f1c99d03d844f7b9cd9dc60ec880051a87610f8ff/https%3A//github.com/gorhill/uBlock/compare/1.6.0...1.6.1>`__

uBlock Origin 1.6.1rc0 - February 14, 2016
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.1rc0 <https://outgoing.prod.mozaws.net/v1/c8427f071a7a642cf750ee2e56f971de930ca49d387289c422557db35008a5f5/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.1rc0>`__
|  
| Commit history since 1.6.0:
  `https://github.com/gorhill/uBlock/compare/1.6.0...1.6.1rc0 <https://outgoing.prod.mozaws.net/v1/ae1bef3a227553fcd4fcb913450be45acbf81ebc95a1efdb22b960f24a684168/https%3A//github.com/gorhill/uBlock/compare/1.6.0...1.6.1rc0>`__

uBlock Origin 1.6.0 - February 11, 2016
=======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/58cf870c41b777014e6c1bb5c72eadfe1aad07e98d1bc1fd7b0f6c4a7b006645/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.0>`__:
|  
| **New:**
|  
| **Ability to set the default state of per-site switches (issue #1193)**
|  
| It is now possible to set the default value of `per-site
  switches <https://outgoing.prod.mozaws.net/v1/d99754a2c1229381cc906a6e1c9b300db8e892488d2fef973f4ccc00294812ab/https%3A//github.com/gorhill/uBlock/wiki/Per-site-switches>`__
  from the *Settings* pane in the dashboard, under the *Default behavior*
  header. It was possible before to modify the default setting, but this had to
  be done by manually entering the proper rule in the *My rules* pane -- not
  very suitable to non-advanced users.
|  
| **Block media elements by size (issue #1163)**
|  
| There is a new per-site switch: `Block media elements by
  size <https://outgoing.prod.mozaws.net/v1/116f1043b04bd600baa33816f6eab993d6a2d27e18f2039a329a21a5938159f0/https%3A//raw.githubusercontent.com/gorhill/uBlock/master/doc/img/popup-1h.png>`__
  (image).
|  
| Primary purpose is to save bandwidth. See
  `documentation <https://outgoing.prod.mozaws.net/v1/5ac26da66896178537f86259bba8a0b764b114ac506e3e2db00e34e2d990d3b9/https%3A//github.com/gorhill/uBlock/wiki/Per-site-switches%23no-large-media-elements>`__
  for more information.
|  
| Note that this feature has been implemented with the utmost care to not add
  overhead to those not using it. The content scripts to handle interaction
  with blocked media elements are injected *if and only if* large media
  elements were actually blocked.
|  
| **Closed as fixed:**
|  
| **Firefox:**

-  `Adding subscription from resource: URI does not
   work <https://outgoing.prod.mozaws.net/v1/8214d31a7caeb8267636f352b502fcfe38c7d52fd6060dc2fdd306167704adba/https%3A//github.com/gorhill/uBlock/issues/1321>`__.
-  `Remove toolbar button code path for FF29-35: fall back on
   legacy <https://outgoing.prod.mozaws.net/v1/46126b8a8a5fbfe7570d4a1653a048e42d13ec52db31c7247b9e4dfd3cd73ece/https%3A//github.com/gorhill/uBlock/issues/1312>`__.
-  `uBO fails to block
   popup <https://outgoing.prod.mozaws.net/v1/2b8e56c1fed747cf2fe69f305a51b7e4d7c42535ce14559e9259baf8860c939c/https%3A//github.com/gorhill/uBlock/issues/1305>`__
-  `IPv6 raw addresses are not correctly
   handled <https://outgoing.prod.mozaws.net/v1/9380f43e790a8aa45abbfafcc1d482196d4b3ae64bf2108db2b85f104a3e4a31/https%3A//github.com/gorhill/uBlock/issues/1276>`__.
-  [non-Australis] `Button is not added to Navigation Toolbar on new
   profiles <https://outgoing.prod.mozaws.net/v1/30383360b46f55632a624b0c45664b8f2a8e6aca2b2a416500b026a2a4b444fb/https%3A//github.com/gorhill/uBlock/issues/1257>`__.

| 
| **Core:**

-  `Fix problems reported in Debian Lintian's
   runs <https://outgoing.prod.mozaws.net/v1/07d4520aa8e8cce818e7f115350d405ce02b2d2919fb1e5c3a9b6a71f89f4f39/https%3A//github.com/gorhill/uBlock/issues/1318>`__
-  `Broken ``domainCachePrune`` may lead to un-garbage-collected
   memory <https://outgoing.prod.mozaws.net/v1/aa770d947b5b543fff751fcbe3406211072b68d9904c79cb3f26058cbd093c1e/https%3A//github.com/gorhill/uBlock/issues/1317>`__
-  `Refreshing in the
   dashboard <https://outgoing.prod.mozaws.net/v1/9c9b5db1977670e81eb8fc2f6236b41f08fe65934b8348b98f6d6fd93199abbf/https%3A//github.com/gorhill/uBlock/issues/1285>`__
-  `Logger doesn't show origin of filters with unescaped
   regexes <https://outgoing.prod.mozaws.net/v1/1d98fa104f720b9e54a2b7044b00c17595b626185ab08b2c666de750fdb90099/https%3A//github.com/gorhill/uBlock/issues/1246>`__
-  `Make cloud storage import+merge more
   discoverable? <https://outgoing.prod.mozaws.net/v1/8509f86aee8b6e9f2975ce1b522951cfbbad658621ddf199b3d7e163f564a05a/https%3A//github.com/gorhill/uBlock/issues/790>`__

| 
| `Commit history between 1.5.5 and
  1.6.0 <https://outgoing.prod.mozaws.net/v1/611efcb9cca3c263dd08f620b9d29a9bfc29692428bb843dfc81fe0adb6399f9/https%3A//github.com/gorhill/uBlock/compare/1.5.5...1.6.0>`__

uBlock Origin 1.6.0rc2 - February 9, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.0rc2 <https://outgoing.prod.mozaws.net/v1/8ae0e1563bd5c11ccfcd51e5146c7dddfc4c6aa4e3fcbf265474bf7f6c99c1ae/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.0rc2>`__
|  
| Commit history since 1.5.5:
  `https://github.com/gorhill/uBlock/compare/1.5.5...1.6.0rc2 <https://outgoing.prod.mozaws.net/v1/e110326d800b9756283ead26c244c291584f5aff185dbe6e7319fea652ee7426/https%3A//github.com/gorhill/uBlock/compare/1.5.5...1.6.0rc2>`__

uBlock Origin 1.6.0rc1 - February 3, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.0rc1 <https://outgoing.prod.mozaws.net/v1/965572658d01877ede0d950cffa9d5027de2ab73ba89460be22aef92d23be6b2/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.0rc1>`__
|  
| Commit history since 1.5.5:
  `https://github.com/gorhill/uBlock/compare/1.5.5...1.6.0rc1 <https://outgoing.prod.mozaws.net/v1/092d09a31b75b5ba7ef02689f133b051b7c1ba234731e10ee9781089ba0a6780/https%3A//github.com/gorhill/uBlock/compare/1.5.5...1.6.0rc1>`__

uBlock Origin 1.6.0rc0 - January 29, 2016
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.0rc0 <https://outgoing.prod.mozaws.net/v1/56dd0ee2b289df0befcc42894fa1c8398a25410f4dec68b41aa0a222e2760d5b/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.0rc0>`__
|  
| Commit history since 1.5.5:
  `https://github.com/gorhill/uBlock/compare/1.5.5...1.6.0rc0 <https://outgoing.prod.mozaws.net/v1/b05a4cd1db6e6e5daab0e8466174ce9d15a4a0eb8c01414aa480e3e0f62b546c/https%3A//github.com/gorhill/uBlock/compare/1.5.5...1.6.0rc0>`__

uBlock Origin 1.6.0b8 - January 27, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.0b8 <https://outgoing.prod.mozaws.net/v1/81da586386ee8eba22d83d59dd467beb3d20234c2f62d042cb05a3552469f1aa/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.0b8>`__
|  
| Commit history since 1.5.5:
  `https://github.com/gorhill/uBlock/compare/1.5.5...1.6.0b8 <https://outgoing.prod.mozaws.net/v1/73b47cc913094e3633e7c3bea694c666aad797391bd956cdab9f65d6cc3c5d2f/https%3A//github.com/gorhill/uBlock/compare/1.5.5...1.6.0b8>`__

uBlock Origin 1.6.0b7 - January 26, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.0b7 <https://outgoing.prod.mozaws.net/v1/379f7f319dea4536e5ba6a3d1a5109e85b6258267fe3d4a3543fc030159bcb86/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.0b7>`__
|  
| Commit history since 1.5.5:
  `https://github.com/gorhill/uBlock/compare/1.5.5...1.6.0b7 <https://outgoing.prod.mozaws.net/v1/f62e5eb10be0b4627d391cbfbe1804fd843b75ddd32a4beb6a0196260557820c/https%3A//github.com/gorhill/uBlock/compare/1.5.5...1.6.0b7>`__

uBlock Origin 1.6.0b6 - January 23, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.0b6 <https://outgoing.prod.mozaws.net/v1/2e7b998d5bd3f74a6c11320c06f83f8f92d7219d884f47d6e2b8ae737c959f60/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.0b6>`__
|  
| Commit history since 1.5.5:
  `https://github.com/gorhill/uBlock/compare/1.5.5...1.6.0b6 <https://outgoing.prod.mozaws.net/v1/4439a9e284b96cc7aea1e0d25bc03a754d9b3205d06796d04a03763f863cfc5c/https%3A//github.com/gorhill/uBlock/compare/1.5.5...1.6.0b6>`__

uBlock Origin 1.6.0b2 - January 19, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.6.0b2 <https://outgoing.prod.mozaws.net/v1/bc20979436caa1d8352d9fdfebd45233b5f348bdf48708b04e9883a3569d977f/https%3A//github.com/gorhill/uBlock/releases/tag/1.6.0b2>`__
|  
| Commit history since 1.5.5:
  `https://github.com/gorhill/uBlock/compare/1.5.5...1.6.0b2 <https://outgoing.prod.mozaws.net/v1/1f2d715d6e6e6e427605d6f592195cd94b18a18c7a6592a706ecf595b37d5556/https%3A//github.com/gorhill/uBlock/compare/1.5.5...1.6.0b2>`__

uBlock Origin 1.5.5 - January 10, 2016
======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/e5cb8b3032af072f3fa13646504a17e7c59cf0acc97d71e1683a0c94c2ad9be9/https%3A//github.com/gorhill/uBlock/releases/tag/1.5.5>`__:
|  
| **Closed as fixed:**
|  
| **Core:**

-  `constructor.com and constructor.io websites appear
   blank <https://outgoing.prod.mozaws.net/v1/a9c4bded87492d695853f97cebbf7337ebc87f12d057443ebf28f2811b803481/https%3A//github.com/gorhill/uBlock/issues/1206>`__.

| 
| `Commit history between 1.5.4 and
  1.5.5 <https://outgoing.prod.mozaws.net/v1/995cfe26b2e5efb9d92073cb97fc3698aceca840fe7a35fc2eddfe6a86b60882/https%3A//github.com/gorhill/uBlock/compare/1.5.4...1.5.5>`__

uBlock Origin 1.5.4 - January 10, 2016
======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/3b66eee8e8ac0b7489b9a992a5268a8082880d24891ff5bb135e9a60bfb5467e/https%3A//github.com/gorhill/uBlock/releases/tag/1.5.4>`__:
|  
| **Closed as fixed:**
|  
| **Firefox:**

-  [Regression bug] `Blocking inline scripts inside
   iframe <https://outgoing.prod.mozaws.net/v1/4827922e0489b14af70122c82505d6272a2f2a1b327e1da4a234960deffe92a1/https%3A//github.com/gorhill/uBlock/issues/1201>`__.

| 
| `Commit history between 1.5.3 and
  1.5.4 <https://outgoing.prod.mozaws.net/v1/346672eebdde0756e135c0a06460d0ff2843fd76863f8dcd5670c2e399b7ace6/https%3A//github.com/gorhill/uBlock/compare/1.5.3...1.5.4>`__

uBlock Origin 1.5.3 - January 6, 2016
=====================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/fe67a86ed07d43f6ef6a7d6121e0d59fe44b32845cf39133b88cd9e604fd128d/https%3A//github.com/gorhill/uBlock/releases/tag/1.5.3>`__:
|  
| **Changes:**
|  
| uBO will now automatically select the filter list which matches the current
  browser locale at first install time. This change does nothing if you have
  uBO already installed.
|  
| **Closed as fixed:**
|  
| **Core:**
|  

-  `Show number of popups
   blocked <https://outgoing.prod.mozaws.net/v1/82f490ec34b66b392bbd21e29477b81531b2271875e405f17eae91b1525d5ce9/https%3A//github.com/gorhill/uBlock/issues/912>`__.
-  `The script tag filters ignore the
   whitelist <https://outgoing.prod.mozaws.net/v1/8d48c3ed18b8e49873df801e96464b17c8d4284ba0c1c485d4b82a5d74239dfb/https%3A//github.com/gorhill/uBlock/issues/838>`__.
-  `Titlebar should have a settings
   icon <https://outgoing.prod.mozaws.net/v1/259348ffa3affb4400365902838207bea0ce67dc94485c2819997499517616de/https%3A//github.com/gorhill/uBlock/issues/830>`__.
-  `Why not add by default the ad list of the locale of the
   browser? <https://outgoing.prod.mozaws.net/v1/2c17ad9af42ecefbe5b21d048273847fe61bf642b71908d85c345e2c01b5e8a3/https%3A//github.com/gorhill/uBlock/issues/747>`__.

| 
| `Commit history between 1.5.1 and
  1.5.3 <https://outgoing.prod.mozaws.net/v1/107c9da7c2223e89dbf4958140c4f96c31c960c15c2b8f8b9ed20deb19579e81/https%3A//github.com/gorhill/uBlock/compare/1.5.1...1.5.3>`__

uBlock Origin 1.5.3rc0 - January 5, 2016
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.5.3rc0 <https://outgoing.prod.mozaws.net/v1/a8a4713701e0dbdec5d955ee992b89084af7f9cafccfe1412b6de85f44129b8f/https%3A//github.com/gorhill/uBlock/releases/tag/1.5.3rc0>`__
|  
| Commit history since 1.5.1:
  `https://github.com/gorhill/uBlock/compare/1.5.1...1.5.3rc0 <https://outgoing.prod.mozaws.net/v1/8c525002898408a5d1ffef02a77262ba1b8e54fe7db92090cbc00709d415e89c/https%3A//github.com/gorhill/uBlock/compare/1.5.1...1.5.3rc0>`__

uBlock Origin 1.5.3b2 - January 3, 2016
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.5.3b2 <https://outgoing.prod.mozaws.net/v1/6aa41532d2cb263ccec0086a7787993b3075d978aa6fd0aaa421d3865e5698df/https%3A//github.com/gorhill/uBlock/releases/tag/1.5.3b2>`__
|  
| Commit history since 1.5.1:
  `https://github.com/gorhill/uBlock/compare/1.5.1...1.5.3b2 <https://outgoing.prod.mozaws.net/v1/5253011f3c4b4bc4aebe5812ecc60bb6675cf7b3116c18a6d93ad28b68ef2ff6/https%3A//github.com/gorhill/uBlock/compare/1.5.1...1.5.3b2>`__

uBlock Origin 1.5.3b0 - December 29, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.5.3rb0 <https://outgoing.prod.mozaws.net/v1/f6af5bb589a108b0b217bd3d8175707eaa931b06bec9c684a77d4c456aa84f68/https%3A//github.com/gorhill/uBlock/releases/tag/1.5.3rb0>`__
|  
| Commit history since 1.5.1:
  `https://github.com/gorhill/uBlock/compare/1.5.1...1.5.3b0 <https://outgoing.prod.mozaws.net/v1/94344be6c1c50f4fa0d8928fc3b29d029d796910ff696b2b03f5d8c61a0a44e0/https%3A//github.com/gorhill/uBlock/compare/1.5.1...1.5.3b0>`__

uBlock Origin 1.5.1 - December 27, 2015
=======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/3d1176a0b2b3c1d49a23dddf28e5ffe7d849216c709d1841466963b1ee0a123d/https%3A//github.com/gorhill/uBlock/releases/tag/1.5.1>`__:
|  
| **Closed as fixed:**
|  
| **Core:**
|  

-  `Domain option is
   ignored <https://outgoing.prod.mozaws.net/v1/1d7550711c8794ad39af0856101c0a6fb7314b51508ee7c0f54e9265fc8c96e7/https%3A//github.com/gorhill/uBlock/issues/1127>`__
   (regression bug).

   -  Survey shows 137 filters were affected in EasyList+EasyPrivacy combined:
      Filters with a \`domain=\` option with one single negated hostname were
      affected.

-  `Entity-based script injection cosmetic filters not
   working <https://outgoing.prod.mozaws.net/v1/666d75bf4e9da8f8112c1c7f8f23d42b2b6b8d3318ff56b158986d4d2c395a52/https%3A//github.com/gorhill/uBlock/issues/1094%23issuecomment-167426198>`__.

| 
| `Commit history between 1.5.0 and
  1.5.1 <https://outgoing.prod.mozaws.net/v1/2df5da838026ad9855afb83f88140712d5b313064a160155a8ec50de6fa362ff/https%3A//github.com/gorhill/uBlock/compare/1.5.0...1.5.1>`__

uBlock Origin 1.5.0 - December 26, 2015
=======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/b800eb1fa34a0da3d6bbfc743f519a6eeddf99dc28573575c9dc85a11929e6f0/https%3A//github.com/gorhill/uBlock/releases/tag/1.5.0>`__:
|  
| **New:**
|  
| Ability to inject script resource from the resource library directly into a
  page -- i.e. not through redirection. Can be used to defeat some otherwise
  hard to defeat ad injection mechanisms on some sites. More specifically, this
  allows to defeat AdDefend- or Yavli-based ads on many sites (as of writing),
  which so far were defeated only through inline script tag filtering -- so
  this means that now Chromium-based browsers can also bypass AdDefend/Yavli
  (for example, see #1100). Some documentation available
  `here <https://outgoing.prod.mozaws.net/v1/3c170b7e9db605765fff873a0ddb37fb3b006ea32e48bb53a8b7d4e048492a55/https%3A//github.com/gorhill/uBlock/wiki/Static-filter-syntax%23special-cosmetic-filters>`__
  (will eventually create a dedicated page).
|  
| Enabling *advanced user* mode won't cause the tooltips to be disabled
  anymore. There is now a separate setting for tooltips in the *Settings* pane:
  *"Disable tooltips"*. Tooltips are enabled by default.
|  
| **Closed as fixed:**
|  
| **Core:**
|  

-  `[Logger] Cannot reverse find a specific
   filter <https://outgoing.prod.mozaws.net/v1/91acabf62760f83e8d6be733e919b42109085edd76ef38b449e518a15ccdc023/https%3A//github.com/gorhill/uBlock/issues/1093>`__
-  `On a site with 0 connections
   displayed <https://outgoing.prod.mozaws.net/v1/5f8967f7150b2734bf79f68dd5ddf15c08779e4bfac0e933057984d56d72eb92/https%3A//github.com/gorhill/uBlock/issues/1076>`__
-  `[Efficiency] Make use of
   ``String.prototype.startsWith`` <https://outgoing.prod.mozaws.net/v1/fa334245a3ee2ef26bafe04cadbfe1641a6dd4245a57cc397f5936f8b4cc4033/https%3A//github.com/gorhill/uBlock/issues/1067>`__
-  ```no-popups: * true`` rule blocks opening of a clicked
   url <https://outgoing.prod.mozaws.net/v1/881eaa6156673d9a535490fb61f2beb7b74b5ed441b07670641536f66027e51b/https%3A//github.com/gorhill/uBlock/issues/1066>`__
-  `[static filter syntax] separator characters (^)
   support <https://outgoing.prod.mozaws.net/v1/0438a09adb984203ce65c5e7edc1f7b2a132fd32c2a45eda399c07435f044394/https%3A//github.com/gorhill/uBlock/issues/1056>`__
-  `Use case: does an advanced user still need
   tooltips? <https://outgoing.prod.mozaws.net/v1/85ac607321ed84462ef07f83808f94fc8851a6ebb93d667d3e05e96d264f96a7/https%3A//github.com/gorhill/uBlock/issues/451>`__

| 
| `Commit history between 1.4.0 and
  1.5.0 <https://outgoing.prod.mozaws.net/v1/c4696d0f7fd79c47522437a501b9b92a6616c07a0d8c86e24b477af2e6979c2c/https%3A//github.com/gorhill/uBlock/compare/1.4.0...1.5.0>`__

uBlock Origin 1.5.0rc1 - December 23, 2015
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.5.0rc1 <https://outgoing.prod.mozaws.net/v1/102439947f7b463d630d9618797894955d843431c6f939358f6ed71d4359e2e2/https%3A//github.com/gorhill/uBlock/releases/tag/1.5.0rc1>`__
|  
| Commit history since 1.4.0:
  `https://github.com/gorhill/uBlock/compare/1.4.0...1.5.0rc1 <https://outgoing.prod.mozaws.net/v1/19d073267cb56700ea8f314dc000c8997113090ab0d3bfea67004355753de965/https%3A//github.com/gorhill/uBlock/compare/1.4.0...1.5.0rc1>`__

uBlock Origin 1.5.0rc0 - December 23, 2015
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.5.0rc0 <https://outgoing.prod.mozaws.net/v1/6ac20d4aabae6fe3bbf96b199909a66712daf17ec928a50cbb6897c036b06870/https%3A//github.com/gorhill/uBlock/releases/tag/1.5.0rc0>`__
|  
| Commit history since 1.4.0:
  `https://github.com/gorhill/uBlock/compare/1.4.0...1.5.0rc0 <https://outgoing.prod.mozaws.net/v1/26516943b399461e7a008924ead23b4f73b52ad3a644d6ae453f5195e49c3361/https%3A//github.com/gorhill/uBlock/compare/1.4.0...1.5.0rc0>`__

uBlock Origin 1.4.1b7 - December 22, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.4.1b7 <https://outgoing.prod.mozaws.net/v1/cbfb18d9dc0f0589fbfa22961926c6e785dbd550207ae4321559eae0413476a6/https%3A//github.com/gorhill/uBlock/releases/tag/1.4.1b7>`__
|  
| Commit history since 1.4.0:
  `https://github.com/gorhill/uBlock/compare/1.4.0...1.4.1b7 <https://outgoing.prod.mozaws.net/v1/7b8cb3b14bae0fe7206fb0b59c4415238d66ab6a77a451768cbdb6699455626b/https%3A//github.com/gorhill/uBlock/compare/1.4.0...1.4.1b7>`__

uBlock Origin 1.4.1b6 - December 19, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.4.1b6 <https://outgoing.prod.mozaws.net/v1/930c9c18577cd141364ad2382038a56df6fa5cf872e50e297608c3d47d0e7539/https%3A//github.com/gorhill/uBlock/releases/tag/1.4.1b6>`__
|  
| Commit history since 1.4.0:
  `https://github.com/gorhill/uBlock/compare/1.4.0...1.4.1b6 <https://outgoing.prod.mozaws.net/v1/b45168457790d319a74c40574fec35d8cf5db773ad8865b304900aaddfaa8a6c/https%3A//github.com/gorhill/uBlock/compare/1.4.0...1.4.1b6>`__

uBlock Origin 1.4.1b5 - December 17, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.4.1b5 <https://outgoing.prod.mozaws.net/v1/d32537c1fcaad6324a1ff7ee06159361a2ec96858b78b78cb0449b5c6a2bf7e6/https%3A//github.com/gorhill/uBlock/releases/tag/1.4.1b5>`__
|  
| Commit history since 1.4.0:
  `https://github.com/gorhill/uBlock/compare/1.4.0...1.4.1b5 <https://outgoing.prod.mozaws.net/v1/83814cdaa56e1b9d9d274e72fd2af0668a73d9cdc7fcc004e08d80106376524c/https%3A//github.com/gorhill/uBlock/compare/1.4.0...1.4.1b5>`__

uBlock Origin 1.4.1b4 - December 15, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.4.1b4 <https://outgoing.prod.mozaws.net/v1/52d666163f3ef8827c1c80861bd820a16810deef1e7acb2dcfdab8399449a3f4/https%3A//github.com/gorhill/uBlock/releases/tag/1.4.1b4>`__
|  
| Commit history since 1.4.0:
  `https://github.com/gorhill/uBlock/compare/1.4.0...1.4.1b4 <https://outgoing.prod.mozaws.net/v1/a92eadedc4e6d5de28709cbea33ba4067ba7022b3d20bc5663e9b30921fa9047/https%3A//github.com/gorhill/uBlock/compare/1.4.0...1.4.1b4>`__

uBlock Origin 1.4.1b3 - December 15, 2015
=========================================

[no description]

uBlock Origin 1.4.1b2 - December 13, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.4.1b2 <https://outgoing.prod.mozaws.net/v1/5a325ee88e12307e35bb8f4bca464947022b4825cf81c3962c578f6fa1102f19/https%3A//github.com/gorhill/uBlock/releases/tag/1.4.1b2>`__
|  
| Commit history since 1.4.0:
  `https://github.com/gorhill/uBlock/compare/1.4.0...1.4.1b2 <https://outgoing.prod.mozaws.net/v1/24f80d3cfaff7d700e1f6bbec261ab64697bb791466b31f0516268e573311622/https%3A//github.com/gorhill/uBlock/compare/1.4.0...1.4.1b2>`__

uBlock Origin 1.4.1b0 - December 13, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.4.1b0 <https://outgoing.prod.mozaws.net/v1/d3ae0f2c5c725649aabaa62ab59d2b982eac33d88af4ee1aba15e9e13ffdb0d4/https%3A//github.com/gorhill/uBlock/releases/tag/1.4.1b0>`__
|  
| Commit history since 1.4.0:
  `https://github.com/gorhill/uBlock/compare/1.4.0...1.4.1b0 <https://outgoing.prod.mozaws.net/v1/4906d8f6831d7a981ac7c8ed2cba2fd69d523550294d9c58058823808a6fb687/https%3A//github.com/gorhill/uBlock/compare/1.4.0...1.4.1b0>`__

uBlock Origin 1.4.0 - December 12, 2015
=======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/0850dc1c26e912006ce84601c3c3b6c0c41d04ff1e09c4a5b9ec386da5939de1/https%3A//github.com/gorhill/uBlock/releases/tag/1.4.0>`__:
|  
| **New:**
|  
| **Ability to use Adguard filter lists**
|  
| You can now directly use `Adguard filter
  lists <https://outgoing.prod.mozaws.net/v1/60881d85810d6f41dc2ba50c4a8c42f96c84a0af7174cae9f274ab1c86c4c0c2/https%3A//adguard.com/en/filters.html>`__.
  Filters which use Adguard-specific filter syntax extension will simply be
  discarded by uBO.
|  
| **Popunders**
|  
| A new filter type is introduced: ``popunder``. This gives uBlock Origin the
  ability to block popunders. Popunders are when a web page opens a new
  legitimate content in another tab or window, while at the same time loading
  nuisance content in the current tab. They are essentially the reverse of what
  is happening with nuisance popups, where the nuisance content is opened in a
  new tab or window.
|  
| Since the ``popunder`` option is specific to uBO, any instance of sites using
  popunders will have to be reported on the `issue
  tracker <https://outgoing.prod.mozaws.net/v1/f28cbb270490665ed7d7f7c6456df000c04ebb4afad1c36e3592f88fcd92225b/https%3A//github.com/gorhill/uBlock/issues>`__
  so that filters can be crafted to address the issue for those sites.
|  
| **Redirection infrastructure**
|  
| Consider this still experimental. This adds the option to map blocked network
  requests to uBO-provided resources. Specifically, this solves issue raised in
  `#949 <https://outgoing.prod.mozaws.net/v1/93bacae1bcbc2aee1e9d0572610b0669076d9a87f32c947c6aa074eec00dd30a/https%3A//github.com/gorhill/uBlock/issues/949>`__
  and
  `#1043 <https://outgoing.prod.mozaws.net/v1/a757b9ef805781f50dc3751eafb5f3fb623ed1ea869d76cf494afd21ab59b3b6/https%3A//github.com/gorhill/uBlock/issues/1043>`__
  -- and more generally consider this yet another tool in uBO's arsenal to
  enforce users' choices.
|  
| The library of resources which are used for redirection is -- and will always
  be completely under control of uBO, this is not something under the control
  of any 3rd parties. This ensures only safe resources are used for
  redirection.
|  
| It could be said this feature is vaguely similar to `NoScript's
  surrogates <https://outgoing.prod.mozaws.net/v1/21e0f1e9c6ab34d26e6e2a9a6a7f3a0803b6a40552dcbdd1ad23548403a6398e/https%3A//forums.informaction.com/viewforum.php%3Ff=26>`__,
  except that in the case of uBO it's network redirection to plainly map one
  resource into another one, and it can be used for any kind of resource, not
  just scripts (anything which can be represented with a ``data:`` URI).
|  
| Only blocked network requests are candidates for redirection.
|  
| To create a redirection filter, just add the ``redirect=[...]`` filter option
  to it, like so:
|  
| ``||example.com/badimage.*$image,redirect=2x2-transparent.png``
|  
| The ``[...]`` is a token identifying the resource to which to redirect: it
  must be a resource which appears in the `redirection
  library <https://outgoing.prod.mozaws.net/v1/4c04370493329c7c1dc7030a3cc374740a7c53500c5fd0cba6bd02ea099c8f4c/https%3A//github.com/gorhill/uBlock/blob/master/assets/ublock/redirect-resources.txt>`__.
|  
| For the ``redirect=`` filter option to be taken into account, some conditions
  must be met by the static filter, for efficiency purpose. The static filter
  ...
|  

-  must be hostname-anchored, i.e. starts with ``||``.
-  must have one type specified -- negated types are not valid.
-  must have a redirect token which identifies an existing resource in the
   redirection library.

| 
| If at least one of the above conditions is not met, no redirection will take
  place, though the filter will still block matching network requests.
|  
|  
| **Issues closed as fixed:**
|  
| **Firefox**
|  

-  `NoScript Force HTTPS feature interferes with uBlock
   Origin <https://outgoing.prod.mozaws.net/v1/b15f37825dedf3226beef78e91748394dea7d3ce67c50d57daf0afb72220725c/https%3A//github.com/gorhill/uBlock/issues/959>`__
-  `Default browser font does not work well for dynamic filtering
   panel <https://outgoing.prod.mozaws.net/v1/289c8f570d5bc43941f22c4d2f8cf11e052bcb8c035d8967ed298a8d086f40c7/https%3A//github.com/gorhill/uBlock/issues/943>`__

| 
| **Pale Moon / SeaMonkey**
|  

-  `uBlock Origin breaks custom toolbars in
   Palemoon <https://outgoing.prod.mozaws.net/v1/466876757cbd14f2cd92847285b52fd4fe8e1c796d0bfeabad125e992f52ed93/https%3A//github.com/gorhill/uBlock/issues/1004>`__

   -  Possibly related: `[SeaMonkey] Filter list is empty after browser
      restart <https://outgoing.prod.mozaws.net/v1/c1b6390dfcf25a1a0e9814aec81f14a1f63296608035a63f93974bd8c389c60b/https%3A//github.com/gorhill/uBlock/issues/1034>`__

| 
| **Core**
|  

-  `Site disables uBlock Origin's own style
   tags <https://outgoing.prod.mozaws.net/v1/041c1d2efca3c4e3ec3ff72048c2095ae3c8fe9fb2993f01a1370b3144eff1ca/https%3A//github.com/gorhill/uBlock/issues/1031>`__
-  [Pull request] `Add YousList as a Korean third party
   filter <https://outgoing.prod.mozaws.net/v1/936a0baa8cafeca6936530d9a230caece4c88d576bd6ad8b916048129ed73760/https%3A//github.com/gorhill/uBlock/pull/1029>`__
-  `Element picker: a selected element with width or height of zero should fall
   back on dimensions of child
   elements <https://outgoing.prod.mozaws.net/v1/d7e3a6f7201ea63c9bdecde39eb70f79c75d98900ecab1f03889399030db8fcb/https%3A//github.com/gorhill/uBlock/issues/1024>`__
-  `End "My filters" list with empty
   line <https://outgoing.prod.mozaws.net/v1/4656264d4b73ea9ec7d238dc35b283611275a9339a36dacb1f8364ea5962ed28/https%3A//github.com/gorhill/uBlock/issues/1022>`__
-  `Cosmetic filter fails to hide
   element <https://outgoing.prod.mozaws.net/v1/a2c66ad7a462a9986fe38a4e22fc3d5ee22305ec0d18d193723a25dffb22dcf1/https%3A//github.com/gorhill/uBlock/issues/1015>`__
-  `The white list is
   invalid <https://outgoing.prod.mozaws.net/v1/f9c0790bcdff93471f7be338d368f799c46de482dff2c3b912cab7eef83e3a01/https%3A//github.com/gorhill/uBlock/issues/997>`__
-  `uBO is causing CPU hog with imdb.com (popup
   video) <https://outgoing.prod.mozaws.net/v1/26a9737a2eba90570cd4574983aaf80f0bffb4a29a73c0e0880623fca258db10/https%3A//github.com/gorhill/uBlock/issues/978>`__
-  `Support subscribe
   links <https://outgoing.prod.mozaws.net/v1/7e1ecd56cbd65bdd08511e1acf282cef19dc03ef0182fc41fd5b919cbee70573/https%3A//github.com/gorhill/uBlock/issues/951>`__
-  `Block ad videos playing
   automatically <https://outgoing.prod.mozaws.net/v1/93bacae1bcbc2aee1e9d0572610b0669076d9a87f32c947c6aa074eec00dd30a/https%3A//github.com/gorhill/uBlock/issues/949>`__
-  Fixed issue arising from `Add the I don't care about cookies filter to
   Regions,
   languages? <https://outgoing.prod.mozaws.net/v1/c47263d91fefc6c61aad7cad1a8deb8dc01a25c442bf2ae3735b3f2adf111d57/https%3A//github.com/gorhill/uBlock/issues/909>`__
   (`see
   comment <https://outgoing.prod.mozaws.net/v1/81dce9da13fdcdb8c276c75203e029661d233864fe6e543867a2bca0ca93fc77/https%3A//github.com/gorhill/uBlock/issues/909%23issuecomment-158568400>`__).

| 
| `Commit history between 1.3.6 and
  1.4.0 <https://outgoing.prod.mozaws.net/v1/48b22800a1c73eb3fcc13ae922c11824340af64d5198dcf624414d85541fec7a/https%3A//github.com/gorhill/uBlock/compare/1.3.6...1.4.0>`__

uBlock Origin 1.4.0rc4 - December 11, 2015
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.4.0rc4 <https://outgoing.prod.mozaws.net/v1/3addf8600b23325c1f13b436e2834227c6cdfffaea6288e623c31146f6b6f347/https%3A//github.com/gorhill/uBlock/releases/tag/1.4.0rc4>`__
|  
| Commit history since 1.3.6:
  `https://github.com/gorhill/uBlock/compare/1.3.6...1.4.0rc4 <https://outgoing.prod.mozaws.net/v1/56a583c85847a45d9e66224eb6d7301ac16649efea0dd3ee8496d4424c4fff04/https%3A//github.com/gorhill/uBlock/compare/1.3.6...1.4.0rc4>`__

uBlock Origin 1.4.0rc2 - December 9, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.4.0rc2 <https://outgoing.prod.mozaws.net/v1/182054c2c02a17c79840a56ebeba5c79c91682420c87671181ff5ff0ae4bd0f8/https%3A//github.com/gorhill/uBlock/releases/tag/1.4.0rc2>`__
|  
| Commit history since 1.3.6:
  `https://github.com/gorhill/uBlock/compare/1.3.6...1.4.0rc2 <https://outgoing.prod.mozaws.net/v1/2f4113ee65eaa189a7938756de201edb2fa399b4b468a30719bb614e8ef694c5/https%3A//github.com/gorhill/uBlock/compare/1.3.6...1.4.0rc2>`__

uBlock Origin 1.4.0rc0 - December 7, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.4.0rc0 <https://outgoing.prod.mozaws.net/v1/bf12ed8f71cb0e329d7567d2d0124748e66e916daf5d4cea79b9092234c89e77/https%3A//github.com/gorhill/uBlock/releases/tag/1.4.0rc0>`__
|  
| Commit history since 1.3.6:
  `https://github.com/gorhill/uBlock/compare/1.3.6...1.4.0rc0 <https://outgoing.prod.mozaws.net/v1/9431426185242e8e48b7155bf02063178005f0e2205630898ebc06b16b9ac309/https%3A//github.com/gorhill/uBlock/compare/1.3.6...1.4.0rc0>`__

uBlock Origin 1.3.7b10 - December 1, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.7b10 <https://outgoing.prod.mozaws.net/v1/1be53c51e1e1540ded5d3502b76f52495a01ac5c47088f9676ece529b55b9bad/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.7b10>`__
|  
| Commit history since 1.3.6:
  `https://github.com/gorhill/uBlock/compare/1.3.6...1.3.7b10 <https://outgoing.prod.mozaws.net/v1/ec61eacf6d1ab01cdddff11bf1f65b4b0c72fe240056a0d2ff00a491af8fe343/https%3A//github.com/gorhill/uBlock/compare/1.3.6...1.3.7b10>`__

uBlock Origin 1.3.7b7 - November 29, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.7b7 <https://outgoing.prod.mozaws.net/v1/ccfb08e70d946e7afa11f2114590d915a25f040cce5902c9ed39669c8e592320/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.7b7>`__
|  
| Commit history since 1.3.6:
  `https://github.com/gorhill/uBlock/compare/1.3.6...1.3.7b7 <https://outgoing.prod.mozaws.net/v1/0b53f8dd33b9a05e2c1513947360f62f22e31c24c670618dddb24ce85abcedc0/https%3A//github.com/gorhill/uBlock/compare/1.3.6...1.3.7b7>`__

uBlock Origin 1.3.7b6 - November 28, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.7b6 <https://outgoing.prod.mozaws.net/v1/52016900201168396b53bd52b71046e20fc86aea441e9c6107f42921021729f6/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.7b6>`__
|  
| Commit history since 1.3.6:
  `https://github.com/gorhill/uBlock/compare/1.3.6...1.3.7b6 <https://outgoing.prod.mozaws.net/v1/b39226be4506152f1e15ddaa9ad4d68f783d18992bf7d8ab1e02840d4b339c27/https%3A//github.com/gorhill/uBlock/compare/1.3.6...1.3.7b6>`__

uBlock Origin 1.3.6 - November 21, 2015
=======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/b799d8266cdc720255f290393f3bdf9eeb1310da575de37ff26c0033af455670/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.6>`__:
|  
| **Issue closed as fixed:**
|  

-  [Firefox for Android] `uBlock Origin 1.3.4 (and next) broken in Firefox for
   Android Release (42.0.1) until I
   disable/enable <https://outgoing.prod.mozaws.net/v1/f28a4a2b134403a4848418f22121bd1d0962588d4c1ee2c798e5fb5e6de1c028/https%3A//github.com/gorhill/uBlock/issues/955>`__.

   -  Timing issue, so not necessarily everybody was affected by the bug.

| 
| `Commit history between 1.3.5 and
  1.3.6 <https://outgoing.prod.mozaws.net/v1/9099a95a0b17726d44cd7bda9d8f37821e765ec0d94f8ae43aee2dce422f92de/https%3A//github.com/gorhill/uBlock/compare/1.3.5...1.3.6>`__

uBlock Origin 1.3.6rc0 - November 21, 2015
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.6rc0 <https://outgoing.prod.mozaws.net/v1/f072c757d6c992b30b5ee2cefe910576d6d34232b64a970936a95041337c49fd/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.6rc0>`__
|  
| Commit history since 1.3.5:
  `https://github.com/gorhill/uBlock/compare/1.3.5...1.3.6rc0 <https://outgoing.prod.mozaws.net/v1/b31b45fc93fb06770a3b15a0f61078fd41ba50a1b4ace4862c2128645724202b/https%3A//github.com/gorhill/uBlock/compare/1.3.5...1.3.6rc0>`__

uBlock Origin 1.3.6b1 - November 20, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.6b1 <https://outgoing.prod.mozaws.net/v1/7bf7947f1f62a1fe5c1caf6701c8f6431647ad43996d53d3c45765193f7d519d/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.6b1>`__
|  
| Commit history since 1.3.5:
  `https://github.com/gorhill/uBlock/compare/1.3.5...1.3.6b1 <https://outgoing.prod.mozaws.net/v1/6533f3655d1e617960d838cb6c4f5e5bf6364b5501525579b2e1bba3888b2e10/https%3A//github.com/gorhill/uBlock/compare/1.3.5...1.3.6b1>`__

uBlock Origin 1.3.5 - November 19, 2015
=======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/328d60c3a741b7599e2cb9073d57efbe43e75de77c09e6a02fdbb0c2f683f101/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.5>`__:
|  
| **Issue closed as fixed:**
|  

-  [Pale Moon] `1.3.4 removed all settings & built in 3rd party
   filters <https://outgoing.prod.mozaws.net/v1/f5e332d4740c427c5c96e7f16096ba9c658613c1a89335f04eb7030b39fe39e3/https%3A//github.com/gorhill/uBlock/issues/948>`__.

   -  This probably also affected older versions of Firefox.

| 
| `Commit history between 1.3.4 and
  1.3.5 <https://outgoing.prod.mozaws.net/v1/e1b9df3ed2d24a4d305d3af22ca7cf830efb5feae24fa5afc3ad588038f5caf5/https%3A//github.com/gorhill/uBlock/compare/1.3.4...1.3.5>`__

uBlock Origin 1.3.4 - November 19, 2015
=======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/e02918f8941e590c479f3b6582a5e2f7e982b7ead2a133c46cace9810fe2980e/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.4>`__:
|  
| **Issues closed as fixed:**
|  

-  [Firefox] `Inline script tag filtering incompatible with Firefox ESR
   38 <https://outgoing.prod.mozaws.net/v1/62bf25195f3361ca003ddab56d67136e55bfba9ffdfbed21f6b623a53ba7a9e9/https%3A//github.com/gorhill/uBlock/issues/940>`__.
-  [Firefox] `Mouse context menu
   broken <https://outgoing.prod.mozaws.net/v1/620804673d6e8d0e41faa795be392a0a8b4ae08a5fde5890952df7ee909e9991/https%3A//github.com/gorhill/uBlock/issues/906>`__.
-  [Firefox] `WebRTC and FF
   42.0 <https://outgoing.prod.mozaws.net/v1/ece4d8f4a7a620149a39c28950b7133be23b1fea5995b650538613b763f55b1e/https%3A//github.com/gorhill/uBlock/issues/894>`__.

   -  With Firefox 42+, it is now possible to prevent local IP address leakage
      without entirely disabling WebRTC.

-  [Firefox] `Cosmetic filters not always reported by logger on Firefox 42 if
   you refresh the
   page <https://outgoing.prod.mozaws.net/v1/a036da67be8c8f647bedcdc8658b399ccaa071f4498d26f404229a79fb3e41b9/https%3A//github.com/gorhill/uBlock/issues/876>`__.
-  [Firefox for Android] `uBlock Origin 1.1.1 broken in FF-nightly until I
   disable/enable <https://outgoing.prod.mozaws.net/v1/13dddf67b486d384a743c057df036ea1016a1683d4f059be13d1c5db25de0d23/https%3A//github.com/gorhill/uBlock/issues/749>`__.

   -  Thanks to
      `@AlexVallat <https://outgoing.prod.mozaws.net/v1/953c5ea522c07ade2533e7811210a326f75d80767d65eb16b77e55ef48d3efa8/https%3A//github.com/AlexVallat>`__
      for having investigated the root cause of the issue.

-  [Core] `Cosmetic filtering have no
   effect <https://outgoing.prod.mozaws.net/v1/14738706c3b0d827848eb39bd967cdbfa5961f69f32e4ad95cfdf282f87dfa4e/https%3A//github.com/gorhill/uBlock/issues/873>`__.
-  [Core] `[Performance] Use getElementsByTagName for high-medium generic
   cosmetic
   filters <https://outgoing.prod.mozaws.net/v1/1a4d3025c1015f45d321bf2a5997e5051e92a357bdca1ac18ce61296521cf244/https%3A//github.com/gorhill/uBlock/issues/850>`__.
-  [Core] `/\\.js$/ does not
   work <https://outgoing.prod.mozaws.net/v1/204ca39603be54a561ecd7435d381ef8a896e5dacbb8e0350c78fa5aaa42cc98/https%3A//github.com/gorhill/uBlock/issues/842>`__.

| 
| `Commit history between 1.3.2 and
  1.3.4 <https://outgoing.prod.mozaws.net/v1/fe5201358b4df84ee97e17de123dbcb53fc75e70fb8de606bdab7730b377f050/https%3A//github.com/gorhill/uBlock/compare/1.3.2...1.3.4>`__

uBlock Origin 1.3.4rc2 - November 16, 2015
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.4rc2 <https://outgoing.prod.mozaws.net/v1/13267ce434d03653b54c592420dc2f3061b09ff70bde8b2a7bc3d8b3a8218ef4/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.4rc2>`__
|  
| Commit history since 1.3.2:
  `https://github.com/gorhill/uBlock/compare/1.3.2...1.3.4rc2 <https://outgoing.prod.mozaws.net/v1/5fb5f38f79fc285ae81659fad1706866db55fb4e51b14f356999a29b46db79e6/https%3A//github.com/gorhill/uBlock/compare/1.3.2...1.3.4rc2>`__

uBlock Origin 1.3.4rc1 - November 14, 2015
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.4rc1 <https://outgoing.prod.mozaws.net/v1/7f5b5e06800767814b928820a246e70cbe4a765e2f3c0cc1d936c8eead2c8fe3/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.4rc1>`__
|  
| Commit history since 1.3.2:
  `https://github.com/gorhill/uBlock/compare/1.3.2...1.3.4rc1 <https://outgoing.prod.mozaws.net/v1/3edd3a16f88ea7e218e2636fc4c41431bcd079cfd27c78f729eea2610d25fce0/https%3A//github.com/gorhill/uBlock/compare/1.3.2...1.3.4rc1>`__

uBlock Origin 1.3.4rc0 - November 10, 2015
==========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.4rc0 <https://outgoing.prod.mozaws.net/v1/59c472fd4161cc8123c412df6fd1d36b66282f1a4acaee87cb956c6911263dd6/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.4rc0>`__
|  
| Commit history since 1.3.2:
  `https://github.com/gorhill/uBlock/compare/1.3.2...1.3.4rc0 <https://outgoing.prod.mozaws.net/v1/a661764a4ae17dbf2d4c6ca9a20ccf7c88e3d3ae9c0659c7d05afc5c23ddf493/https%3A//github.com/gorhill/uBlock/compare/1.3.2...1.3.4rc0>`__

uBlock Origin 1.3.4b5 - November 7, 2015
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.4b5 <https://outgoing.prod.mozaws.net/v1/4767d39648201b75d08feb7fcceea5162e75ce46ad3ba055a4d0a4894b3eecf4/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.4b5>`__
|  
| Commit history since 1.3.2:
  `https://github.com/gorhill/uBlock/compare/1.3.2...1.3.4b5 <https://outgoing.prod.mozaws.net/v1/6dc87475de43c6cc76cb755059c4cea3d15adafc37b55a96d7e9e0d2265b1961/https%3A//github.com/gorhill/uBlock/compare/1.3.2...1.3.4b5>`__

uBlock Origin 1.3.4b4 - November 6, 2015
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.4b4 <https://outgoing.prod.mozaws.net/v1/fbed4965640c9df829c89e412a77bd29c82f2f81d73d14323a9de85bff0db505/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.4b4>`__
|  
| Commit history since 1.3.2:
  `https://github.com/gorhill/uBlock/compare/1.3.2...1.3.4b4 <https://outgoing.prod.mozaws.net/v1/4e3a6740fdd632a51a8ad466028fc32086dd606aacd10f38f8750dc7fae9b8c0/https%3A//github.com/gorhill/uBlock/compare/1.3.2...1.3.4b4>`__

uBlock Origin 1.3.4b3 - November 5, 2015
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.4b3 <https://outgoing.prod.mozaws.net/v1/933c8e59783a0cc0765e62841fd990a426190e86ab775f41f627317adf12493e/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.4b3>`__
|  
| Commit history since 1.3.2:
  `https://github.com/gorhill/uBlock/compare/1.3.2...1.3.4b3 <https://outgoing.prod.mozaws.net/v1/ff9ffbf17965477c1d898d736c52c4bce012a810cf2b1917635770a08cbda51e/https%3A//github.com/gorhill/uBlock/compare/1.3.2...1.3.4b3>`__

uBlock Origin 1.3.4b2 - November 3, 2015
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.4b2 <https://outgoing.prod.mozaws.net/v1/4e67de5a882685984a21880234685b902515837bfd643d7bf0a135a0ce10876f/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.4b2>`__
|  
| Commit history since 1.3.2:
  `https://github.com/gorhill/uBlock/compare/1.3.2...1.3.4b2 <https://outgoing.prod.mozaws.net/v1/c0d7eabb22dc1ab1e8617708059e594f2062a04f60b9edd43e9edcb1ed3381fa/https%3A//github.com/gorhill/uBlock/compare/1.3.2...1.3.4b2>`__

uBlock Origin 1.3.3b2 - October 30, 2015
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.3b2 <https://outgoing.prod.mozaws.net/v1/b68fa86663c214b5428a894f4dc119ece1d466602ee24380452df10d2da14a11/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.3b2>`__
|  
| Commit history since 1.3.2:
  `https://github.com/gorhill/uBlock/compare/1.3.2...1.3.3b2 <https://outgoing.prod.mozaws.net/v1/5498014aec39fe9a4104a6aa24dc951b44f96719163c1b50b07477317c9ce109/https%3A//github.com/gorhill/uBlock/compare/1.3.2...1.3.3b2>`__

uBlock Origin 1.3.3b1 - October 28, 2015
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.3b1 <https://outgoing.prod.mozaws.net/v1/53fd25365c4230ab5535e2ba450f7c7a5148eb8864a640753444d5e82471f486/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.3b1>`__
|  
| Commit history since 1.3.2:
  `https://github.com/gorhill/uBlock/compare/1.3.2...1.3.3b1 <https://outgoing.prod.mozaws.net/v1/80f8720070be7ddd4f59aa8961961a3f91b9ff31ac6df5a21b9449897dad8142/https%3A//github.com/gorhill/uBlock/compare/1.3.2...1.3.3b1>`__

uBlock Origin 1.3.2 - October 28, 2015
======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/b73bb5e4101a51572bd96e56acebadb16d8fc4684f13c37c24df7975c35fffad/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.2>`__:
|  
| **Issues closed as fixed:**
|  

-  [Pale Moon/SeaMonkey] `[uBlock Origin] icon only available in one browser
   window when auto-restoring multi-window
   session <https://outgoing.prod.mozaws.net/v1/72411ba0ca92f705c5c75b795e430ad65eead6c0a4178e4167c5d04376b16a96/https%3A//github.com/gorhill/uMatrix/issues/357>`__

   -  Thanks to
      `@DjogaRo <https://outgoing.prod.mozaws.net/v1/8713546dd42e4e4ab135a6a02bb9d372a2891206d96f5c9e84be7c9f7eaaba61/https%3A//github.com/DjogaRo>`__
      for having patiently investigated the root cause of the issue.

-  [Pale Moon/SeaMonkey] `uBlock duplicate icon on Context
   menu <https://outgoing.prod.mozaws.net/v1/51d0779d436a068f36853ff7e078db693764fde01a7f93cbf626563bd2bae4de/https%3A//github.com/gorhill/uBlock/issues/381>`__
-  [Core] `Clicking URLs in Chrome Full History bypasses uBlock
   Origin <https://outgoing.prod.mozaws.net/v1/a0cfe68899e573dd03dd42955bd18bcb041aa725c449d6bee07ad4bc30d1a133/https%3A//github.com/gorhill/uBlock/issues/852>`__

| 
| `Commit history between 1.3.1 and
  1.3.2 <https://outgoing.prod.mozaws.net/v1/f1aaa5c4a8a388deaccea79619932954331917a03fe822552ff4cb7ee0b5be6a/https%3A//github.com/gorhill/uBlock/compare/1.3.1...1.3.2>`__

uBlock Origin 1.3.2rc4 - October 26, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.2rc4 <https://outgoing.prod.mozaws.net/v1/24c89d3c7111451139e675b01e286e004d7273a2eec690f28468e3ec9143b693/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.2rc4>`__
|  
| Commit history since 1.3.0:
  `https://github.com/gorhill/uBlock/compare/1.3.0...1.3.2rc4 <https://outgoing.prod.mozaws.net/v1/6088b40f4de92b01c3552f203478ce3150e4f50382262830417b42c0e18cee2c/https%3A//github.com/gorhill/uBlock/compare/1.3.0...1.3.2rc4>`__

uBlock Origin 1.3.2rc3 - October 25, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.2rc3 <https://outgoing.prod.mozaws.net/v1/8bd22a753490b0bd3a038b884d19abdf6252439e1add38107f3904cf8478299b/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.2rc3>`__
|  
| Commit history since 1.3.0:
  `https://github.com/gorhill/uBlock/compare/1.3.0...1.3.2rc3 <https://outgoing.prod.mozaws.net/v1/21e3bd62cdad09f0f7af9df1e3867d5d84a37883bdc688032461b90afa75a987/https%3A//github.com/gorhill/uBlock/compare/1.3.0...1.3.2rc3>`__

uBlock Origin 1.3.2rc1 - October 23, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.2rc1 <https://outgoing.prod.mozaws.net/v1/4a7f61f519b450c7f9b5b58d8382d052dddfffc836109de327d6dd1d9fc262a4/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.2rc1>`__
|  
| Commit history since 1.3.0:
  `https://github.com/gorhill/uBlock/compare/1.3.0...1.3.2rc1 <https://outgoing.prod.mozaws.net/v1/673294e1524ee63cb885da2003393ba0b8b2140b17e2d685721b2e726ec168a3/https%3A//github.com/gorhill/uBlock/compare/1.3.0...1.3.2rc1>`__

uBlock Origin 1.3.2b6 - October 22, 2015
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.2b6 <https://outgoing.prod.mozaws.net/v1/65cb537b29f5c18a7bf9006a0a43764562a7e45f2369212b2222823148a7576c/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.2b6>`__
|  
| Commit history since 1.3.0:
  `https://github.com/gorhill/uBlock/compare/1.3.0...1.3.2b6 <https://outgoing.prod.mozaws.net/v1/78f504256d571b4501e0e0da8cf6276001ccead3bd9f0a0050aa5a67e3568402/https%3A//github.com/gorhill/uBlock/compare/1.3.0...1.3.2b6>`__

uBlock Origin 1.3.2b5 - October 22, 2015
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.2b5 <https://outgoing.prod.mozaws.net/v1/95b78885fda341e0215c318c78de95ea9fe3125c7281bedbe9a6ad8b2b6a2840/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.2b5>`__
|  
| Commit history since 1.3.0:
  `https://github.com/gorhill/uBlock/compare/1.3.0...1.3.2b5 <https://outgoing.prod.mozaws.net/v1/e8e0703d191f18f8901d39dd3e1a3f523e581f0aaf3fdd4c319894514be8f88b/https%3A//github.com/gorhill/uBlock/compare/1.3.0...1.3.2b5>`__

uBlock Origin 1.3.1 - October 20, 2015
======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/f3c091738d6df8933e8790fa368a1b5bf66e5357733a203f35cccdb7f411dd8e/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.1>`__:
|  
| **Issues closed as fixed:**
|  

-  `AMO reviewer feedback: fix "Security Error: Content at moz-nullprincipal:"
   warnings in dev
   console <https://outgoing.prod.mozaws.net/v1/aeb21966d6d43741da0807f22b0a58dafe9e202ace88b8dfd27b04c249a23583/https%3A//github.com/gorhill/uBlock/issues/845>`__

| 
| `Commit history between 1.3.0 and
  1.3.1 <https://outgoing.prod.mozaws.net/v1/f1752dbae9b5a8d63847d076b4173b66e9c6eb445ff41d3b35a8b0a988db49e9/https%3A//github.com/gorhill/uBlock/compare/1.3.0...1.3.1>`__

uBlock Origin 1.3.1rc2 - October 20, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.1rc2 <https://outgoing.prod.mozaws.net/v1/7e27864f4817640f847e4862d2a9c4022f0f4d312877d4ff229a3d576662a5c7/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.1rc2>`__
|  
| Commit history since 1.3.0:
  `https://github.com/gorhill/uBlock/compare/1.3.0...1.3.1rc2 <https://outgoing.prod.mozaws.net/v1/bc448d5508a63a521cac4ef337f8aa94ba983366a50da7de22eec55dbfa1005d/https%3A//github.com/gorhill/uBlock/compare/1.3.0...1.3.1rc2>`__

uBlock Origin 1.3.1rc1 - October 19, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.1rc1 <https://outgoing.prod.mozaws.net/v1/bd0f003904f5247ff1a37e21693b0487a5ded1f0554b198791d786d8381e19c2/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.1rc1>`__
|  
| Commit history since 1.3.0:
  `https://github.com/gorhill/uBlock/compare/1.3.0...1.3.1rc1 <https://outgoing.prod.mozaws.net/v1/5e599e4c6a14d65bb7ae8f818cd8a81f84ba06a222aa1868ea4fff636e7768af/https%3A//github.com/gorhill/uBlock/compare/1.3.0...1.3.1rc1>`__

uBlock Origin 1.3.0 - October 19, 2015
======================================

| Summary of
  `changes <https://outgoing.prod.mozaws.net/v1/ccd1a6258cbf9cbef39b1931306d86ee12483e740cf3415bb0ca1bbb50f0dd6e/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.0>`__:
|  
| **New:**
|  
| `Basic support for
  Thunderbird <https://outgoing.prod.mozaws.net/v1/67d8e203b57fbf65f137512128c6cf1c1407fe99965f0e1f828348ff90da603c/https%3A//github.com/gorhill/uBlock/pull/801>`__,
  contributed by
  `@M-Reimer <https://outgoing.prod.mozaws.net/v1/8e27a4fed65a7211e96f97df16431d4bc62dce3f055008c83f6e8e97476dcefa/https%3A//github.com/M-Reimer>`__
|  
| **Issues closed as fixed:**
|  

-  [Firefox] `uBlock disabled on first unloaded tab on the
   left <https://outgoing.prod.mozaws.net/v1/9715be5d81c86a0e2980ccff155d09b72023b317828a317d6b85967dce1573ee/https%3A//github.com/gorhill/uBlock/issues/820>`__
-  [Firefox] `Missing icon on toolbar not in
   Customize <https://outgoing.prod.mozaws.net/v1/d1443f7378c4e0fe03b2f912b8cc6e98cc9ba813625cb2d39078cf25eef23cc2/https%3A//github.com/gorhill/uBlock/issues/763>`__
-  [Core] `Logger shows wrong filter lists when clicked on a
   filter <https://outgoing.prod.mozaws.net/v1/04fb400a1e8e68d0399b0c8f3c911b557ec1103719d095dbf03f7e833fc69452/https%3A//github.com/gorhill/uBlock/issues/835>`__
-  [Core] `uBlock filters not updating automatically after purge all
   caches <https://outgoing.prod.mozaws.net/v1/d2fe27010856a54e540bf39413a34fdfc007e263d631067dbd5cf436946b6e52/https%3A//github.com/gorhill/uBlock/issues/760>`__
-  [Core] `Pop
   unders <https://outgoing.prod.mozaws.net/v1/db710470aba9b566eff4dad7fb4f9f17b45bf3eda6eb68c2468383d83549a997/https%3A//github.com/gorhill/uBlock/issues/99>`__

| 
| `Commit history between 1.2.1 and
  1.3.0 <https://outgoing.prod.mozaws.net/v1/49c69e5ba71bfa6d92829ac8a2d2c4a66d2714ddc660390314bd5f3bb857c741/https%3A//github.com/gorhill/uBlock/compare/1.2.1...1.3.0>`__

uBlock Origin 1.3.0rc4 - October 17, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.0rc4 <https://outgoing.prod.mozaws.net/v1/5b10727b9759676e8c9a3a4f4449ae5d28fce10267807ff195df35a56d7627b8/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.0rc4>`__
|  
| Commit history since 1.2.1:
  `https://github.com/gorhill/uBlock/compare/1.2.1...1.3.0rc4 <https://outgoing.prod.mozaws.net/v1/a6161587d4bf7152bdddddf235390939115bdd8256ea7043ad5514e29357a319/https%3A//github.com/gorhill/uBlock/compare/1.2.1...1.3.0rc4>`__

uBlock Origin 1.3.0rc3 - October 17, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.0rc3 <https://outgoing.prod.mozaws.net/v1/42f442f7fc816c2ed3f5ab5a914e4db7526200aa84ba1a4221f444e87352cde5/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.0rc3>`__
|  
| Commit history since 1.2.1:
  `https://github.com/gorhill/uBlock/compare/1.2.1...1.3.0rc3 <https://outgoing.prod.mozaws.net/v1/91223eeefbff391d6044c8f02c6f2479a382152783e82ac8efd42c56370481df/https%3A//github.com/gorhill/uBlock/compare/1.2.1...1.3.0rc3>`__

uBlock Origin 1.3.0rc2 - October 16, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.0rc2 <https://outgoing.prod.mozaws.net/v1/18c5a0730a42d1a64b59f80000a43de1b8d28e1bd0da50757578eccc72bc8676/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.0rc2>`__
|  
| Commit history since 1.2.1:
  `https://github.com/gorhill/uBlock/compare/1.2.1...1.3.0rc2 <https://outgoing.prod.mozaws.net/v1/8b08ad26fc517a7842db13be3273ea7991afb3ada0c7f2f7d2faeeb21f8bcca5/https%3A//github.com/gorhill/uBlock/compare/1.2.1...1.3.0rc2>`__

uBlock Origin 1.3.0rc1 - October 15, 2015
=========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.3.0rc1 <https://outgoing.prod.mozaws.net/v1/11ed96e798e5f7a2beab0978c05c7082c809edae475a0b2a784d91db0d00e5ab/https%3A//github.com/gorhill/uBlock/releases/tag/1.3.0rc1>`__
|  
| Commit history since 1.2.1:
  `https://github.com/gorhill/uBlock/compare/1.2.1...1.3.0rc1 <https://outgoing.prod.mozaws.net/v1/b29077585d551f0555382270ce13aaa70674cbbb8ee1719ec840e52577f5b176/https%3A//github.com/gorhill/uBlock/compare/1.2.1...1.3.0rc1>`__

uBlock Origin 1.2.2b4 - October 14, 2015
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.2.2b4 <https://outgoing.prod.mozaws.net/v1/203da3ee0f93288992f295358c62193927afcd7b5235938ab21a81c59996e25f/https%3A//github.com/gorhill/uBlock/releases/tag/1.2.2b4>`__
|  
| Commit history since 1.2.1:
  `https://github.com/gorhill/uBlock/compare/1.2.1...1.2.2b4 <https://outgoing.prod.mozaws.net/v1/402c6a80db6426e6c7da9e7cbb356fbd6a619be28ab9ca3ac4e9e115d52e26a5/https%3A//github.com/gorhill/uBlock/compare/1.2.1...1.2.2b4>`__

uBlock Origin 1.2.2b3 - October 13, 2015
========================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.2.2b3 <https://outgoing.prod.mozaws.net/v1/aa2266670c308c938d7b083abdbe8d92e069976d1eace3e63f4eb8ba01b6875d/https%3A//github.com/gorhill/uBlock/releases/tag/1.2.2b3>`__
|  
| Commit history since 1.2.1:
  `https://github.com/gorhill/uBlock/compare/1.2.1...1.2.2b3 <https://outgoing.prod.mozaws.net/v1/c0cc11e50a4b45d97adf66ca5e69c17a9635228e39a5aeb715e3eb11c9cd919d/https%3A//github.com/gorhill/uBlock/compare/1.2.1...1.2.2b3>`__

uBlock Origin 1.2.2b2 - October 9, 2015
=======================================

| Release notes:
  `https://github.com/gorhill/uBlock/releases/tag/1.2.2b2 <https://outgoing.prod.mozaws.net/v1/e8b9c869f2be09058378d7da9f926376930df5b2bf397145bf80d8a0dbeb888c/https%3A//github.com/gorhill/uBlock/releases/tag/1.2.2b2>`__
|  
| Commit history since 1.2.1:
